"use strict";
jQuery.fn.exists = function(){return this.length>0;};



function callAgent(action,params,button) {
    params += "&language=" + language;

    var Ajax_Request = $.ajax({
        url: agent_url + "/" + action,
        data: params,
        type: 'post',
        //async: false,
        dataType: 'json',
        timeout: 6000,
        beforeSend: function () {
            if (Ajax_Request !== null) {
            //    Ajax_Request.abort();
                busy(false, button);
            } else {
                busy(true, button);
            }
        },
        complete: function (data) {
            Ajax_Request = (function () {
                return;
            })();
            busy(false, button);
        },
        success: function (data) {
            if (data.code === 1) {

                switch (action) {
                    case "getTeam":
                        $("#team_name").val( data.details.team_name );
                        $("#location_accuracy").val( data.details.location_accuracy );
                        $("#status").val( data.details.status );
                        $("#team_member").val( data.details.team_member );
                        $('#team_member').trigger("chosen:updated");
                        break;
                    case "getDriverInfo":
                        $("#driver_cod").val(data.details.driver_cod);
                        $("#first_name").val(  data.details.first_name );
                        $("#last_name").val(  data.details.last_name );
                        $("#username").val(  data.details.username );
                        $('#coloragent').spectrum("set", data.details.calcolor);
                        $("#email").val(  data.details.email );
                        $("#phone").val(  data.details.phone );
                        $(".team_id_driver_new").val(  data.details.team_id );

                        //$("input[name='team_id'][value='"+data.details.team_id+"']").prop('selected', true);

                        $("#transport_type_id").val(  data.details.transport_type_id );
                        $("#transport_description").val(  data.details.transport_description );
                        $("#licence_plate").val(  data.details.licence_plate );
                        $("#color").val(  data.details.color );
                        $("#status").val(  data.details.status );
                        $("#password").removeAttr("required");

                        if ( !empty(data.details.profile_photo_url)){
                            var image='<img style="width: 250px; height: auto;" src="'+ data.details.profile_photo_url +'" />';
                            $(".profile-photo").html(image);
                        } else {
                            $(".profile-photo").html('<img style="width: 250px; height: auto;" src="../assets/images/noavatar.png" />');
                        }
                        //permisos
                        var rol = data.details.rol;
                        $('#rol_user').val(rol);
                        var ver_clientes = data.details.ver_clientes;
                        if(ver_clientes==1){
                            $('#ver_clientes').prop('checked', true);
                        }else{
                            $('#ver_clientes').prop('checked', false);
                        }
                        var crear_clientes = data.details.crear_cliente;
                        if(crear_clientes==1){
                            $('#crear_clientes').prop('checked', true);
                        }else{
                            $('#crear_clientes').prop('checked', false);
                        }
                        var agendar = data.details.agendar;
                        if(agendar==1){
                            $('#agendar').prop('checked', true);
                        }else{
                            $('#agendar').prop('checked', false);
                        }
                        var ver_pedidos_cliente = data.details.ver_pedidos_cliente;
                        if(ver_pedidos_cliente==1){
                            $('#ver_pedidos_cliente').prop('checked', true);
                        }else{
                            $('#ver_pedidos_cliente').prop('checked', false);
                        }
                        var ver_facturas_cliente = data.details.ver_facturas_cliente;
                        if(ver_facturas_cliente==1){
                            $('#ver_facturas_cliente').prop('checked', true);
                        }else{
                            $('#ver_facturas_cliente').prop('checked', false);
                        }
                        var ver_cobros_cliente = data.details.ver_cobros_cliente;
                        if(ver_cobros_cliente==1){
                            $('#ver_cobros_cliente').prop('checked', true);
                        }else{
                            $('#ver_cobros_cliente').prop('checked', false);
                        }
                        var actualizar_inventario = data.details.actualizar_inventario;
                        if(actualizar_inventario==1){
                            $('#actualizar_inventario').prop('checked', true);
                        }else{
                            $('#actualizar_inventario').prop('checked', false);
                        }
                        var balance_encuesta = data.details.balance_encuesta;
                        if(balance_encuesta==1){
                            $('#balance_encuesta').prop('checked', true);
                        }else{
                            $('#balance_encuesta').prop('checked', false);
                        }
                        var hacer_pedidos = data.details.hacer_pedidos;
                        if(hacer_pedidos==1){
                            $('#hacer_pedidos').prop('checked', true);
                        }else{
                            $('#hacer_pedidos').prop('checked', false);
                        }
                        var hacer_cobros = data.details.hacer_cobros;
                        if(hacer_cobros==1){
                            $('#hacer_cobros').prop('checked', true);
                        }else{
                            $('#hacer_cobros').prop('checked', false);
                        }
                        var chat = data.details.chat;
                        if(chat==1){
                            $('#chat').prop('checked', true);
                        }else{
                            $('#chat').prop('checked', false);
                        }
                        break;
                    case "getVentasMetaAgente":
                        datos = data.details;

                        var meta_obj = [];
                        var ventas_obj = [];
                        var detalles_obj=[];
                        var arr_metas =[];
                        var arr_ventas =[];
                        var driver_id_ini=0;
                        var meta_total=0;
                        var venta_total=0;
                        agente='';
                        for(i=0; i<datos.length; i++){
                            driver_id = datos[i].driver_id;
                            if(driver_id!=driver_id_ini && driver_id_ini!=0){
                                var objagente = {
                                    name: agente,
                                    y: parseFloat(meta_total),
                                    drilldown: driver_id_ini+'-meta'
                                }
                                meta_obj.push(objagente);
                                //
                                var objventas = {
                                    name: agente,
                                    y: parseFloat(venta_total),
                                    drilldown: driver_id_ini+'-ventas'
                                }
                                ventas_obj.push(objventas);
                                 meta_total=0;
                                venta_total=0;
                            }
                            meta = datos[i].meta;
                            var total = datos[i].total;
                            meta_total = meta_total + parseFloat(meta);
                            venta_total = venta_total + parseFloat(total);
                            venta_total = venta_total.toFixed(2);
                            venta_total = parseFloat(venta_total);
                            var mes_pedido = datos[i].mes_pedido;
                            var cantidad = datos[i].cantidad;
                            var subtotal = parseFloat(datos[i].subtotal);
                            total = parseFloat(datos[i].total);
                            subtotal = subtotal.toFixed(2);
                            total = total.toFixed(2);
                            agente = datos[i].agente;
                            if(i==datos.length-1){
                                objagente = {
                                    name: agente,
                                    y: parseFloat(meta_total),
                                    drilldown: driver_id+'-meta'
                                }
                                meta_obj.push(objagente);
                                //
                                objventas = {
                                    name: agente,
                                    y: parseFloat(venta_total),
                                    drilldown: driver_id+'-ventas'
                                }
                                ventas_obj.push(objventas);
                                meta_total=0;
                                venta_total=0;
                            }
                            driver_id_ini = driver_id;
                        }
                        driver_id_ini=0;

                        for(i=0; i<datos.length; i++){
                            driver_id = datos[i].driver_id;
                            var  arrparcial=[];
                            if(driver_id!=driver_id_ini && driver_id_ini!=0){
                                var objtmeta_detalle = {
                                    id: driver_id_ini+'-meta',
                                    name: 'Meta '+agente,
                                    data: arr_metas
                                }
                                detalles_obj.push(objtmeta_detalle);
                                arr_metas=[];
                            }
                            meta = parseFloat(datos[i].meta);
                            meta = meta.toFixed(2);
                            total = datos[i].total;
                            meta_total = meta_total + parseFloat(meta);
                            venta_total = venta_total + parseFloat(total);
                            mes_pedido = datos[i].mes_pedido;
                            cantidad = datos[i].cantidad;
                            subtotal = parseFloat(datos[i].subtotal);
                            total = parseFloat(datos[i].total);
                            subtotal = subtotal.toFixed(2);
                            total = total.toFixed(2);
                            arrparcial.push(mes_pedido);
                            arrparcial.push(parseFloat(meta));
                            arr_metas.push(arrparcial);
                            agente = datos[i].agente;
                            if(i==datos.length-1){
                                objtmeta_detalle = {
                                    id: driver_id+'-meta',
                                    name: 'Meta '+agente,
                                    data: arr_metas
                                }
                                detalles_obj.push(objtmeta_detalle);
                            }
                            driver_id_ini = driver_id;
                        }
                        driver_id_ini=0;
                        for(i=0; i<datos.length; i++){
                            driver_id = datos[i].driver_id;
                            arrparcial=[];
                            if(driver_id!=driver_id_ini && driver_id_ini!=0){
                                var objtventas_detalle = {
                                    id: driver_id_ini+'-ventas',
                                    name: 'Ventas '+agente,
                                    data: arr_ventas
                                }
                                detalles_obj.push(objtventas_detalle);
                                arr_ventas=[];
                            }
                            meta = datos[i].meta;
                            total = datos[i].total;
                            meta_total = meta_total + parseFloat(meta);
                            venta_total = venta_total + parseFloat(total);
                            mes_pedido = datos[i].mes_pedido;
                            cantidad = datos[i].cantidad;
                            subtotal = parseFloat(datos[i].subtotal);
                            total = parseFloat(datos[i].total);
                            subtotal = subtotal.toFixed(2);
                            total = total.toFixed(2);
                            arrparcial.push(mes_pedido);
                            arrparcial.push(parseFloat(total));
                            arr_ventas.push(arrparcial);
                            agente = datos[i].agente;
                            if(i==datos.length-1){
                                var  objtventas_detalle = {
                                    id: driver_id+'-ventas',
                                    name: 'Ventas '+agente,
                                    data: arr_ventas
                                }
                                detalles_obj.push(objtventas_detalle);
                            }
                            driver_id_ini = driver_id;
                        }
                        Highcharts.chart('meta_bar', {
                            chart: {
                                type: 'column'
                            },
                            title: {
                                text: 'Ventas Totales'
                            },
                            subtitle: {
                                text: 'Haga click en las columnas para ver detalles de cumpliento por mes'
                            },
                            xAxis: {
                                type: 'category'
                            },

                            plotOptions: {
                                series: {
                                    borderWidth: 0,
                                    dataLabels: {
                                        enabled: true
                                    }
                                }
                            },
                            colors: ['#48a8c8','#d05bff', '#9dff52', '#48c49f', '#913bff', '#49c9a3', '#ff284e', '#ff8610','#fffc85', '#eec3be'],
                            series: [{
                                name: 'Meta',
                                data: meta_obj
                            }, {
                                name: 'Ventas',
                                data: ventas_obj
                            }],
                            drilldown: {
                                allowPointDrilldown: false,
                                series: detalles_obj
                            }
                        });
                        break;
                    case "loadAgentProfileTasks":
                        if(data.code===1){
                            var datos= data.details;
                            var html='';
                            var activity = '';
                            var task_id_ini ='';
                            var estado='';
                            var pillColor;
                            var statusClass='';
                            for(var i=0;i<datos.length; i++){
                                var status = datos[i].status;
                                var task_lat = datos[i].task_lat;
                                var task_lng = datos[i].task_lng;
                                var task_id = datos[i].task_id;
                                var customer_name = datos[i].customer_name;
                                var task_description = datos[i].task_description;
                                var trans_type = datos[i].trans_type;
                                var delivery_date = datos[i].delivery_date;
                                var traslado = datos[i].traslado;

                                switch(trans_type) {
                                    case "delivery":
                                       trans_type='<span class="badge badge-primary" style="font-size: 12px;">Visita</span>';
                                        break;
                                    case "pickup":
                                        if(traslado===1){
                                            trans_type='<span class="badge badge-warning" style="font-size: 12px;">Traslado</span>';
                                        }else{
                                            trans_type='<span class="badge badge-success" style="font-size: 12px;">Entrega</span>';
                                        }
                                        break;
                                }
                                var thelabel ='';
                                switch(status){
                                    case "sign":
                                        estado = 'Firma';
                                        statusClass= 'badge-primary-inverted';
                                        pillColor = 'blue';
                                        break;
                                    case "photo":
                                         estado = 'Foto';
                                         statusClass= 'badge-primary-inverted';
                                         pillColor = 'blue';
                                        break;
                                    case "notes":
                                         estado = 'Nota';
                                         statusClass= 'badge-primary-inverted';
                                         pillColor = 'blue';
                                        break;
                                    case "acknowledged":
                                         estado = 'Aceptada';
                                         statusClass= 'badge-primary-inverted';
                                         pillColor = 'blue';
                                        break;
                                    case "successful":
                                         estado = 'Completada';
                                         statusClass= 'badge-success-inverted';
                                         pillColor = 'green';
                                        break;
                                    case "started":
                                         estado = 'Iniciada';
                                         statusClass= 'badge-primary-inverted';
                                         pillColor = 'blue';
                                        break;
                                    case "cancelled":
                                         estado = 'Cancelada';
                                         statusClass= 'badge-danger-inverted';
                                         pillColor = 'red';
                                        break;
                                    case "failed":
                                         estado = 'Fallida';
                                         statusClass= 'badge-danger-inverted';
                                         pillColor = 'red';
                                        break;
                                    case "inprogress":
                                         estado = 'En Progreso';
                                         statusClass= 'badge-warning-inverted';
                                         pillColor = 'yellow';
                                        break;
                                    default:
                                         estado = 'Sin Asignar';
                                         statusClass= 'badge-primary-inverted';
                                         pillColor = 'green';
                                }

                                if(task_id!==task_id_ini){
                                    fotoAgente = '../assets/images/noavatar.png';
                                    html +='<div class="support-ticket ">';
                                    html +='<div class="st-meta">';
                                    html +='<div class="badge '+statusClass+'">';
                                    html += estado;
                                    html +='</div>';
                                    html +='<div class="status-pill '+pillColor+'"></div>';
                                    html +='</div>';
                                    html +='<div class="st-body">';
                                    html +='<div class="avatar">';
                                    html +='<img alt="" src="'+fotoAgente+'">';
                                    html +='</div>';
                                    html +='<div class="ticket-content">';
                                    html +='<h6 class="ticket-title">';
                                    html += '<span class="text-info" >'+customer_name+'</span>';
                                    html +='</h6>';
                                    html +='<div class="ticket-description">';
                                    html +=  task_description;
                                    html +='</div>';
                                    html +='</div>';
                                    html +='</div>';
                                    html +='<div class="st-foot">';
                                    html +='<span class="label">Tipo de Tarea:</span><span class="value " href="#"> '+trans_type+'</span><span class="label">Fecha:</span><span class="value">'+delivery_date+'</span>';
                                    html +='</div>';
                                    html +='</div>';
                                }
                                task_id_ini = task_id;
                            }
                            $('.load-more-tickets').html(html);

                        }
                        loadAgentProfileActivity('');
                        break;
                    case "getGoal":
                        $("#tipo_meta").val( data.details.tipo_meta );
                        $("#ene").val( data.details.jan );
                        $("#feb").val( data.details.feb );
                        $("#mar").val( data.details.mar );
                        $("#abr").val( data.details.apr );
                        $("#may").val( data.details.may );
                        $("#jun").val( data.details.jun );
                        $("#jul").val( data.details.jul );
                        $("#ago").val( data.details.aug );
                        $("#sep").val( data.details.sep );
                        $("#oct").val( data.details.oct );
                        $("#nov").val( data.details.nov );
                        $("#dic").val( data.details.dic );

                        $("#anio").val( data.details.anio );
                        $("#team_member").val( data.details.driver_id );
                        $('#team_member').trigger("chosen:updated");
                        break;
                    case "cargarProfileMetas":
                        if(data.code===1) {
                            datos = data.details;
                            var startDate = $('#reportrange').data('daterangepicker').startDate;
                            var endDate = $('#reportrange').data('daterangepicker').endDate;
                            var fechainicio = startDate.format('YYYY-MM-DD');
                            var fechafin = endDate.format('YYYY-MM-DD');
                            var dias_laborables =  parseInt(getWorkingDays(fechainicio, fechafin));

                            for(i=0; i<datos.length; i++){
                                var tipo_meta = datos[i].tipo_meta;
                                var meta = parseFloat(datos[i].meta)*dias_laborables;
                                var clientes_visitados = datos[i].clientes_visitados;
                                var clientes_nuevos = datos[i].clientes_nuevos;
                                var ventas_impulsador = datos[i].ventas_impulsador;
                                var ventas_vendedor = datos[i].ventas_vendedor;
                                if(tipo_meta==='Visitas'){
                                    var porcientovisitas = parseInt((clientes_visitados/meta)*100);
                                    if(porcientovisitas>100){
                                        porcientovisitas=100;
                                    }
                                    $('.visitasbar').find('.bar-level-2').css('width', porcientovisitas+'%');
                                    $('.visitasbar').find('.bar-level-3').css('width', porcientovisitas+'%');
                                    $('.visitasbar').find('.positive').text(parseInt((clientes_visitados/meta)*100)+'%');
                                    $('.metavisitados').html('<b>Meta</b>: '+meta);
                                }
                                $('.realvisitados').html('<b>Visitados</b>: '+clientes_visitados);
                                if(tipo_meta==='Prospectos'){
                                    var porcientonuevos = parseInt((clientes_nuevos/meta)*100);
                                    if(porcientonuevos>100){
                                        porcientonuevos=100;
                                    }
                                    $('.visitasnuevos').find('.bar-level-2').css('width', porcientonuevos+'%');
                                    $('.visitasnuevos').find('.bar-level-3').css('width', porcientonuevos+'%');
                                    $('.visitasnuevos').find('.positive').text(parseInt((clientes_nuevos/meta)*100)+'%');
                                    $('.metanuevos').html('<b>Meta</b>: '+meta);
                                }
                                $('.realnuevos').html('<b>Creados</b>: '+clientes_nuevos);
                                if(tipo_meta==='Impulsador'){
                                    var porcientoventas = parseInt((ventas_impulsador/meta)*100);
                                    if(porcientoventas>100){
                                        porcientoventas=100;
                                    }
                                    $('.visitasventas').find('.bar-level-2').css('width', porcientoventas+'%');
                                    $('.visitasventas').find('.bar-level-3').css('width', porcientoventas+'%');
                                    $('.visitasventas').find('.positive').text(parseInt((ventas_impulsador/meta)*100)+'%');
                                    $('.metaventas').html('<b>Meta</b>: '+meta);
                                }
                                $('.realventas').html('<b>Ventas</b>: '+ventas_impulsador);
                                if(tipo_meta=='Ventas'){
                                    var porcientopedidos = parseInt((ventas_vendedor/meta)*100);
                                    if(porcientopedidos>100){
                                        porcientopedidos=100;
                                    }
                                    $('.visitaspedidos').find('.bar-level-2').css('width', porcientopedidos+'%');
                                    $('.visitaspedidos').find('.bar-level-3').css('width', porcientopedidos+'%');
                                    $('.visitaspedidos').find('.positive').text(parseInt((ventas_vendedor/meta)*100)+'%');
                                    $('.metapedidos').html('<b>Meta</b>: '+meta);
                                }
                                $('.realpedidos').html('<b>Ventas</b>: '+ventas_vendedor);
                            }
                            $('.mainbar').find('.positive').html('Ventas 50%');
                            $('.mainbar').find('.bar-level-2').css('width', '50%');
                            $('.mainbar').find('.bar-level-3').css('width', '50%');
                            cargar_profile_ventas();
                        }
                        break;
                    case "loadAgentCustomers":
                        var datos= data.details;
                        if($('#profile_driver_id').exists()){
                            var fila ='';
                            var classventas='';
                            var classvisitas='';
                            var classcartera='';
                            var total_ventas=0;
                            var total_geo=0;
                            var total_visitas=0;
                            var total_cartera=0;
                            for(var i=0; i<datos.length; i++){
                                var contact_id = datos[i].contact_id;
                                var cliente = datos[i].fullname;
                                var codigo_cliente =  datos[i].codigo_cliente;
                                if(codigo_cliente=='null' || codigo_cliente==null){
                                    codigo_cliente='';
                                }
                                var ventas_app = parseFloat(datos[i].ventas_app);
                                total_ventas = total_ventas + ventas_app;
                                var ultimavisita = datos[i].ultimavisita;
                                if(ventas_app==0.00){
                                    classventas='bg-warning';
                                }else{
                                    classventas='bg-success';
                                }
                                var cartera = parseFloat(datos[i].cartera);
                                if(cartera==0.00){
                                    classcartera='bg-success';
                                }else{
                                    classcartera='bg-danger';
                                }
                                total_cartera = total_cartera + cartera;
                                visitas = parseInt(datos[i].visitas);
                                if(visitas==0){
                                    classvisitas='bg-warning';
                                }else{
                                    classvisitas='bg-success';
                                }
                                total_visitas = total_visitas + visitas;
                                var geoverificado = datos[i].geoverificado;
                                total_geo = total_geo + parseInt(geoverificado);
                                if(geoverificado==1){
                                    var disponibleck = '<label class="switch switch-green">';
                                    disponibleck += '<input disabled checked type="checkbox" id="geoverificado" name="geoverificado" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }else{
                                    var disponibleck = '<label class="switch switch-red">';
                                    disponibleck += '<input disabled type="checkbox" id="geoverificado" name="geoverificado" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }
                                canton = datos[i].canton;
                                if(canton=='null' || canton==null){
                                    canton='';
                                }
                                sector = datos[i].parroquia;
                                if(sector=='null' || sector==null){
                                    sector='';
                                }
                                if($.trim(sector)==$.trim(canton)){
                                    sector = '<span style="text-decoration:line-through;">'+sector+'</span>';
                                }
                                fila +='<tr><td><a href="ContactProfile?id='+contact_id+'" target="_blank">'+cliente+'</a></td><td>'+codigo_cliente+'</td><td class="'+classventas+' text-right">'+ventas_app.toFixed(2)+'</td><td class="'+classcartera+' text-right">'+cartera+'</td><td class="text-center '+classvisitas+'">'+visitas+'</td><td>'+ultimavisita+'</td><td class="text-center">'+disponibleck+'</td><td>'+canton+'</td><td>'+sector+'</td></tr>';
                            }
                            fila +='<tr style="background-color: #336699; color: #FFFFFF;"><td>Total</td><td>'+datos.length+'</td><td class="text-right">'+total_ventas.toFixed(2)+'</td><td>'+total_cartera.toFixed(2)+'</td><td class="text-center">'+total_visitas+'</td><td></td><td class="text-center">'+total_geo+'</td><td></td><td></td></tr>';
                            $('#body_asignados').html(fila);
                        }else if($('#driver_id').exists()){
                            var opciones ='<option value="">Seleccione el Cliente...</option>';
                            for(var i=0; i<datos.length; i++){
                                var contact_id = datos[i].contact_id;
                                var cliente = datos[i].fullname;
                                opciones +='<option value="'+contact_id+'">'+cliente+'</option>';
                            }
                            $('#contact_id').html(opciones).trigger('chosen:updated');
                        }

                        break;
                    case "cargarProfileTeam":
                        if(data.code==1) {
                            var datos = data.details;
                            var html='';
                            for(i=0; i<datos.length;i++){
                                var profile_photo = datos[i].profile_photo;
                                var nombre = datos[i].first_name;
                                var driverid= datos[i].driver_id;
                                if(profile_photo==''){
                                    var fotoAgente = '../assets/images/noavatar.png';
                                }else{
                                    var fotoAgente = '../upload/photo/'+profile_photo;
                                }
                                html+='<li>';
                                html+='<a class="author with-avatar" href="'+site_url+'app/agentProfile?id='+driverid+'">';
                                html+='<div class="avatar" style="background-image: url('+fotoAgente+')"></div>';
                                html+='<span style="font-size: 12px;">'+nombre+'</span></a>';
                                html+='</li>';
                            }
                            $('.users-list').html(html);
                        }
                        break;
                    case "cargarProfileVisitas":
                        if(data.code==1) {
                            var datos = data.details;
                            var arrcat = [];
                            var arrfechas = [];
                            var arrventas = [];
                            //
                            var fecha_ini='';
                            var objsuccess = {
                                name: 'Completada',
                                data: [],
                                color: '#5eba00'
                            }
                            var objacknowledged = {
                                name: 'Aceptada',
                                data: [],
                                color: '#467fcf'
                            }
                            var objstarted = {
                                name: 'Iniciada',
                                data: [],
                                color: '#1fccac'
                            }
                            var objprog = {
                                name: 'En Progreso',
                                data: [],
                                color: '#8412b4'
                            }
                            var objcancelled = {
                                name: 'Cancelada',
                                data: [],
                                color: '#ffca4a'
                            }
                            var objfailed = {
                                name: 'Fallida',
                                data: [],
                                color: '#fd3535'
                            }
                            var j=-1;
                            for(var i=0; i<datos.length; i++){
                                var visitas = parseInt(datos[i].visitas);
                                var status = datos[i].status;
                                var delivery_date = datos[i].delivery_date;
                                if(delivery_date!=fecha_ini){
                                    arrfechas.push(delivery_date);
                                    j++;
                                    objsuccess.data.push(0);
                                    objacknowledged.data.push(0);
                                    objstarted.data.push(0);
                                    objprog.data.push(0);
                                    objcancelled.data.push(0);
                                    objfailed.data.push(0);
                                }
                                switch(status){
                                    case "successful":
                                        objsuccess.data[j] = visitas ;
                                        break;
                                    case "acknowledged":
                                        objacknowledged.data[j] = visitas ;
                                        break;
                                    case "started":
                                        objstarted.data[j] = visitas ;
                                        break;
                                    case "inprogress":
                                        objprog.data[j] = visitas ;
                                        break;
                                    case "cancelled":
                                        objcancelled.data[j] = visitas ;
                                        break;
                                    case "failed":
                                        objfailed.data[j] = visitas ;
                                        break;
                                }
                                fecha_ini=delivery_date;

                            }

                            arrventas.push(objsuccess);
                            arrventas.push(objacknowledged);
                            arrventas.push(objstarted);
                            arrventas.push(objprog);
                            arrventas.push(objcancelled);
                            arrventas.push(objfailed);
                            console.log(arrventas);

                            Highcharts.chart('visitas_chart_profile', {
                                chart: {
                                    type: 'bar'
                                },
                                title: {
                                    text: 'Visitas del Periodo'
                                },
                                xAxis: {
                                    categories: arrfechas
                                },
                                yAxis: {
                                    min: 0,
                                    title: {
                                        text: 'Visitas Totales por Estado'
                                    }
                                },
                                credits: {
                                    enabled: false
                                },
                                legend: {
                                    reversed: true
                                },
                                plotOptions: {
                                    series: {
                                        stacking: 'normal'
                                    }
                                },
                                series: arrventas
                            });
                            load_team_profile();
                        }
                        $('.mainbar').find('.positive').html('Metas 100%');
                        $('.mainbar').find('.bar-level-2').css('width', '100%');
                        $('.mainbar').find('.bar-level-3').css('width', '100%');
                        setTimeout(function(){
                            $('.mainbar').hide();
                        },750);
                        break;
                    case "cargarProfileVentas":
                        if(data.code==1) {
                            var datos = data.details;
                            var arrcat = [];
                            var arrventas = [];
                            for(i=0; i<datos.length; i++){
                                var ventas = parseFloat(datos[i].ventas);
                                ventas = ventas.toFixed(2);
                                ventas = parseFloat(ventas);
                                var unidades = datos[i].unidades;
                                var date_created = datos[i].date_created;
                                arrcat.push(date_created);
                                arrventas.push(ventas);
                            }

                            Highcharts.chart('ventas_profile', {
                                chart: {
                                    type: 'areaspline'
                                },
                                title: {
                                    text: 'Ventas del período'
                                },
                                legend: {
                                    layout: 'vertical',
                                    align: 'left',
                                    verticalAlign: 'top',
                                    x: 150,
                                    y: 100,
                                    floating: true,
                                    borderWidth: 1,
                                    backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                                },
                                xAxis: {
                                    categories: arrcat
                                },
                                yAxis: {
                                    title: {
                                        text: 'Ventas ($)'
                                    }
                                },
                                tooltip: {
                                    shared: true,
                                    valueSuffix: ' $'
                                },
                                credits: {
                                    enabled: false
                                },
                                plotOptions: {
                                    areaspline: {
                                        fillOpacity: 0.5
                                    }
                                },
                                series: [{
                                    name: 'Ventas',
                                    data: arrventas
                                } ]
                            });
                            $('.mainbar').find('.positive').html('Visitas 75%');
                            $('.mainbar').find('.bar-level-2').css('width', '75%');
                            $('.mainbar').find('.bar-level-3').css('width', '72%');
                            cargar_profile_visitas();
                        }
                        break;
                    case "reporteVentasResumenChart":
                        var codprovincia = $('#provzona').val();
                        if(codprovincia=='' || codprovincia==-1 || codprovincia=='-1'){
                            var provinciasel = '';
                        }else{
                            var provinciasel = $('#provzona option:selected').text();
                        }
                        var cantonsel = $('#cantonzona').val();
                        var sectorsel = $('#sector').val();
                        var arrventas = [];
                        var datos= data.details;
                        var main_cat = [];//cantones/provincias/sectores
                        var main_obj = [];
                        for(i=0; i<datos.length ;i++){
                           var provincia= datos[i].provincia;
                           var canton= datos[i].canton;
                           var sector= datos[i].codigo_ubic;
                           var distribuidor= datos[i].distribuidor;
                            if(cantonsel!=-1  && cantonsel!='-1' && cantonsel!=''){
                                if(main_cat.indexOf(sector)==-1){
                                    main_cat.push(sector);
                                }
                            }else{
                                if(provinciasel!=-1  && provinciasel!='-1' && provinciasel!=''){
                                    if(main_cat.indexOf(canton)==-1){
                                        main_cat.push(canton);
                                    }
                                }else{
                                    if(main_cat.indexOf(provincia)==-1){
                                        main_cat.push(provincia);
                                    }
                                }
                            }
                        }
                       var dist_ini='';
                        for(var n=0; n<main_cat.length; n++){
                            arrventas[n]=0;
                        }
                        for(i=0; i<datos.length ;i++){
                            provincia= datos[i].provincia;
                            canton= datos[i].canton;
                            sector= datos[i].codigo_ubic;
                            distribuidor= datos[i].distribuidor;

                            var unidades_agente = parseInt(datos[i].unidades_agente);
                            var ventas_agente = parseFloat(datos[i].ventas_agente);
                            var unidades_dist = parseInt(datos[i].unidades_dist);
                            var ventas_dist = parseFloat(datos[i].ventas_dist);
                            //unidades_total = parseInt(unidades_agente) + parseInt(unidades_dist);
                            //   ventas_total = parseFloat(ventas_agente) + parseFloat(ventas_dist);
                            if(cantonsel!=-1  && cantonsel!='-1' && cantonsel!=''){
                                for(var j=0; j<main_cat.length; j++){
                                    if(distribuidor!=dist_ini && dist_ini!='' && i!=datos.length-1){

                                        main_obj.push({
                                            type: 'column',
                                            name: dist_ini,
                                            data: [arrventas]
                                        });
                                        arrventas = [];
                                        for(k=0; k<main_cat.length; k++){
                                            arrventas[k]=0;
                                        }
                                        dist_ini=distribuidor;
                                    }else{
                                        if(i==datos.length-1){
                                            if(sector==main_cat[j]){
                                                arrventas[j]=ventas_agente;
                                            }
                                            if(j==main_cat.length-1){
                                                console.info(arrventas)
                                                main_obj.push({
                                                    type: 'column',
                                                    name: distribuidor,
                                                    data: arrventas
                                                });
                                            }

                                        }else{
                                            if(sector==main_cat[j]){
                                                arrventas[j]=ventas_agente;
                                            }
                                        }
                                    }

                                }
                            }else{
                                if(provinciasel!=-1  && provinciasel!='-1' && provinciasel!=''){
                                    for(var j=0; j<main_cat.length; j++){
                                        if(distribuidor!=dist_ini && dist_ini!='' && i!=datos.length-1){

                                            main_obj.push({
                                                type: 'column',
                                                name: dist_ini,
                                                data: arrventas
                                            });
                                            arrventas = [];
                                            for(k=0; k<main_cat.length; k++){
                                                arrventas[k]=0;
                                            }
                                            dist_ini=distribuidor;
                                        }else{
                                            if(i==datos.length-1){
                                                if(canton==main_cat[j]){
                                                    arrventas[j]=ventas_agente;
                                                }
                                                if(j==main_cat.length-1){
                                                    console.info(arrventas)
                                                    main_obj.push({
                                                        type: 'column',
                                                        name: distribuidor,
                                                        data: arrventas
                                                    });
                                                }

                                            }else{
                                                if(canton==main_cat[j]){
                                                    arrventas[j]=ventas_agente;
                                                }
                                            }
                                        }

                                    }
                                }else{
                                    for(var j=0; j<main_cat.length; j++){
                                        if(distribuidor!=dist_ini && dist_ini!='' && i!=datos.length-1){

                                            main_obj.push({
                                                type: 'column',
                                                name: dist_ini,
                                                data: arrventas
                                            });
                                            arrventas = [];
                                            for(var k=0; k<main_cat.length; k++){
                                                arrventas[k]=0;
                                            }
                                            dist_ini=distribuidor;
                                        }else{
                                            if(i==datos.length-1){
                                                if(provincia==main_cat[j]){
                                                    arrventas[j]=ventas_agente;
                                                }
                                                if(j==main_cat.length-1){
                                                    console.info(arrventas)
                                                    main_obj.push({
                                                        type: 'column',
                                                        name: distribuidor,
                                                        data: arrventas
                                                    });
                                                }

                                            }else{
                                                if(provincia==main_cat[j]){
                                                    arrventas[j]=ventas_agente;
                                                }
                                            }
                                        }

                                    }
                                }
                            }
                            dist_ini=distribuidor;
                        }


                        Highcharts.chart('ventas_chart', {
                            title: {
                                text: 'Resumen Ventas por Distribuidors'
                            },
                            xAxis: {
                                categories: main_cat
                            },
                            labels: {
                                items: [{
                                    html: 'Ventas Totales por Distribuidor',
                                    style: {
                                        left: '50px',
                                        top: '18px',
                                        color: ( // theme
                                            Highcharts.defaultOptions.title.style &&
                                            Highcharts.defaultOptions.title.style.color
                                        ) || 'black'
                                    }
                                }]
                            },
                            series: main_obj
                        });
                        break;
                    case "loadAgentProfile":
                        var datos= data.details;
                        var html='';
                        $('.mainbar').show();
                        for(i=0;i<datos.length; i++){
                            agente = datos[i].agente;
                            var driver_rol= datos[i].rol;
                            var profile_photo = datos[i].profile_photo;
                            var is_online = datos[i].on_duty;
                            var team_name = datos[i].team_name;
                            var last_login = datos[i].last_login;
                            moment.locale('es');
                            last_login = moment(last_login, "YYYY-MM-DD H:m:s").fromNow();
                            if(is_online==1){
                                var statusOnline = '<span class="label label-success">Online</span>';
                            }else{
                                var statusOnline = '<span class="label label-danger">Offline</span>';
                            }
                            if(profile_photo==''){
                                var fotoAgente = '../assets/images/noavatar.png';
                            }else{
                                var fotoAgente = '../upload/photo/'+profile_photo;
                            }
                            $('#profile_photo').html('<img width="100" height="auto" alt="" src="'+fotoAgente+'">');
                            $('#agente_name').html(agente);
                            $('#agente_status').html('Modo: '+statusOnline);
                            $('#last_connected').html(last_login);
                            $('#agente_team').html(team_name);
                            $('#driver_rol').val(driver_rol);
                            cargar_profile_metas();
                        }
                        break;
                    case "loadAgentProfileActivity":
                        if(data.code==1){
                            var datos= data.details;
                            var html='';
                            var activity = '';
                            for(i=0;i<datos.length; i++){
                                var status_history = datos[i].status_history;
                                var status = datos[i].status;
                                var date_created = datos[i].date_created;
                                var fecha = date_created.substr(0, 10);
                                var hora = date_created.substr(11);
                                var remarks = datos[i].remarks;
                                var driver_lat = datos[i].driver_location_lat;
                                var driver_lng = datos[i].driver_location_lng;
                                task_id = datos[i].task_id;
                                customer_name= datos[i].customer_name;
                                var fotoOffline=false;
                                if(remarks.indexOf('offline')!=-1){
                                    fotoOffline=true;
                                }
                                var notes = datos[i].notes;
                                if(notes!=''){
                                    var lanota = '<div style="width: 100%;" class="alert alert-info">'+notes+'</div>';
                                }else{
                                    var lanota = '';
                                }
                                var photo_uploaded= datos[i].photo_name;
                                if(photo_uploaded){

                                    var thelink = ' <br><a data-fancybox="gallery" style="text-decoration: none !important;" href="../upload/photo/'+photo_uploaded+'"><img src="../upload/photo/'+photo_uploaded+'" class=" " style="width: 100px; height: auto; cursor: pointer;"></a>';
                                }else{
                                    var thelink = '';
                                }
                                var firma = datos[i].customer_signature;
                                if(firma){
                                    var thesign = '<a href="../upload/'+firma+'" target="_blank" class="text-primary "><i class="fa fa-paperclip "></i> Ver Firma</a>';
                                }else{
                                    var thesign = '';
                                }
                                thelabel ='';
                                switch(status_history){
                                    case "sign":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-warning-inverted">Firma</label>';
                                        break;
                                    case "photo":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-warning-inverted">Foto</label>';
                                        break;
                                    case "notes":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-warning">Nota</label>';
                                        break;
                                    case "pedido":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-success-inverted">Pedido</label>';
                                        break;
                                    case "acknowledged":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-primary">Aceptada</label>';
                                        break;
                                    case "successful":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-success">Completada</label>';
                                        break;
                                    case "started":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-primary">Iniciada</label>';
                                        break;
                                    case "cancelled":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-danger">Cancelada</label>';
                                        break;
                                    case "failed":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-danger">Fallida</label>';
                                        break;
                                    case "inprogress":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-info">En Progreso</label>';
                                        break;
                                    case "Nuevo Cliente":
                                        thelabel = '<label style="font-size: 12px;" class="badge badge-info">Nuevo Cliente</label>';
                                        break;
                                }
                                //activity flow
                                activity += '<div class="timed-activity">';
                                activity += '<div class="ta-date"><span></span></div>';
                                activity += '<div class="ta-record-w">';
                                activity += '<div class="ta-record">';
                                activity += '<div class="ta-timestamp"><strong>'+hora+'</strong> </div>';
                                activity += '<div class="ta-activity"><span class="text-danger bold" style="font-size: 12px;">'+customer_name+'</span><br>'+thelabel+' - <span class="text-default" style="font-size: 12px;">'+remarks+'</span>  </div> ';
                                activity += '</div>';
                                if(lanota){
                                    activity += '<div class="ta-record">';
                                    activity += '<div class="ta-timestamp"><strong> </strong> </div>';
                                    activity += '<div class="ta-activity"> '+lanota+'</div> ';
                                    activity += '</div>';
                                }
                                if(thelink && fotoOffline==false){
                                    activity += '<div class="ta-record">';
                                    activity += '<div class="ta-timestamp"><strong> </strong> </div>';
                                    activity += '<div class="ta-activity"> '+thelink+'</div> ';
                                    activity += '</div>';
                                }
                                if(thesign){
                                    activity += '<div class="ta-record">';
                                    activity += '<div class="ta-timestamp"><strong> </strong> </div>';
                                    activity += '<div class="ta-activity"> '+thesign+'</div> ';
                                    activity += '</div>';
                                }
                                activity += '</div>';
                                activity += '</div>';
                                task_id_ini = task_id;
                            }
                            $('.timed-activities.profile').html(activity);
                        }
                        if($('#cabecera').exists()){
                            var elmnt = document.getElementById("cabecera");
                            elmnt.scrollIntoView();
                        }

                        break;
                    case "loadAgentProfileClients":
                        var datos= data.details;
                        var opciones_clientes ='<option value="">Todos los Clientes</option>';
                        var marker_index= 100000;
                        var icon = 'user-check';
                        var optionss = {
                            icon: icon
                            , prefix: 'fa'
                            , iconShape: 'marker'
                            , borderColor: '#336699'
                            , textColor: '#336699'
                            , backgroundColor: '#ffeff2'
                        };
                        for( var i=0;i<datos.length; i++) {

                            marker_index++;
                            var mapbox_bounds = [];
                            contact_id = datos[i].contact_id;
                            customer_name = datos[i].customer_name;
                            task_lat = datos[i].task_lat;
                            task_lng = datos[i].task_lng;
                            var status_raw = datos[i].status;
                            trans_type = datos[i].trans_type;
                            if(trans_type=='delivery'){
                                icon = 'user-check';
                            }else{
                                icon = 'shipping-fast';
                            }

                            switch(status_raw){
                                case "successful":
                                    thelabel = '<label style="font-size: 12px;" class="badge badge-success">Completada</label>';
                                    optionss = {
                                        icon: icon
                                        , prefix: 'fa'
                                        , iconShape: 'marker'
                                        , borderColor: '#00a802'
                                        , textColor: '#00a802'
                                        , backgroundColor: '#ffeff2'
                                    };
                                    break;
                                case "cancelled":
                                    thelabel = '<label style="font-size: 12px;" class="badge badge-danger">Cancelada</label>';
                                    optionss = {
                                        icon: icon
                                        , prefix: 'fa'
                                        , iconShape: 'marker'
                                        , borderColor: '#df0005'
                                        , textColor: '#df0005'
                                        , backgroundColor: '#ffeff2'
                                    };
                                    break;
                                case "failed":
                                    thelabel = '<label style="font-size: 12px;" class="badge badge-danger">Fallida</label>';
                                    optionss = {
                                        icon: icon
                                        , prefix: 'fa'
                                        , iconShape: 'marker'
                                        , borderColor: '#df0005'
                                        , textColor: '#df0005'
                                        , backgroundColor: '#ffeff2'
                                    };
                                    break;
                                case "acknowledged":
                                    thelabel = '<label style="font-size: 12px;" class="badge badge-primary">Aceptada</label>';
                                    optionss = {
                                        icon: icon
                                        , prefix: 'fa'
                                        , iconShape: 'marker'
                                        , borderColor: '#336699'
                                        , textColor: '#336699'
                                        , backgroundColor: '#ffeff2'
                                    };
                                    break;
                                case "inprogress":
                                    thelabel = '<label style="font-size: 12px;" class="badge badge-info">En Progreso</label>';
                                    optionss = {
                                        icon: icon
                                        , prefix: 'fa'
                                        , iconShape: 'marker'
                                        , borderColor: '#f86808'
                                        , textColor: '#f86808'
                                        , backgroundColor: '#ffeff2'
                                    };
                                    break;
                                case "started":
                                    thelabel = '<label style="font-size: 12px;" class="badge badge-primary">Iniciada</label>';
                                    optionss = {
                                        icon: icon
                                        , prefix: 'fa'
                                        , iconShape: 'marker'
                                        , borderColor: '#6e0cb6'
                                        , textColor: '#6e0cb6'
                                        , backgroundColor: '#ffeff2'
                                    };
                                    break;
                            }
                            opciones_clientes +='<option value="'+datos[i].contact_id+'">'+customer_name+'</option>';
                            //add client to map
                            remarks = 'Cliente: '+customer_name+'<br><br><a href="ContactProfile?id='+contact_id+'" target="_blank" class="btn btn-outline-primary " >Ver Perfil Cliente</a><br><br> Estado de la Visita: '+thelabel;
                            if(task_lat!=undefined && task_lat!=null && task_lat!='' && task_lat!='null'){
                                var latlng = [task_lat,task_lng];
                                mapbox_bounds.push( latlng );
                                mapbox_tmpmarker[marker_index] = L.marker(latlng, { icon: L.BeautifyIcon.icon(optionss), draggable: false }).addTo(mapbox).bindPopup(remarks).openPopup();
                                mapbox.addLayer(mapbox_tmpmarker[marker_index]);
                            }
                        }
                        mapbox.fitBounds(mapbox_bounds, {padding: [30, 30]});
                        $('#ubicacion_cliente').html(opciones_clientes);
                        $('#ubicacion_cliente').trigger("chosen:updated");
                        break;
                    case "getProfileMap":
                        if(data.code==1){
                            $('.ubicationbar').show();
                            var  trackinfo = data.msg;
                            var arrtrackinfo = trackinfo.split(';');
                            var tracking_count=parseInt(arrtrackinfo[0]);
                            var pagina = parseInt(arrtrackinfo[1]);
                            var pagina_sig = pagina + 1;
                            var paginas_total = Math.ceil(tracking_count/100); //100 por pagina
                            $('.ubicationbar').find('.positive').html('Página '+pagina+' de '+paginas_total);
                            var porciento = parseInt((pagina/paginas_total)*100);
                            $('.ubicationbar').find('.bar-level-2').css('width', porciento+'%');
                            $('.ubicationbar').find('.bar-level-3').css('width', porciento+'%');
                            var datos = data.details;
                            var path = [];
                            //  var bounds = new google.maps.LatLngBounds();
                            var marker_index=pagina*100;

                            for(i=0;i<datos.length;i++){
                                marker_index++;
                                var parCoord = [];
                                var date_created = datos[i].date_created;
                                var fecha = date_created.substr(0, 10);
                                var hora = date_created.substr(11);
                                var driver_lat = datos[i].latitude;
                                var driver_lng = datos[i].longitude;
                                var driver_id = datos[i].driver_id;
                                var accuracy = datos[i].accuracy;
                                var track_type = datos[i].track_type;
                                remarks = 'Agente ubicado en las coordenadas: '+driver_lat+','+driver_lng+' a las  '+hora+' del día '+fecha;
                                if(driver_lat==undefined || driver_lat=='undefined' || driver_lat=='null' || driver_lat==null || driver_lat==''){
                                    continue;
                                }
                                parCoord.push(driver_lat);
                                parCoord.push(driver_lng);
                                //
                                var options = {
                                    iconShape: 'doughnut',
                                    borderWidth: 3,
                                    iconSize: [10, 10]
                                };

                                mapbox_tmpmarker[marker_index] = L.marker([driver_lat,driver_lng], { icon: L.BeautifyIcon.icon(options), draggable: false }).addTo(mapbox).bindPopup(remarks).openPopup();
                                mapbox.addLayer(mapbox_tmpmarker[marker_index]);
                                path.push(parCoord);

                            }
                          // cargar_reloj();
                            history_polyline = L.polyline(path, {color: '#8A90B4'}); //.addTo(mapbox)
                            mapbox.addLayer(history_polyline);
                            // zoom the map to the polyline
                            mapbox.fitBounds(history_polyline.getBounds());
                            if(pagina_sig<=paginas_total){
                                getProfileMap(pagina_sig, '');
                            }

                        }else{
                            toastMessage(data.msg, 'Actividad del Agente');
                            $('.timed-activities.profile').html('');
                        }
                        break;
                    case "storyMapHead":
                        if(data.code==1) {
                            var datos = data.details;
                            var arrdata = [];
                            var total_visitas= parseInt(datos[0].total_visitas);
                            var total_pedidos= parseInt(datos[0].total_pedidos);
                            var total_cobros= parseInt(datos[0].total_cobros);
                            var total_clientes= parseInt(datos[0].total_clientes);
                            var total_ventas= parseInt(datos[0].total_ventas);
                            var total_encuestas= parseInt(datos[0].total_encuestas);
                            arrdata.push(total_visitas);
                            arrdata.push(total_pedidos);
                            arrdata.push(total_cobros);
                            arrdata.push(total_clientes);
                            arrdata.push(total_ventas);
                            arrdata.push(total_encuestas);
                        }
                        Highcharts.chart('general-graph', {
                            chart: {
                                type: 'column',
                                options3d: {
                                    enabled: true,
                                    alpha: 15,
                                    beta: 15,
                                    depth: 50,
                                    viewDistance: 25
                                }
                            },
                            title: {
                                text: 'Resumen de la Gestión diaria'
                            },
                            credits: {
                                enabled: false
                            },
                            xAxis: {
                                categories: ['Visitas', 'Pedidos', 'Cobros', 'Prospectos', 'Ventas', 'Encuestas'],
                                labels: {
                                    skew3d: true,
                                    style: {
                                        fontSize: '16px'
                                    }
                                }
                            },
                            plotOptions: {
                                series: {
                                    depth: 25,
                                    colorByPoint: true,
                                    colors: ['#369', '#ccc', '#f00', '#fe9f16', '#1FCCAC', '#7B1ABF']
                                }
                            },
                            series: [{
                                data: arrdata,
                                name: 'Resumen',
                                showInLegend: false
                            }]
                        });
                        cargar_storyMapDetail(total_visitas, total_pedidos, total_cobros, total_clientes, total_ventas, total_encuestas );
                        break;
                    case "storyMapDriver":
                        var unidades_global=0;
                        var monto_global=0;
                        var visitas_global=0;
                        var items_global=[];
                        var unidades_pedido=0;
                        var monto_pedido=0;
                        var facturas_global=[];
                        var cobro_global=0;
                        if(data.code==1) {
                            var datos = data.details;
                            var story_markers = {};
                            var story_data = '';
                            var task_id_ini='';
                            var cant = _.size(datos)-4;
                            var items_venta = datos.venta.length;
                            var items_encuesta = datos.encuesta.length;
                            var items_pedido = datos.pedido.length;
                            var items_cobro = datos.cobro.length;
                            for( var i=0; i<cant; i++){
                                task_id= datos[i].task_id;

                                if(task_id!=task_id_ini) {
                                    visitas_global++;
                                    var contact_id_visita = datos[i].contact_id;
                                    cliente = datos[i].customer_name;
                                    var cliente_lat = datos[i].task_lat;
                                    var cliente_lng = datos[i].task_lng;
                                    var direccion = datos[i].delivery_address;
                                    story_markers[cliente] = {};
                                    story_markers[cliente]["lat"] = cliente_lat;
                                    story_markers[cliente]["lon"] = cliente_lng;
                                    story_markers[cliente]["zoom"] = 15;
                                    //
                                    story_data += '<section data-taskid="' + task_id + '"  style="min-height: 500px; " data-place="' + cliente + '">';
                                    story_data += '<h4 class="text-primary bold">Cliente: ' + cliente + '</h4>';
                                    story_data += '<p><i class="fa fa-map-marker-alt text-success "></i> ' + direccion + '</p>';
                                    //ventas
                                    story_data += '<div class="row">';
                                    if (total_encuestas > 0) {
                                        story_data += '<div class="col-sm-6">';
                                        for ( var q = 0; q < items_venta; q++) {
                                            var contact_id_venta = datos.venta[q].contact_id_cliente;
                                            if (contact_id_visita == contact_id_venta) {
                                                unidades = datos.venta[q].total_unidades;
                                                unidades_global = unidades_global + parseInt(unidades);

                                                story_data += '<hr>';
                                                story_data += '<h5 class="text-blue-grey bold">Ventas Impulsador</h5>';
                                                story_data += '<div class="os-progress-bar warning ">';
                                                story_data += '<div class="bar-labels">';
                                                story_data += '<div class="bar-label-left">';
                                                story_data += '<span class="bold text-warning">Ventas (Unidades)</span><span class="positive">' + unidades + '</span>';
                                                story_data += '</div>';
                                                story_data += '<div class="bar-label-right">';
                                                story_data += '<span class="info"></span>';
                                                story_data += '</div>';
                                                story_data += '</div>';
                                                story_data += '<div class="bar-level-1" style="width: 100%">';
                                                story_data += '<div class="bar-level-2" style="width: ' + unidades + '%">';
                                                story_data += '<div class="bar-level-3" style="width: 100%"></div>';
                                                story_data += '</div>';
                                                story_data += '</div>';
                                                story_data += '</div>';
                                                var monto = parseFloat(datos.venta[q].total_monto);
                                                monto = monto.toFixed(2);
                                                monto_global = monto_global + parseFloat(monto);
                                                story_data += '<div class="os-progress-bar primary ">';
                                                story_data += '<div class="bar-labels">';
                                                story_data += '<div class="bar-label-left">';
                                                story_data += '<span class="bold text-primary">Ventas ($)</span><span class="positive">' + monto + '</span>';
                                                story_data += '</div>';
                                                story_data += '<div class="bar-label-right">';
                                                story_data += '<span class="info"></span>';
                                                story_data += '</div>';
                                                story_data += '</div>';
                                                story_data += '<div class="bar-level-1" style="width: 100%">';
                                                story_data += '<div class="bar-level-2" style="width: ' + monto + '%">';
                                                story_data += '<div class="bar-level-3" style="width: 100%"></div>';
                                                story_data += '</div>';
                                                story_data += '</div>';
                                                story_data += '</div>';
                                            }
                                        }
                                        //fin ventas inicio encuestas
                                        for (j = 0; j < items_encuesta; j++) {
                                            var contact_id_encuesta = datos.encuesta[j].contact_id;
                                            if (contact_id_visita == contact_id_encuesta) {
                                                story_data += '<hr>';
                                                story_data += '<h5 class="text-teal bold">Resultados Encuesta Presencia</h5>';
                                                break;
                                            }
                                        }

                                        for (j = 0; j < items_encuesta; j++) {

                                            var contact_id_encuesta = datos.encuesta[j].contact_id;
                                            if (contact_id_visita == contact_id_encuesta) {

                                                if (datos.encuesta[j].propio == 1) {
                                                    var sclass = ' switch-green';
                                                    var tclass = 'text-success';
                                                } else if (datos.encuesta[j].propio == 0) {
                                                    var sclass = ' switch-red';
                                                    var tclass = 'text-danger';
                                                } else {
                                                    var sclass = '';
                                                    var tclass = 'text-info';
                                                }
                                                story_data += '<div><label class="switch ' + sclass + '">';
                                                story_data += '<input checked readonly type="checkbox" class="switch-input" >';
                                                story_data += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                                story_data += '<span class="switch-handle"></span>';
                                                story_data += '</label> <label class="' + tclass + '" style="display: inline; cursor: pointer;">&nbsp; ' + datos.encuesta[j].description + '</label></div>';
                                            }

                                        }
                                        story_data += '</div>';
                                    }

                                    if (total_pedidos > 0 || total_cobros > 0) {
                                        story_data += '<div class="col-sm-6">';
                                        if (total_pedidos > 0 ) {
                                            for (k = 0; k < items_pedido; k++) {
                                                var contact_id_pedido = datos.pedido[k].contact_id;
                                                if (contact_id_visita == contact_id_pedido) {
                                                    unidades_pedido = unidades_pedido + parseInt(datos.pedido[k].cantidad);
                                                    story_data += '<hr>';
                                                    story_data += '<h5 class="text-blue-grey bold">Ventas Directas (App)</h5>';
                                                    story_data += '<div class="os-progress-bar warning ">';
                                                    story_data += '<div class="bar-labels">';
                                                    story_data += '<div class="bar-label-left">';
                                                    story_data += '<span class="bold text-warning">Ventas (Unidades)</span><span class="positive">' + datos.pedido[k].cantidad + '</span>';
                                                    story_data += '</div>';
                                                    story_data += '<div class="bar-label-right">';
                                                    story_data += '<span class="info"></span>';
                                                    story_data += '</div>';
                                                    story_data += '</div>';
                                                    story_data += '<div class="bar-level-1" style="width: 100%">';
                                                    story_data += '<div class="bar-level-2" style="width: ' + datos.pedido[k].cantidad + '%">';
                                                    story_data += '<div class="bar-level-3" style="width: 100%"></div>';
                                                    story_data += '</div>';
                                                    story_data += '</div>';
                                                    story_data += '</div>';
                                                    var monto = parseFloat(datos.pedido[k].total);
                                                    monto = monto.toFixed(2);
                                                    monto_pedido = parseFloat(monto_pedido) + parseFloat(monto);
                                                    story_data += '<div class="os-progress-bar primary ">';
                                                    story_data += '<div class="bar-labels">';
                                                    story_data += '<div class="bar-label-left">';
                                                    story_data += '<span class="bold text-primary">Ventas ($)</span><span class="positive">' + monto + '</span>';
                                                    story_data += '</div>';
                                                    story_data += '<div class="bar-label-right">';
                                                    story_data += '<span class="info"></span>';
                                                    story_data += '</div>';
                                                    story_data += '</div>';
                                                    story_data += '<div class="bar-level-1" style="width: 100%">';
                                                    story_data += '<div class="bar-level-2" style="width: ' + monto + '%">';
                                                    story_data += '<div class="bar-level-3" style="width: 100%"></div>';
                                                    story_data += '</div>';
                                                    story_data += '</div>';
                                                    story_data += '</div>';
                                                }
                                            }
                                        }
                                        if (total_cobros > 0) {
                                            for (n = 0; n < items_cobro; n++) {
                                                var contact_id_cobro = datos.cobro[n].contact_id;
                                                if (contact_id_visita == contact_id_cobro) {
                                                    story_data += '<hr>';
                                                    story_data += '<h5 class="text-blue-grey bold">Cobro Cartera</h5>';
                                                    story_data += '<table class="table table-condensed">';
                                                    story_data += '<thead class="bg-blue-ll br-blue-grey-l br-sm">';
                                                    story_data += '<tr>';
                                                    story_data += '<th>Factura</th><th>Valor Cobrado</th>';
                                                    story_data += '</tr>';
                                                    story_data += '</thead>';
                                                    story_data += '<tbody class="bg-light-blue-ll br-blue-l">';
                                                }
                                            }

                                            for (n = 0; n < items_cobro; n++) {
                                                var contact_id_cobro = datos.cobro[n].contact_id;
                                                cobro_global = parseFloat(cobro_global) + parseFloat(datos.cobro[n].total);
                                                if (contact_id_visita == contact_id_cobro) {
                                                    story_data += '<tr>';
                                                    story_data += '<td>' + datos.cobro[n].factura + '</td><td>' + datos.cobro[n].total + '</td>';
                                                    story_data += '</tr>';
                                                }
                                            }
                                            for (n = 0; n < items_cobro; n++) {
                                                var contact_id_cobro = datos.cobro[n].contact_id;
                                                if (contact_id_visita == contact_id_cobro) {
                                                    story_data += '</tbody>';
                                                    story_data += '</table>';
                                                }
                                            }

                                        }
                                        story_data += '</div>';
                                    }

                                    story_data += '</div>';
                                    story_data += '</section>';
                                }

                                task_id_ini=task_id;
                            }

                            $('#storyData').html(story_data);
                            $('.mainstory').storymap({markers: story_markers});
                            if(unidades_global>0){
                                $("#ventas-graph").show();
                                Highcharts.chart('ventas-graph', {

                                    chart: {
                                        type: 'column',
                                        styledMode: true
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    title: {
                                        text: 'Ventas Impulsadores'
                                    },

                                    yAxis: [{
                                        className: 'highcharts-color-0',
                                        title: {
                                            text: 'Unidades Vendidas'
                                        }
                                    }, {
                                        className: 'highcharts-color-1',
                                        opposite: true,
                                        title: {
                                            text: 'Venta Total'
                                        }
                                    }],

                                    plotOptions: {
                                        column: {
                                            borderRadius: 5
                                        }
                                    },

                                    series: [{
                                        data: [unidades_global],
                                        name: 'Unidades'
                                    }, {
                                        data: [monto_global],
                                        name: 'Monto',
                                        yAxis: 1
                                    }]

                                });
                            }
                            //para grafico global
                            var series_colors =[];
                            var series_data =[];
                            for (j = 0; j < items_encuesta; j++) {
                                var item_actual = datos.encuesta[j].description;
                                var existe = items_global.indexOf(item_actual);
                                if(existe==-1){
                                    if(datos.encuesta[j].propio==1){
                                        series_colors.push('#30cc7d');
                                    }else if(datos.encuesta[j].propio==0){
                                        series_colors.push('#ff0003');
                                    }else{
                                        series_colors.push('#0072ff');
                                    }
                                    items_global.push(item_actual);
                                }
                            }

                            for (j = 0; j < items_encuesta; j++) {
                                var item_actual = datos.encuesta[j].description;
                                var disponible = datos.encuesta[j].disponible;
                                var pos = items_global.indexOf(item_actual);
                                var valor_actual= series_data[pos];
                                if(valor_actual!=undefined){
                                    series_data[pos]= parseInt(valor_actual) + parseInt((1/visitas_global)*100);
                                }else{
                                    series_data[pos]= parseInt((1/visitas_global)*100);
                                }
                            }

                            //fin grafico global
                            if(total_encuestas>0){

                                $("#encuestas-graph").show();
                                Highcharts.chart('encuestas-graph', {
                                    chart: {
                                        type: 'bar'
                                    },
                                    title: {
                                        text: 'Encuesta de Presencia'
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    xAxis: {
                                        categories: items_global
                                    },
                                    yAxis: {
                                        min: 0,
                                        title: {
                                            text: 'Porciento de Presencia'
                                        }
                                    },
                                    plotOptions: {
                                        column: {
                                            stacking: 'percent'
                                        },
                                        series: {
                                            colorByPoint: true,
                                            colors: series_colors
                                        }
                                    },
                                    series: [{
                                        showInLegend: false,
                                        data: series_data
                                    }]
                                });


                            }
                            if(unidades_pedido>0){
                                $("#pedidos-graph").show();
                                Highcharts.chart('pedidos-graph', {

                                    chart: {
                                        type: 'column',
                                        styledMode: true
                                    },
                                    credits: {
                                        enabled: false
                                    },
                                    title: {
                                        text: 'Ventas Directas App'
                                    },

                                    yAxis: [{
                                        title: {
                                            text: 'Unidades Vendidas'
                                        }
                                    }, {
                                        opposite: true,
                                        title: {
                                            text: 'Venta Total'
                                        }
                                    }],

                                    plotOptions: {
                                        column: {
                                            borderRadius: 5
                                        }
                                    },

                                    series: [{
                                        data: [unidades_pedido],
                                        name: 'Unidades'
                                    }, {
                                        data: [monto_pedido],
                                        name: 'Monto',
                                        yAxis: 1
                                    }]

                                });
                            }
                            if (total_cobros > 0) {
                                for (n = 0; n < items_cobro; n++) {
                                    var cobro_total  = '<hr>';
                                    cobro_total += '<h5 class="text-blue-grey bold">Cobro Cartera</h5>';
                                    cobro_total += '<table class="table table-condensed">';
                                    cobro_total += '<thead class="bg-blue-ll br-white br-sm">';
                                    cobro_total += '<tr>';
                                    cobro_total += '<th>Factura</th><th>Valor Cobrado</th>';
                                    cobro_total += '</tr>';
                                    cobro_total += '</thead>';
                                    cobro_total += '<tbody class="bg-light-blue-ll br-blue-l">';

                                }
                                for (n = 0; n < items_cobro; n++) {
                                    cobro_total += '<tr>';
                                    cobro_total += '<td>' + datos.cobro[n].factura + '</td><td>' + datos.cobro[n].total + '</td>';
                                    cobro_total += '</tr>';
                                }
                                for (n = 0; n < items_cobro; n++) {
                                    cobro_total += '</tbody>';
                                    cobro_total += '</table>';
                                }
                                //dibujar tabla
                                $("#cobros-table").show();
                                $("#cobros-table").html(cobro_total);
                            }
                        }
                        break;
                    case "teamsDashboard":
                        var datos= data.details;
                        var html ='';
                        var team_ant=0;
                        var cant=0;
                        for(i=0;i<datos.length; i++){
                            var team_id = datos[i].team_id;
                            team_name = datos[i].team_name;
                            var completadas = datos[i].completadas;
                            total_visitas = datos[i].total_visitas;
                            if(total_visitas==0){
                                var cump=0;
                            }else{
                                var cump = parseInt((completadas/total_visitas)*100);
                            }
                            cant=0;
                            if(team_id!=team_ant){
                                html +='<div class="project-box">';
                                html +='<div class="project-head">';
                                html +='<div class="project-title">';
                                html +='<h4 class="bold text-light-blue-d">';
                                html += team_name;
                                html +='</h4>';
                                html +='</div>';
                                html +='<div class="project-users">';
                                for(j=0;j<datos.length;j++){
                                    var team_id_actual = datos[j].team_id;
                                    if(team_id_actual==team_id){
                                        cant++;
                                        profile_photo = datos[j].profile_photo;
                                        if(profile_photo==''){
                                            html +='<div title="'+datos[j].first_name+' '+datos[j].last_name+'" class="avatar">';
                                            html +='<img alt="" src="../assets/images/noavatar.png">';
                                            html +='</div>';
                                        }else{
                                            html +='<div title="'+datos[j].first_name+' '+datos[j].last_name+'" class="avatar">';
                                            html +='<img alt="" src="../upload/photo/'+profile_photo+'">';
                                            html +='</div>';
                                        }
                                    }

                                }
                                html +='</div>';
                                html +='</div>';
                                html +='<div class="project-info">';
                                html +='<div class="row align-items-center">';
                                html +='<div class="col-sm-5">';
                                html +='<div class="row">';
                                html +='<div class="col-sm-6">';
                                html +='<div class="el-tablo highlight">';
                                html +='<div class="label">';
                                html +='Tareas';
                                html +='</div>';
                                html +='<div class="value">';
                                html += total_visitas;
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='<div class="col-sm-6">';
                                html +='<div class="el-tablo highlight">';
                                html +='<div class="label" style="text-align: left;">';
                                html +='Miembros';
                                html +='</div>';
                                html +='<div class="value" style="text-align: right;">';
                                html += cant;
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='<div class="col-sm-5 offset-sm-2">';
                                html +='<div class="os-progress-bar success">';
                                html +='<div class="bar-labels">';
                                html +='<div class="bar-label-left">';
                                html +='<span>Exitosas </span><span class="positive">'+cump+'%</span>';
                                html +='</div>';
                                html +='<div class="bar-label-right">';
                                html +='<span class="info">'+completadas+'/'+total_visitas+'</span>';
                                html +='</div>';
                                html +='</div>';
                                html +='<div class="bar-level-1" style="width: 100%">';
                                html +='<div class="bar-level-2" style="width: '+cump+'%">';
                                html +='<div class="bar-level-3" style="width: 100%"></div>';
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                                html +='</div>';
                            }
                            team_ant= team_id;
                        }
                        $('#team_dashboard').html(html);

                        loadVentasByTeam();
                        break;
                    case "loadVentasByTeam":
                        var datos= data.details;

                        var team_cat = [];
                        var series_cat = [];
                        for(i=0;i<datos.length; i++){
                            unidades = datos[i].unidades;
                            ventas = parseFloat(datos[i].ventas);
                            ventas = ventas.toFixed(2);
                            ventas = parseFloat(ventas);
                            if(ventas==0){
                                continue;
                            }
                            team_name = datos[i].team_name;
                            team_cat.push(team_name);
                            series_cat.push(ventas);
                        }
                        //
                        Highcharts.chart('ventas_impulsadoras', {
                            chart: {
                                type: 'areaspline'
                            },
                            title: {
                                text: 'Ventas Impulsadores por Canal'
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                verticalAlign: 'top',
                                x: 150,
                                y: 100,
                                floating: true,
                                borderWidth: 1,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            xAxis: {
                                categories: team_cat
                            },
                            yAxis: {
                                title: {
                                    text: 'Ventas Totales'
                                }
                            },
                            tooltip: {
                                shared: true,
                                valueSuffix: ' USD'
                            },
                            credits: {
                                enabled: false
                            },
                            plotOptions: {
                                areaspline: {
                                    fillOpacity: 0.5
                                }
                            },
                            series: [{
                                name: 'Ventas',
                                data: series_cat,
                                color: '#336699'
                            }]
                        });


                        loadVentasByAgent();
                        break;
                    case "loadVentasByAgent":
                        var datos= data.details;
                        var html='';
                        var total_ventas = 0;
                        var conventas=0;
                        for(i=0;i<datos.length; i++){
                            ventas = parseFloat(datos[i].ventas);
                            if(ventas==0){
                                continue;
                            }
                            conventas++;
                            total_ventas = total_ventas + ventas;
                        }
                        var promedio = parseFloat(total_ventas)/conventas;
                        promedio = promedio.toFixed(2);
                        promedio =  parseFloat(promedio);
                        for(i=0;i<datos.length; i++){
                            unidades = datos[i].unidades;
                            ventas = parseFloat(datos[i].ventas);
                            agente = datos[i].agente;
                            team_name = datos[i].team_name;
                            if(ventas==0){
                                continue;
                            }

                            porciento = parseInt((ventas/total_ventas)*100);
                            if(ventas>=promedio){
                                var laclase = 'success';
                            }else{
                                var laclase = 'danger';
                            }
                            ventas=ventas.toFixed(2);
                            html +='<div class="os-progress-bar '+laclase+'">';
                            html +='<div class="bar-labels">';
                            html +='<div class="bar-label-left">';
                            html +='<span title="Equipo: '+team_name+'">'+agente+'</span><span class="positive">'+unidades+' U</span>';
                            html +='</div>';
                            html +='<div class="bar-label-right">';
                            html +='<span class="info">$ '+ventas+'</span>';
                            html +='</div>';
                            html +='</div>';
                            html +='<div class="bar-level-1" style="width: 100%">';
                            html +='<div class="bar-level-2" style="width: 100%">';
                            html +='<div class="bar-level-3" style="width: '+porciento+'%"></div>';
                            html +='</div>';
                            html +='</div>';
                            html +='</div>';
                        }

                        $('#ventas_agente_bar').html(html);
                        loadVentasByTeamApp();
                        break;
                    case "loadVentasByTeamApp":
                        var datos= data.details;
                        var team_cat = [];
                        var series_cat = [];
                        for(i=0;i<datos.length; i++){
                            ventas = parseFloat(datos[i].ventas);
                            ventas = ventas.toFixed(2);
                            ventas = parseFloat(ventas);
                            if(ventas==0){
                                continue;
                            }
                            team_name = datos[i].team_name;
                            team_cat.push(team_name);
                            series_cat.push(ventas);
                        }
                        //
                        Highcharts.chart('ventas_vendedores', {
                            chart: {
                                type: 'areaspline'
                            },
                            title: {
                                text: 'Ventas Vendedores Directos por Canal'
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                verticalAlign: 'top',
                                x: 150,
                                y: 100,
                                floating: true,
                                borderWidth: 1,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            xAxis: {
                                categories: team_cat
                            },
                            yAxis: {
                                title: {
                                    text: 'Ventas Totales'
                                }
                            },
                            tooltip: {
                                shared: true,
                                valueSuffix: ' USD'
                            },
                            credits: {
                                enabled: false
                            },
                            plotOptions: {
                                areaspline: {
                                    fillOpacity: 0.5
                                }
                            },
                            series: [{
                                name: 'Ventas',
                                data: series_cat,
                                color: '#ffbc00'
                            }]
                        });
                        loadVentasByAgentApp();
                        break;
                    case "loadVentasByAgentApp":
                        var datos= data.details;
                        var html='';
                        var total_ventas = 0;
                        var conventas=0;
                        for(i=0;i<datos.length; i++){
                            ventas = parseFloat(datos[i].ventas);
                            if(ventas==0){
                                continue;
                            }
                            conventas++;
                            total_ventas = total_ventas + ventas;
                        }
                        var promedio = parseFloat(total_ventas)/conventas;
                        promedio = promedio.toFixed(2);
                        promedio =  parseFloat(promedio);
                        for(i=0;i<datos.length; i++){
                            ventas = parseFloat(datos[i].ventas);
                            agente = datos[i].agente;
                            team_name = datos[i].team_name;
                            if(ventas==0){
                                continue;
                            }
                            if(total_ventas>0){
                                porciento = parseInt((ventas/total_ventas)*100);
                            }  else{
                                porciento =0;
                            }

                            if(ventas>=promedio){
                               var laclase = 'success';
                            }else{
                               var laclase = 'danger';
                            }
                            ventas=ventas.toFixed(2);
                            html +='<div class="os-progress-bar '+laclase+'">';
                            html +='<div class="bar-labels">';
                            html +='<div class="bar-label-left">';
                            html +='<span title="Equipo: '+team_name+'">'+agente+'</span><span class="positive"></span>';
                            html +='</div>';
                            html +='<div class="bar-label-right">';
                            html +='<span class="info">$ '+ventas+'</span>';
                            html +='</div>';
                            html +='</div>';
                            html +='<div class="bar-level-1" style="width: 100%">';
                            html +='<div class="bar-level-2" style="width: 100%">';
                            html +='<div class="bar-level-3" style="width: '+porciento+'%"></div>';
                            html +='</div>';
                            html +='</div>';
                            html +='</div>';
                        }
                        $('#ventas_agente_bar_ventas').html(html);
                        break;
                }
            } else {

                //failed mycon
                switch (action) {
                    case "loadAgentProfile":
                        nAlert(data.msg,'warning');
                        cargar_profile_metas();
                        break;
                    case "cargarProfileMetas":
                        nAlert(data.msg,'warning');
                        $('.mainbar').find('.positive').html('Ventas 50%');
                        $('.mainbar').find('.bar-level-2').css('width', '50%');
                        $('.mainbar').find('.bar-level-3').css('width', '50%');
                        cargar_profile_ventas();
                        break;
                    case "cargarProfileVentas":
                        nAlert(data.msg,'warning');
                        $('.mainbar').find('.positive').html('Ventas 75%');
                        $('.mainbar').find('.bar-level-2').css('width', '75%');
                        $('.mainbar').find('.bar-level-3').css('width', '75%');
                        cargar_profile_visitas();
                        break;
                    case "cargarProfileVisitas":
                        nAlert(data.msg,'warning');
                        $('.mainbar').find('.positive').html('Ventas 100%');
                        $('.mainbar').find('.bar-level-2').css('width', '100%');
                        $('.mainbar').find('.bar-level-3').css('width', '100%');
                        $('.mainbar').hide();
                        load_team_profile();
                        break;
                    case "loadAgentProfileTasks":
                        $('.load-more-tickets').html('<div class="alert alert-warning">No hay tareas asignadas</div>');
                        $('.timed-activities.profile').html('<div class="alert alert-warning">No hay actividad registrada</div>');
                        break;
                    case "loadAgentProfileActivity":
                        $('.timed-activities.profile').html('<div class="alert alert-warning">No hay actividad registrada</div>');
                       if($('#cabecera').exists()){
                           var elmnt = document.getElementById("cabecera");
                           elmnt.scrollIntoView();
                       }
                        break;
                    case "getProfileMap":
                        nAlert('Se han cargado todos los punto de tracking.','info');
                        porciento = 100;
                        $('.ubicationbar').find('.bar-level-2').css('width', porciento+'%');
                        $('.ubicationbar').find('.bar-level-3').css('width', porciento+'%');
                        setTimeout(function(){
                            $('.ubicationbar').hide();
                        },1000);
                        break;
                    case "storyMapHead":
                        nAlert(data.msg,'warning');
                        break;
                    case "storyMapDriver":
                        nAlert(data.msg,'warning');
                        break;
                    case "loadVentasByTeam":
                        loadVentasByAgent();
                        break;
                    case "loadVentasByAgent":
                        loadVentasByTeamApp();
                        break;
                    case "loadVentasByTeamApp":
                        loadVentasByAgentApp();
                        break;
                    default :
                        nAlert(data.msg, "warning");
                        if (data.msg == 'Error al ingresar') {
                            location.reload();
                        }

                        break;
                }

            }
        },
        error: function (request, error) {

        }
    });
}

function cargar_horario(){
    $('#reporte_horario').DataTable().destroy();
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var fechainicio = $('#calendar_formatedi').val();
    var fechafin = $('#calendar_formatedf').val();
    var driver_id = $('#driver_selection').val();
    var team_id = $('#team_selection').val();
    var action = 'reporteHorario';

    var params = "driver_id="+driver_id;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params +="&language="+language;

    var tableElement = $('#reporte_horario').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Gestión del Asesor',
                filename: 'Seller App - Gestión del Asesor',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                message: 'Seller App - Gestión del Asesor'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '14%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '13%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '6%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '6%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '6%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [8],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [9],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [10],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [11],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [12],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [13],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [14],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 1000,
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#F9F2DE');
                $('td', row).css('color', '#336699');
            }
        },
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url +"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                team_id: team_id,
                fechainicio: fechainicio,
                fechafin: fechafin
            }
        }

    });
}

function cargar_visitas(){
    $('#reporte_visitas').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var fechainicio = $('#calendar_formatedi').val();
    var fechafin = $('#calendar_formatedf').val();
    var driver_id = $('#driver_selection').val();
    var team_id = $('#team_selection').val();
    var action = 'reporteVisitas';

    var params = "driver_id="+driver_id;
    params += "&team_id="+team_id;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params += "&language="+language;

    var tableElement = $('#reporte_visitas').dataTable( {
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Gestión del Asesor',
                filename: 'Seller App - Gestión del Asesor',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                message: 'Seller App - Gestión del Asesor'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '5%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [8],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [9],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [10],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [11],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [12],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 15,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                team_id: team_id,
                fechainicio: fechainicio,
                fechafin: fechafin
            }
        }

    });
}

function cargar_diario(){
    $('#reporte_visitas').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var fechainicio = $('#calendar_formatedi').val();
    var fechafin = $('#calendar_formatedf').val();
    var driver_id = $('#driver_selection').val();
    var team_id = $('.team_selection').val();
    var action = 'reporteDiario';

    var params = "driver_id="+driver_id;
    params += "&team_id="+team_id;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&language="+language;

    var tableElement = $('#reporte_visitas').dataTable( {
        dom: 'Bfrt',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Reporte de Visitas',
                filename: 'Seller App - Reporte de Visitas',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: ''
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '5%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '12%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '5%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [8],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [9],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [10],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [11],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '7%'
            },
            {
                targets: [12],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '7%'
            },
            {
                targets: [13],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [14],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [15],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            },
            {
                targets: [16],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 10000,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "rowCallback": function(row, data, index  ) {

            if ( parseInt(data[3]) == 0 )
            {
                $(row).find("td").eq(3).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(3).css( 'color', '#369' );
            }
            if ( parseInt(data[3]) == 1 )
            {
                $(row).find("td").eq(3).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(3).css( 'color', '#369' );
            }
            if ( parseInt(data[3]) > 1 )
            {
                $(row).find("td").eq(3).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(3).css( 'color', '#658722' );
            }
            if ( parseInt(data[4]) == 0 )
            {
                $(row).find("td").eq(4).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(4).css( 'color', '#369' );
            }
            if ( parseInt(data[4]) == 1 )
            {
                $(row).find("td").eq(4).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(4).css( 'color', '#369' );
            }
            if ( parseInt(data[4]) > 1 )
            {
                $(row).find("td").eq(4).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(4).css( 'color', '#658722' );
            }
            if ( parseInt(data[5]) == 0 )
            {
                $(row).find("td").eq(5).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(5).css( 'color', '#369' );
            }
            if ( parseInt(data[5]) == 1 )
            {
                $(row).find("td").eq(5).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(5).css( 'color', '#369' );
            }
            if ( parseInt(data[5]) > 1 )
            {
                $(row).find("td").eq(5).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(5).css( 'color', '#658722' );
            }
            if ( parseInt(data[6]) == 0 )
            {
                $(row).find("td").eq(6).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(6).css( 'color', '#369' );
            }
            if ( parseInt(data[6]) == 1 )
            {
                $(row).find("td").eq(6).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(6).css( 'color', '#369' );
            }
            if ( parseInt(data[6]) > 1 )
            {
                $(row).find("td").eq(6).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(6).css( 'color', '#658722' );
            }
            if ( parseInt(data[7]) == 0 )
            {
                $(row).find("td").eq(7).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(7).css( 'color', '#369' );
            }
            if ( parseInt(data[7]) == 1 )
            {
                $(row).find("td").eq(7).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(7).css( 'color', '#369' );
            }
            if ( parseInt(data[7]) > 1 )
            {
                $(row).find("td").eq(7).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(7).css( 'color', '#658722' );
            }
            if ( parseInt(data[8]) == 0 )
            {
                $(row).find("td").eq(8).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(8).css( 'color', '#369' );
            }
            if ( parseInt(data[8]) == 1 )
            {
                $(row).find("td").eq(8).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(8).css( 'color', '#369' );
            }
            if ( parseInt(data[8]) > 1 )
            {
                $(row).find("td").eq(8).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(8).css( 'color', '#658722' );
            }
            if ( parseInt(data[9]) == 0 )
            {
                $(row).find("td").eq(9).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(9).css( 'color', '#369' );
            }
            if ( parseInt(data[9]) == 1 )
            {
                $(row).find("td").eq(9).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(9).css( 'color', '#369' );
            }
            if ( parseInt(data[9]) > 1 )
            {
                $(row).find("td").eq(9).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(9).css( 'color', '#658722' );
            }
            if ( parseInt(data[10]) == 0 )
            {
                $(row).find("td").eq(10).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(10).css( 'color', '#369' );
            }
            if ( parseInt(data[10]) == 1 )
            {
                $(row).find("td").eq(10).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(10).css( 'color', '#369' );
            }
            if ( parseInt(data[10]) > 1 )
            {
                $(row).find("td").eq(10).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(10).css( 'color', '#658722' );
            }
            if ( parseInt(data[11]) == 0 )
            {
                $(row).find("td").eq(11).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(11).css( 'color', '#369' );
            }
            if ( parseInt(data[11]) == 1 )
            {
                $(row).find("td").eq(11).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(11).css( 'color', '#369' );
            }
            if ( parseInt(data[11]) > 1 )
            {
                $(row).find("td").eq(11).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(11).css( 'color', '#658722' );
            }
            if ( parseInt(data[12]) == 0 )
            {
                $(row).find("td").eq(12).css( 'background-color', '#ffe9e4' );
                $(row).find("td").eq(12).css( 'color', '#369' );
            }
            if ( parseInt(data[12]) == 1 )
            {
                $(row).find("td").eq(12).css( 'background-color', '#fff9f6' );
                $(row).find("td").eq(12).css( 'color', '#369' );
            }
            if ( parseInt(data[12]) > 1 )
            {
                $(row).find("td").eq(12).css( 'background-color', '#e0ffe6' );
                $(row).find("td").eq(12).css( 'color', '#658722' );
            }
        },
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                team_id: team_id,
                fechainicio: fechainicio,
                fechafin: fechafin
            }
        }

    });
}


function cargar_presencia_resumen(){
    $('#reporte_visitas').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var fechainicio = $('#calendar_meta_ini').val();
    var fechafin = $('#calendar_meta_fin').val();
    var driver_id = $('#driver_id').val();
    var contact_id = $('#contact_list_items').val();
    //
    var cod_provincia = $('#provzona').val();
    var provincia = $("#provzona option:selected").text();
    if(cod_provincia=='' || cod_provincia==-1 || cod_provincia=='-1' || provincia=='Todas+las+Provincias'){
        provincia= '';
    }
    var canton = $('#cantonzona').val();
    var sector = $('#sector').val();
    //
    var action = 'reportePresenciaResumen';
    if($('#consolidado').is(':checked')){
        var consolidado = 1;
    }else{
        var consolidado = 0;
    }

    var tableElement = $('#reporte_visitas').dataTable( {
        dom: 'Bfrt',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'csvHtml5',
                header: false,
                className: 'btn btn-outline-success',
                fieldBoundary: '',
                charset: 'iso-8859-1',
                fieldSeparator: ',',
                bom: true,
                text: 'Archivo Plano',
                exportOptions: {
                    modifier: {
                        search: 'none'
                    }
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Ventas Resumen',
                filename: 'Seller App - Ventas Resumen',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                message: 'Seller App - Ventas Resumen'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '25%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '25%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-left upper',          // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#F9F2DE');
                $('td', row).css('color', '#336699');
                var propios = parseInt(data[2]);
                var comp = parseInt(data[3]);
                var total = propios + comp;
                total = total.toFixed(2);
                if(consolidado==1){
                    $('.tipocliente').html('DISTRIBUIDOR');
                }else{
                    $('.tipocliente').html('CLIENTE');
                }
                Highcharts.chart('presencia_cliente', {
                    chart: {
                        plotBackgroundColor: null,
                        plotBorderWidth: null,
                        plotShadow: false,
                        type: 'pie'
                    },
                    title: {
                        text: 'Porciento de Presencia Total'
                    },
                    tooltip: {
                        pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                    },
                    credits: {
                        enabled: false
                    },
                    plotOptions: {
                        pie: {
                            allowPointSelect: true,
                            cursor: 'pointer',
                            dataLabels: {
                                enabled: false
                            },
                            showInLegend: true
                        }
                    },
                    series: [{
                        name: 'Porciento',
                        colorByPoint: true,
                        data: [{
                            name: 'Propios',
                            y: propios,
                            sliced: true,
                            selected: true,
                            color: '#57eea7'
                        }, {
                            name: 'Competencia',
                            y: comp,
                            color: '#ffbc00'
                        }]
                    }]
                });
            }
        },
        'iDisplayLength': 5000,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                consolidado: consolidado,
                provincia: provincia,
                canton: canton,
                sector: sector
            }
        }

    });
}

function cargar_ventas_resumen(){
    var salida = $('#salida').val();
    var fechainicio = $('#calendar_meta_ini').val();
    var fechafin = $('#calendar_meta_fin').val();
    var codprovincia = $('#provzona').val();
    if(codprovincia=='' || codprovincia==-1 || codprovincia=='-1'){
        var provincia = '';
    }else{
        var provincia = $('#provzona option:selected').text();
    }

    var canton = $('#cantonzona').val();
    var sector = $('#sector').val();
    var conventas  = $('#conventas').val();
    var driver_id = $('#driver_id').val();
    var contact_id = $('#contact_list_items').val();
    switch(salida){
        case "Tabla":
            $('#ventas_chart').hide();
            $('#reporte_visitas').show();
            $('#reporte_visitas').DataTable().destroy();
            var responsiveHelper = undefined;
            var breakpointDefinition = {
                tablet: 1024,
                phone: 480
            };


            var action = 'reporteVentasResumen';
            if($('#consolidado').is(':checked')){
                var consolidado = 1;
            }else{
                var consolidado = 0;
            }

            var tableElement = $('#reporte_visitas').dataTable( {
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        text: 'Copiar',
                        className: 'btn btn-outline-primary'
                    },
                    {
                        extend: 'excelHtml5',
                        className: 'btn btn-outline-success',
                        text: 'Exportar a Excel',
                        customize: function( xlsx ) {
                            var sheet = xlsx.xl.worksheets['sheet1.xml'];
                            $('row:first c', sheet).attr( 's', '42' );
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        className: 'btn btn-outline-success',
                        fieldBoundary: '',
                        charset: 'iso-8859-1',
                        fieldSeparator: ',',
                        bom: true,
                        text: 'Archivo Plano',
                        exportOptions: {
                            modifier: {
                                search: 'none'
                            }
                        }
                    },
                    {
                        extend: 'pdfHtml5',
                        text: 'PDF',
                        className: 'btn btn-outline-danger',
                        orientation: 'landscape',
                        pageSize: 'A4',
                        title: 'Seller App - Ventas Resumen',
                        filename: 'Seller App - Ventas Resumen',
                        download: 'open'
                    },
                    {
                        extend: 'print',
                        className: 'btn btn-outline-info',
                        text: 'Imprimir',
                        message: 'Seller App - Ventas Resumen'
                    }
                ],
                "language": {
                    "lengthMenu": "Mostrar _MENU_ filas por página",
                    "zeroRecords": "No hay resultados",
                    "info": "Mostrando página _PAGE_ of _PAGES_",
                    "infoEmpty": "No hay resultados",
                    "infoFiltered": "(filtrado de _MAX_ total registros)",
                    "sSearch": " "
                },
                // disable sorting on the checkbox column
                columnDefs: [
                    {
                        targets: 0,                       // Column number which needs to be modified
                        orderable: false,                 // Column is not sortable
                        className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                        width: '7%'
                    },
                    {
                        targets: [1],                     // Column number which needs to be modified
                        className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                        width: '7%'
                    },{
                        targets: [2],                     // Column number which needs to be modified
                        className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                        width: '7%'
                    },{
                        targets: [3],                     // Column number which needs to be modified
                        className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                        width: '7%'
                    },
                    {
                        targets: [4],                     // Column number which needs to be modified
                        className: 'th-cell text-left upper',          // Optional - class to be applied to this table cell
                        width: '15%'
                    },
                    {
                        targets: [5],                     // Column number which needs to be modified
                        className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                        width: '7%'
                    },
                    {
                        targets: [6],                     // Column number which needs to be modified
                        className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                        width: '7%'
                    },
                    {
                        targets: [7],                     // Column number which needs to be modified
                        className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                        width: '15%'
                    },
                    {
                        targets: [8],                     // Column number which needs to be modified
                        className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                        width: '7%'
                    },
                    {
                        targets: [9],                     // Column number which needs to be modified
                        className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                        width: '7%'
                    },
                    {
                        targets: [10],                     // Column number which needs to be modified
                        className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                        width: '7%'
                    },
                    {
                        targets: [11],                     // Column number which needs to be modified
                        className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                        width: '7%'
                    }
                ],
                "searching": false,
                order: [[0, "asc"]],
                'iDisplayLength': 5000,
                "rowCallback": function(row, data, index  ) {
                    if ( data[0] == '' )
                    {
                        $('td', row).css('background-color', '#F9F2DE');
                        $('td', row).css('color', '#336699');
                    }
                    $('td:eq(4)', row).css('background-color', '#D8ECFF');
                    $('td:eq(5)', row).css('background-color', '#D8ECFF');
                    $('td:eq(6)', row).css('background-color', '#D8ECFF');
                    $('td:eq(7)', row).css('background-color', '#F9F2DE');
                    $('td:eq(8)', row).css('background-color', '#F9F2DE');
                    $('td:eq(9)', row).css('background-color', '#F9F2DE');
                    $('td:eq(10)', row).css('background-color', '#DCFCE2');
                    $('td:eq(11)', row).css('background-color', '#DCFCE2');
                },
                autoWidth: false,
                "processing": true,
                "serverSide": true,
                "ajax":{
                    url : agent_url+"/"+action, // json datasource
                    type: "post",
                    data: {
                        driver_id: driver_id,
                        contact_id: contact_id,
                        fechainicio: fechainicio,
                        fechafin: fechafin,
                        provincia: provincia,
                        canton: canton,
                        sector: sector,
                        conventas: conventas,
                        consolidado: consolidado
                    }
                }
            });
            if($('#consolidado').is(':checked')){
                var labelprt = 'Distribuidor';
            }else{
                var labelprt = 'Cliente';
            }
            $("#reporte_visitas thead th:eq(7)").html(labelprt);
            break;
        case "Grafico":
            $('#reporte_visitas').DataTable().destroy();
            $('#ventas_chart').show();
            $('#reporte_visitas').hide();
            var params = "driver_id="+driver_id;
            params += "&contact_id="+contact_id;
            params += "&fechainicio="+fechainicio;
            params += "&fechafin="+fechafin;
            params += "&provincia="+provincia;
            params += "&canton="+canton;
            params += "&sector="+sector;
            params += "&conventas="+conventas;
            params += "&consolidado=1";
            callAgent('reporteVentasResumenChart', params);
            break;
    }

}



function loadAgentProfile(){
    var driver_id = $('#profile_driver_id').val();
    var params="driver_id="+driver_id;
    callAgent('loadAgentProfile', params);
}


function cargar_profile_metas(){
    $('.mainbar').show();
    var startDate = $('#reportrange').data('daterangepicker').startDate;
    var endDate = $('#reportrange').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var driver_id = $('#profile_driver_id').val();
    var params="driver_id="+driver_id;
    params+="&fechainicio="+fechainicio;
    params+="&fechafin="+fechafin;
    $('.mainbar').find('.positive').html('Metas 25%');
    $('.mainbar').find('.bar-level-2').css('width', '25%');
    $('.mainbar').find('.bar-level-3').css('width', '25%');

    callAgent('cargarProfileMetas', params);
}

function cargar_profile_ventas(){
    var startDate = $('#reportrange').data('daterangepicker').startDate;
    var endDate = $('#reportrange').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var driver_id = $('#profile_driver_id').val();
    var driver_rol= $('#driver_rol').val();
    var params="driver_id="+driver_id;
    params+="&fechainicio="+fechainicio;
    params+="&fechafin="+fechafin;
    params+="&driver_rol="+driver_rol;
    callAgent('cargarProfileVentas', params);
}

function cargar_profile_visitas(){
    var startDate = $('#reportrange').data('daterangepicker').startDate;
    var endDate = $('#reportrange').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var driver_id = $('#profile_driver_id').val();
    var params="driver_id="+driver_id;
    params+="&fechainicio="+fechainicio;
    params+="&fechafin="+fechafin;
    callAgent('cargarProfileVisitas', params);
}

function load_team_profile(){
    var driver_id = $('#profile_driver_id').val();
    var params="driver_id="+driver_id;
    callAgent('cargarProfileTeam', params);
}

function loadAgentCustomers(){
    if($('#profile_driver_id').exists()){
        var driver_id = $('#profile_driver_id').val();
    }else if($('#driver_id').exists()){
        var driver_id = $('#driver_id').val();
        if(driver_id==''){
            $('#contact_id').html('<option value="">Seleccione el Cliente...</option>').trigger('chosen:updated');
        }
    }
    var params ="driver_id="+driver_id;
    if($('#body_asignados').html()==''){
        callAgent('loadAgentCustomers', params);
    }
    if($('#driver_id').exists()){
        callAgent('loadAgentCustomers', params);
    }
}

function loadAgentProfileTasks(){
    var taskdate= $('#calendar_formated').val();
    var contact_id = $('#cliente').val();
    var driver_id = $('#profile_driver_id').val();

    var params ="driver_id="+driver_id;
    params +="&taskdate="+taskdate;
    params +="&contact_id="+contact_id;
    callAgent('loadAgentProfileTasks', params);
}

function loadAgentProfileActivity(task_id){
    if(task_id==''){
        var taskdate= $('#calendar_formated').val();
        var driver_id = $('#profile_driver_id').val();
    }else{
        var taskdate= '';
        var driver_id = '';
    }
    var params ="driver_id="+driver_id;
    params +="&taskdate="+taskdate;
    params +="&task_id="+task_id;
    callAgent('loadAgentProfileActivity', params);
}

function loadAgentProfileClients(){
    var taskdate= $('#calendar_formated_ubic').val();
    var driver_id = $('#profile_driver_id').val();
    var params ="driver_id="+driver_id;
    params +="&taskdate="+taskdate;
    callAgent('loadAgentProfileClients', params);
}

function getProfileMap(pagina, taborigen){
    if(taborigen){
        mapbox_PlotMap('profile_map',-2.161425,-79.899251);
    }
    if(pagina==0){
        loadAgentProfileClients();
    }

    setTimeout(function(){
        var driver_id = $('#profile_driver_id').val();
        var taskdate= $('#calendar_formated_ubic').val();
        var contact_id = $('#ubicacion_cliente').val();
        var map_clock_ini = $('#map_clock_ini').val();
        var map_clock_fin = $('#map_clock_fin').val();
        var params="driver_id="+driver_id;
        params+="&taskdate="+taskdate;
        params+="&contact_id="+contact_id;
        params+="&map_clock_ini="+map_clock_ini;
        params+="&map_clock_fin="+map_clock_fin;
        params+="&pagina="+pagina;
        callAgent("getProfileMap", params);
    },1000);

}

function cargar_storyMap(){
    var driver_id = $('#profile_driver_id').val();
    var fecha = $('#calendar_formatedh').val();
    var params ="driver_id="+driver_id;
    params +="&fecha="+fecha;
    callAgent('storyMapHead', params);
}

function cargar_storyMapDetail(total_visitas, total_pedidos, total_cobros, total_clientes, total_ventas, total_encuestas){
    var driver_id = $('#profile_driver_id').val();
    var fecha = $('#calendar_formatedh').val();
    var params ="driver_id="+driver_id;
    params +="&fecha="+fecha;
    params +="&total_visitas="+total_visitas;
    params +="&total_pedidos="+total_pedidos;
    params +="&total_cobros="+total_cobros;
    params +="&total_clientes="+total_clientes;
    params +="&total_ventas="+total_ventas;
    params +="&total_encuestas="+total_encuestas;
    callAgent('storyMapDriver', params);
}

function loadTeamDashboard(){
    var fecha_inicio = $('#calendar_meta_ini_canal').val();
    var fecha_fin = $('#calendar_meta_fin_canal').val();
    var params="fechainicio="+fecha_inicio;
    params+="&fechafin="+fecha_fin;
    callAgent('teamsDashboard', params);
}

function loadVentasByTeam(){
    var fecha_inicio = $('#calendar_meta_ini').val();
    var fecha_fin = $('#calendar_meta_fin').val();
    var params="fechainicio="+fecha_inicio;
    params+="&fechafin="+fecha_fin;
    callAgent('loadVentasByTeam', params);
}

function loadVentasByAgent(){
    var fecha_inicio = $('#calendar_meta_ini').val();
    var fecha_fin = $('#calendar_meta_fin').val();
    var params="fechainicio="+fecha_inicio;
    params+="&fechafin="+fecha_fin;
    callAgent('loadVentasByAgent', params);
}

function loadVentasByTeamApp(){
    var fecha_inicio = $('#calendar_meta_ini').val();
    var fecha_fin = $('#calendar_meta_fin').val();
    var params="fechainicio="+fecha_inicio;
    params+="&fechafin="+fecha_fin;
    callAgent('loadVentasByTeamApp', params);
}


function loadVentasByAgentApp(){
    var fecha_inicio = $('#calendar_meta_ini').val();
    var fecha_fin = $('#calendar_meta_fin').val();
    var params="fechainicio="+fecha_inicio;
    params+="&fechafin="+fecha_fin;
    callAgent('loadVentasByAgentApp', params);
}

function getVentasTableAgente(){
    $('#table_ventas_agente').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    // var fechainicio = $('.calendar_formatedi').val();
    // var fechafin = $('.calendar_formatedf').val();
    var startDate = $('#reportrange_agentes').data('daterangepicker').startDate;
    var endDate = $('#reportrange_agentes').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    //
    var driver_id = $('#driver_selection').val();
    var team_id = $('#team_selection').val();
    if($('#productividad_detalle').is(':checked')){
        var productividad_detalle=1;
    }else{
        var  productividad_detalle=0;
    }
    var action = 'getVentasTableAgente';
    var arr_agentes=[];
    var arr_metas=[];
    var arr_ventas=[];
    var tableElement = $('#table_ventas_agente').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'portrait',
                pageSize: 'A4',
                title: 'Seller Manager - Ventas por Agente',
                filename: 'Seller Manager - Ventas por Agente',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                title: function(){
                    return 'Seller Manager - Ventas por Agente'
                }
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '12%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '18%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '7%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '7%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-right upper', // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 500,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
            if ( aData[0] == '<b style="color: #007695;">Total General</b>' )
            {
                $(nRow).css('background-color', '#fbf7dc');
                $('td:eq(3)', nRow).css('color', '#007695');
            }


            var cliente= aData[2];
            if($.trim(cliente)==''){
                agente = aData[1];
                if(agente!='' && arr_agentes.indexOf(agente)==-1){
                    arr_agentes.push(agente);
                    var meta = parseFloat(aData[5]);
                    arr_metas.push(meta);
                    var ventas = parseFloat(aData[4]);
                    arr_ventas.push(ventas);
                }
            }
            if(aData[0]==''){
                agente = aData[2];
                if(agente!='' && arr_agentes.indexOf(agente)==-1){
                    arr_agentes.push(agente);
                    meta = parseFloat(aData[5]);
                    arr_metas.push(meta);
                    ventas = $.trim(aData[4]);
                    var div = document.createElement("div");
                    div.innerHTML = ventas;
                    ventas = div.textContent || div.innerText || "";
                    ventas = ventas.substr(2);
                    ventas = parseFloat(ventas);
                    arr_ventas.push(ventas);
                }
            }

            Highcharts.chart('ventas_meta_grafico', {
                chart: {
                    type: 'bar'
                },
                title: {
                    text: 'Metas y Ventas por Agennte'
                },
                xAxis: {
                    categories: arr_agentes
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: 'Monto de la Meta/Ventas'
                    }
                },
                legend: {
                    reversed: true
                },
                plotOptions: {
                    series: {
                        stacking: 'normal'
                    },
                    column: {
                        colorByPoint: true
                    }
                },
                colors: [colores[2], colores[3]],
                series: [{
                    name: 'Ventas',
                    data: arr_ventas
                },{
                    name: 'Metas',
                    data: arr_metas
                }]
            });
        },
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                fechainicio: fechainicio,
                fechafin: fechafin,
                driver_id: driver_id,
                team_id: team_id,
                productividad_detalle: productividad_detalle
            }
        }

    });
    $('.nav-tabs a[href="#ventas_agente"]').tab('show');
    getTableroControl();
}


function getTableroControl(){
    $('#table_tablero_control').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    // var fechainicio = $('.calendar_formatedi').val();
    // var fechafin = $('.calendar_formatedf').val();
    var startDate = $('#reportrange_agentes').data('daterangepicker').startDate;
    var endDate = $('#reportrange_agentes').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    //
    var driver_id = $('#driver_selection').val();
    var team_id = $('#team_selection').val();

    var action = 'getTableroControl';
    var arr_agentes=[];
    var arr_metas=[];
    var arr_ventas=[];
    var tableElement = $('#table_tablero_control').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'portrait',
                className: 'btn btn-outline-danger',
                pageSize: 'A4',
                title: 'Seller Manager - Ventas por Agente',
                filename: 'Seller Manager - Ventas por Agente',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                title: function(){
                    return 'Seller Manager - Ventas por Agente'
                }
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-center',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '5%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper text-center',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '5%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper text-center',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '5%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            },
            {
                targets: [8],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 500,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
            if ( aData[0] == '<b style="color: #007695;">Total General</b>' )
            {
                $(nRow).css('background-color', '#fbf7dc');
                $('td:eq(3)', nRow).css('color', '#007695');
            }
            $('td:eq(2)', nRow).css('background-color', '#dcfce2');
            $('td:eq(3)', nRow).css('background-color', '#dcfce2');
            $('td:eq(4)', nRow).css('background-color', '#dcfce2');
            if(parseFloat(aData[4])<50){
                $('td:eq(4)', nRow).css('color', '#FF0000');
            }else if(parseFloat(aData[4])>=50 && parseFloat(aData[4])<75){
                $('td:eq(4)', nRow).css('color', '#ff9d00');
            }else{
                $('td:eq(4)', nRow).css('color', '#14a200');
            }
            //pedidos
            $('td:eq(5)', nRow).css('background-color', '#faffcf');
            $('td:eq(6)', nRow).css('background-color', '#faffcf');
            if(parseFloat(aData[6])<50){
                $('td:eq(6)', nRow).css('color', '#FF0000');
            }else if(parseFloat(aData[6])>=50 && parseFloat(aData[6])<75){
                $('td:eq(6)', nRow).css('color', '#ff9d00');
            }else{
                $('td:eq(6)', nRow).css('color', '#14a200');
            }
            //facturado
            $('td:eq(7)', nRow).css('background-color', '#f2e5ff');
            $('td:eq(8)', nRow).css('background-color', '#f2e5ff');
            if(parseFloat(aData[8])<50){
                $('td:eq(8)', nRow).css('color', '#FF0000');
            }else if(parseFloat(aData[8])>=50 && parseFloat(aData[8])<75){
                $('td:eq(8)', nRow).css('color', '#ff9d00');
            }else{
                $('td:eq(8)', nRow).css('color', '#14a200');
            }
            //entregas
            $('td:eq(9)', nRow).css('background-color', '#ccecdf');
            $('td:eq(10)', nRow).css('background-color', '#ccecdf');
            if(parseFloat(aData[10])<50){
                $('td:eq(10)', nRow).css('color', '#FF0000');
            }else if(parseFloat(aData[10])>=50 && parseFloat(aData[10])<75){
                $('td:eq(10)', nRow).css('color', '#ff9d00');
            }else{
                $('td:eq(10)', nRow).css('color', '#14a200');
            }
            //devoluciones
            $('td:eq(11)', nRow).css('background-color', '#fff0d1');
            $('td:eq(12)', nRow).css('background-color', '#fff0d1');
            if(parseFloat(aData[12])<50){
                $('td:eq(12)', nRow).css('color', '#14a200');
            }else if(parseFloat(aData[12])>=50 && parseFloat(aData[12])<75){
                $('td:eq(12)', nRow).css('color', '#ff9d00');
            }else{
                $('td:eq(12)', nRow).css('color', '#FF0000');
            }
            //ventas
            $('td:eq(13)', nRow).css('background-color', '#d8ecff');
            $('td:eq(14)', nRow).css('background-color', '#d8ecff');
            $('td:eq(15)', nRow).css('background-color', '#d8ecff');
            if(parseFloat(aData[15])<50){
                $('td:eq(15)', nRow).css('color', '#FF0000');
            }else if(parseFloat(aData[15])>=50 && parseFloat(aData[15])<75){
                $('td:eq(15)', nRow).css('color', '#ff9d00');
            }else{
                $('td:eq(15)', nRow).css('color', '#14a200');
            }
            //drop size
            $('td:eq(16)', nRow).css('background-color', '#8ae7e1');
        },
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                fechainicio: fechainicio,
                fechafin: fechafin,
                driver_id: driver_id,
                team_id: team_id
            }
        }

    });
    $('.nav-tabs a[href="#ventas_agente"]').tab('show');
    getMetasAgenteVentas();
}

function getMetasAgenteVentas(){

    $('#table_metas_agente').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var startDate = $('#reportrange_agentes').data('daterangepicker').startDate;
    var endDate = $('#reportrange_agentes').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var driver_id = $('#driver_selection').val();
    if($('#productividad_detalle').is(':checked')){
        var productividad_detalle=1;
    }else{
        var  productividad_detalle=0;
    }
    var action = 'getVentasMetaAgente';
    var tipo_meta= 'Ventas';

    var tableElement = $('#table_metas_agente').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Reporte de metas',
                filename: 'Seller App - Reporte de metas',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: 'Seller App - Reporte de metas'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '30%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {

            //     $('td', row).css('background-color', '#eff9d2');
            //    $('td', row).css('color', '#336699');
            //     meta_total = parseFloat($('td:eq(1)', row).html());
            //     real_total = parseFloat($('td:eq(2)', row).html());

            graficarpie(driver_id, fechainicio, fechafin);

        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                tipo_meta: tipo_meta,
                productividad_detalle: productividad_detalle,
                tipo_salida: 'Tabla'
            }
        }

    });
    getProyAgenteVentas();
}

function graficarpie(driver_id, fechainicio, fechafin ){
    var tipo_salida='Grafico';
    if($('#productividad_detalle').is(':checked')){
      var  productividad_detalle=1;
    }else{
       var productividad_detalle=0;
    }
    var params = "driver_id="+driver_id;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params += "&tipo_salida="+tipo_salida;
    params += "&productividad_detalle="+productividad_detalle;
    callAgent('getVentasMetaAgente', params);
}

function getProyAgenteVentas(){

    $('#table_proy_agente').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var startDate = $('#reportrange_agentes').data('daterangepicker').startDate;
    var endDate = $('#reportrange_agentes').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var driver_id = $('#driver_selection').val();
    var team_id = $('#team_selection').val();
    var action = 'getMetasProyeccion';
    var tipo_meta= 'Proyeccion';

    var tableElement = $('#table_proy_agente').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Reporte de metas',
                filename: 'Seller App - Reporte de metas',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                message: 'Seller App - Reporte de metas'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '30%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '10%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if(parseFloat(data[4])>=parseFloat(data[1])){
                $('td:eq(4)', row).css('background-color', '#cbfccc');
                $('td:eq(4)', row).css('color', '#3a7602');
            }else{
                $('td:eq(4)', row).css('background-color', '#fffeaf');
                $('td:eq(4)', row).css('color', '#c00600');
            }
            if ( data[0] == 'Total' )
            {
                $('td', row).css('background-color', '#cbfccc');
                $('td', row).css('color', '#336699');
                var meta_total = parseFloat($('td:eq(1)', row).html());
                var real_total = parseFloat($('td:eq(2)', row).html());

                graficarpieproy(meta_total, real_total);
            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                team_id: team_id,
                fechainicio: fechainicio,
                fechafin: fechafin
            }
        }

    });
    getMetasAgenteProspectos();
}

function getMetasAgenteVisitas(){

    $('#table_metas_visitas').DataTable().destroy();
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var fechainicio = $('.calendar_formatedi').val();
    var fechafin = $('.calendar_formatedf').val();
    // var contact_id = $('#contact_list_stock').val();
    var driver_id = $('#driver_selection').val();
    var action = 'getMetasAgente';
    var tipo_meta= 'Visitas';
    var params = "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&driver_id="+driver_id;
    params+="&tipo_meta="+tipo_meta;
    params+="&language="+language;

    var tableElement = $('#table_metas_visitas').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'landscape',
                className: 'btn btn-outline-danger',
                pageSize: 'A4',
                title: 'Seller App - Reporte de metas',
                filename: 'Seller App - Reporte de metas',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: 'Seller App - Reporte de metas'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '30%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#eff9d2');
                $('td', row).css('color', '#336699');
                var meta_total = parseFloat($('td:eq(2)', row).html());
                var real_total = parseFloat($('td:eq(3)', row).html());
                graficarpievisitas(meta_total, real_total);
            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : ajax_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                tipo_meta: tipo_meta
            }
        }

    });
}

function getMetasAgenteProspectos(){

    $('#table_metas_prospectos').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var fechainicio = $('.calendar_formatedi').val();
    var fechafin = $('.calendar_formatedf').val();
    // var contact_id = $('#contact_list_stock').val();
    var driver_id = $('#driver_selection').val();
    var action = 'getMetasAgente';
    var tipo_meta= 'Prospectos';
    var params  = "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&driver_id="+driver_id;
    params+="&tipo_meta="+tipo_meta;
    params+="&language="+language;

    var tableElement = $('#table_metas_prospectos').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Reporte de metas',
                filename: 'Seller App - Reporte de metas',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                message: 'Seller App - Reporte de metas'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '30%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#eff9d2');
                $('td', row).css('color', '#336699');
                var meta_total = parseFloat($('td:eq(2)', row).html());
                var real_total = parseFloat($('td:eq(3)', row).html());
                graficarpieprospectos(meta_total, real_total);
            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                tipo_meta: tipo_meta
            }
        }

    });
    getCobrosTableAgente();
}

function getMetasImpulsador(){

    $('#table_metas_impulsador').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var fechainicio = $('.calendar_formatedi').val();
    var fechafin = $('.calendar_formatedf').val();
    // var contact_id = $('#contact_list_stock').val();
    var driver_id = $('#driver_selection').val();
    var action = 'getMetasAgente';
    var tipo_meta= 'Impulsador';
    var params = "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&driver_id="+driver_id;
    params+="&tipo_meta="+tipo_meta;
    params+="&language="+language;

    var tableElement = $('#table_metas_impulsador').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'landscape',
                className: 'btn btn-outline-danger',
                pageSize: 'A4',
                title: 'Seller App - Reporte de metas',
                filename: 'Seller App - Reporte de metas',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                message: 'Seller App - Reporte de metas'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '30%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#eff9d2');
                $('td', row).css('color', '#336699');
                var meta_total = parseFloat($('td:eq(2)', row).html());
                var real_total = parseFloat($('td:eq(3)', row).html());
                graficarpieimpulsador(meta_total, real_total);
            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                tipo_meta: tipo_meta
            }
        }

    });
}


function getCobrosTableAgente(){
    $('#table_cobranza_agente').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var fechainicio = $('.calendar_formatedi').val();
    var fechafin = $('.calendar_formatedf').val();
    // var contact_id = $('#contact_list_stock').val();
    var driver_id = $('#driver_selection').val();
    var action = 'getCobrosTableAgente';

    var params = "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&driver_id="+driver_id;
    params+="&language="+language;

    var tableElement = $('#table_cobranza_agente').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                className: 'btn btn-outline-danger',
                text: 'PDF',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Reporte de Cobros Realizados',
                filename: 'Seller App - Reporte de Cobros Realizados',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                message: 'Seller App - Reporte de Cobros Realizados'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '10%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#eff9d2');
                $('td', row).css('color', '#336699');
            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : agent_url+"/"+action, // json datasource
            type: "post",
            data: {
                driver_id: driver_id,
                fechainicio: fechainicio,
                fechafin: fechafin
            }
        }

    });
    getMetasImpulsador();
}

$(document).ready(function(){
    if( $("#profile_driver_id").exists() ) {
        loadAgentProfile();
    }
    if($('#ventas_agente').exists()){
        getVentasTableAgente();
    }

});