<?php
$customer_id = Driver::getUserId();
$idrole = $_SESSION['kartero']['idrole'];
?>
<div class="all-wrapper solid-bg-all">
    <div class="layout-w">
        <div class="content-w">
            <?php
                //top bar with menu
               $this->renderPartial('/tpl/layout1_top',array());
            ?>
            <!-- top bar for current page-->
            <div  style="border: 1px solid #fff;" class="top-bar color-scheme-transparent">

                <div class="top-menu-controls">

                </div>
            </div>

            <div class="content-i">
                <div class="content-box">
                    <div class="element-wrapper">
                        <h6 class="element-header">Tienda</h6>
                        <div class="element-box">

                            <div class="row">
                                <div class="col-md-6" style="padding-top: 30px;">
                                    <h6>Buscar Producto:</h6>
                                    <div class="row">
                                        <div class="col-sm-10">
                                            <div class="control-group">
                                                <input placeholder="Ingrese código/nombre del producto" type="search" id="buscar_item" class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-sm-2">
                                            <div class="control-group">
                                                <button onclick="buscar_item();" class="btn btn-success">Buscar</button>
                                            </div>
                                        </div>
                                        <br>
                                        <hr/>
                                        <div class="col-sm-12" id="product-list">
                                            <div class="order-box">
                                            <div class="order-items-table">
                                                <div class="table-responsive">
                                                    <table class="table table-lightborder tablecart" >
                                                        <thead>
                                                        <tr>
                                                            <th >Producto</th>
                                                            <th colspan="2">Descripción</th>
                                                            <th >Precio</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="tablecart">
                                                        <tr>
                                                            <td>
                                                                <div class="product-image" style="background-image: url(../assets/img/shop.png)"></div>
                                                            </td>
                                                            <td colspan="3">
                                                                <div class="product-name">Palissade Cone Chair</div>
                                                                <div class="product-details"> <strong>Cat: Gold Coral</strong> | <strong> Stock: 0 </strong> | <strong> Empaque: 1 </strong> | <strong> Precio Final </strong>

                                                                </div>
                                                            </td>
                                                            <td class="text-md-right">
                                                                <div class="product-price"> 329.00</div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                            </td>
                                                            <td >
                                                                <div class="quantity-selector">
                                                                    <div class="quantity-input">
                                                                        <div class="input-group">
                                                                            <div class="input-group-prepend input-group-sm">
                                                                                <div class="input-group-text" style="background-color: #ff3d00; color: #fff; cursor: pointer;">
                                                                                    <div class="os-icon os-icon-minus2"></div>
                                                                                </div>
                                                                            </div>
                                                                            <input class="form-control form-control-sm" value="0">
                                                                            <div class="input-group-append input-group-sm" >
                                                                                <div class="input-group-text" style="background-color: #ff3d00; color: #fff; cursor: pointer;">
                                                                                    <div class="os-icon os-icon-plus"></div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </td>
                                                            <td>
                                                                <div class="quantity-selector">
                                                                    <div class="quantity-input">
                                                                        <div class="input-group">
                                                                            <div class="input-group-prepend input-group-sm">
                                                                                <div class="input-group-text"  style="background-color: #007b1d; color: #fff; cursor: pointer;">
                                                                                    <div class="os-icon os-icon-minus2"></div>
                                                                                </div>
                                                                            </div>
                                                                            <input class="form-control form-control-sm" value="0">
                                                                            <div class="input-group-append input-group-sm">
                                                                                <div class="input-group-text"  style="background-color: #007b1d; color: #fff; cursor: pointer;">
                                                                                    <div class="os-icon os-icon-plus"></div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </td>

                                                            <td class="text-md-right" >
                                                                <div class="product-price"> </div>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="ecommerce-customer-info">
                                                <div class="row">

                                                    <div class="col-sm-5">
                                                        <h6>Seleccione el Vendedor:</h6>
                                                        <div class="control-group">
                                                            <select onchange="loadAgentCustomers();"  id="driver_id" name="driver_id" class="form-control chosen">
                                                                <?php if (is_array($all_driver) && count($all_driver) >= 1): ?>
                                                                    <option value=""><?php echo Driver::t("All Driver") ?></option>
                                                                    <?php foreach ($all_driver as $val): ?>
                                                                        <option value="<?php echo $val['driver_id'] ?>">
                                                                            <?php echo $val['first_name'] . " " . $val['last_name'] ?>
                                                                        </option>
                                                                    <?php endforeach; ?>
                                                                <?php endif; ?>

                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-7">
                                                        <h6>Seleccione el Cliente:</h6>
                                                        <div class="control-group">
                                                            <select onchange="loadContactProfile();" id="contact_id" name="contact_id" class="form-control chosen"></select>
                                                        </div>
                                                        <input type="hidden" name="cat_id" class="cat_id">
                                                        <input type="hidden" name="cupocliente" id="cupocliente">
                                                        <input type="hidden" name="balancecliente" id="balancecliente">
                                                        <input type="hidden" name="descuentocliente" id="descuentocliente">
                                                        <input type="hidden" name="phonecliente" id="phonecliente">
                                                        <input type="hidden" name="emailcliente" id="emailcliente">
                                                        <input type="hidden" name="representante" id="representante">
                                                    </div>
                                                </div>
                                                <hr/>
                                                <div class="row" id="contact_data" style="display: none;">

                                                    <div class="col-sm-4">
                                                        <div class="ecommerce-customer-main-info">
                                                            <div class="ecc-avatar" style="background-image: url(../assets/img/avatar1.jpg)"></div>
                                                            <div class="ecc-name">Vendedor Asignado</div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <div class="os-tabs-w">
                                                            <div class="os-tabs-controls">
                                                                <ul class="nav nav-tabs">
                                                                    <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#customer_info">Detalles Cliente</a></li>
                                                                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#order_history">Historial Pedidos</a></li>
                                                                </ul>
                                                            </div>
                                                            <div class="tab-content">
                                                                <div class="tab-pane active" id="customer_info">
                                                                    <div class="ecc-sub-info-row">
                                                                        <div class="sub-info-label">Dirección</div>
                                                                        <div class="sub-info-value contact_address"></div>
                                                                    </div>
                                                                    <div class="ecc-sub-info-row">
                                                                        <div class="sub-info-label">Forma de Pago | Cupo | Balance</div>
                                                                        <div class="sub-info-value"> <span class="forma_pago"></span> | <span class="cupocliente"></span> | <span class="balance"></span></div>
                                                                    </div>
                                                                </div>
                                                                <div class="tab-pane" id="order_history">
                                                                    <div class="ecc-sub-info-row">
                                                                        <div class="sub-info-label">Historial de Pedidos</div>
                                                                        <div class="sub-info-value">ejemplo <br>pedido</div>
                                                                    </div>

                                                                </div>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="col-md-12">
                                            <div class="order-box">
                                                <div class="order-details-box">
                                                    <div class="order-main-info"><span>Facturar a: </span><strong> </strong></div>
                                                    <div class="order-sub-info"><span>Fecha</span><strong><?php echo date('M d, Y'); ?></strong></div>
                                                </div>
                                                <input type="hidden" name="forma_pago_enviar" id="forma_pago_enviar" class="step1">
                                                <input type="hidden" name="totalitems" id="totalitems" class="step1">
                                                <input type="hidden" value="0" name="idpedidoproceso" id="idpedidoproceso" class="step1">
                                                <input type="hidden" value="1" name="steppedido" id="steppedido" class="step1">
                                                <input type="hidden" value="Pendiente" name="statuspedido" id="statuspedido" class="statuspedido step1">
                                                <div class="order-items-table " >
                                                    <div class="table-responsive">
                                                        <table class="table table-lightborder">
                                                            <thead>
                                                            <tr>
                                                                <th style="min-width: 50px;">Cantidad</th>
                                                                <th >Precio</th>
                                                                <th >Desc.</th>
                                                                <th >IVA</th>
                                                                <th >Subtotal</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody id="carrito_check">
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                                <div class="order-foot">
                                                    <div class="row">
                                                        <div class="col-md-6 mb-4">
                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label class="switch switch-green">
                                                                            <input onchange="ocultar_entrega();" id="proforma" value="Proforma" type="checkbox" name="proforma" class="switch-input step1" >
                                                                            <span class="switch-label" data-on="SI" data-off="NO"></span>
                                                                            <span class="switch-handle"></span>
                                                                        </label> <label style="display: inline; cursor: pointer;" for="proforma">&nbsp; Cotización</label><br><br>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label class="control-label" for="fecha_entrega">Fecha de Entrega <span class="text-danger">*</span></label>
                                                                        <input type="text" class="form-control" id="fecha_entrega" name="fecha_entrega">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label class="control-label" for="hora_entrega">Hora de Entrega</label>
                                                                        <input type="text" class="form-control" id="hora_entrega" name="hora_entrega">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label class="control-label" for="observaciones">Observaciones</label>
                                                                        <textarea class="form-control" id="observaciones" placeholder="Ingrese las observaciones aquí..."></textarea>
                                                                    </div>

                                                                </div>

                                                            </div>
                                                        </div>
                                                        <div class="col-md-5 offset-md-1">
                                                            <h5 class="order-section-heading">Resumen del Pedido</h5>
                                                            <div class="order-summary-row">
                                                                <div class="order-summary-label"><span>Subtotal $ </span></div>
                                                                <div class="order-summary-value"><span class="price subtotalsiniva pull-right" style=" text-align: right;">0</span></div>
                                                            </div>
                                                            <div class="order-summary-row">
                                                                <div class="order-summary-label"><span>Descuento $ ping</span></div>
                                                                <div class="order-summary-value"><span class="price pull-right" style=" text-align: right;">0</span></div>
                                                            </div>
                                                            <div class="order-summary-row">
                                                                <div class="order-summary-label"><span>Subtotal Neto $ </span></div>
                                                                <div class="order-summary-value"><span class="price pull-right" style=" text-align: right;">0</span></div>
                                                            </div>
                                                            <div class="order-summary-row">
                                                                <div class="order-summary-label"><span>Subtotal IVA $</span> </div>
                                                                <div class="order-summary-value"><span class="price iva pull-right" style=" text-align: right;">0</span></div>
                                                            </div>
                                                            <div class="order-summary-row as-total">
                                                                <div class="order-summary-label"><span>Total $ </span></div>
                                                                <div class="order-summary-value"><span class="price lossubtotales pull-right" style=" text-align: right;">0</span>/div>
                                                            </div>
                                                            <br>
                                                            <hr/>
                                                            <button onclick="enviar_pedido();" class="btn btn-primary pull-right">Enviar Pedido</button>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
