"use strict";
jQuery.fn.exists = function(){return this.length>0;};

$(document).ready(function(){
    if($('#merchandisedashboard').exists()){
        loadClienteEncuesta();
    }
    if($('.reporteExhibidores').exists()){
        cargar_exhibidores_resumen();
    }
});

function getExhibidor_Presencia(cols, arrexhibidores){
    $('#reporte_exhibidores_pres').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var cantidad = arrexhibidores.length;
    var fechainicio = $('#calendar_meta_mercado').val();
    var fechafin = $('#calendar_meta_merfin').val();var fechainicio = $('#calendar_meta_mercado').val();
    var fechafin = $('#calendar_meta_merfin').val();
    var contact_id = $('#contact_list_stock').val();

    var action = 'reporteExhibidores';

    var params = "contact_id="+contact_id;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&language="+language;
//
    var $total1=0;
    var $total2=0;
    var $total3=0;
    var $total4=0;
    var $total5=0;
    var $total6=0;
    var $total7=0;
    var $total8=0;
    var $total9=0;
    var $total10=0;
    var $total11=0;
    var $total12=0;
    var totalfilas=0;
    var arrpresencia = [];
//
    var tableElement = $('#reporte_exhibidores_pres').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Presencia de Exhibidores',
                filename: 'Seller App - Presencia de Exhibidores',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                message: 'Seller App - Presencia de Exhibidores'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 1000,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {


            if ( aData[2] == '<b style="color: #336699; text-align: right !important;">Exhibidores:</b>' )
            {
                $(nRow).css('background-color', '#fbf7dc');
                $('td:eq(2)', nRow).css('color', '#007695');
            }
            if(aData[3]!='' && cantidad>=1){
                $total1 = parseInt($total1) + parseInt(aData[3]);
            }
            if(aData[3]=='' && cantidad>=1){
                var porciento1 = (($total1/totalfilas)*100).toFixed(2);
                $('td:eq(3)', nRow).html(porciento1+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento1));
            }
            if(aData[4]!='' && cantidad>=2){
                $total2 = parseInt($total2) + parseInt(aData[4]);
            }
            if(aData[4]=='' && cantidad>=2){
                var porciento2 = (($total2/totalfilas)*100).toFixed(2);
                $('td:eq(4)', nRow).html(porciento2+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento2));
            }
            if(aData[5]!='' && cantidad>=3){
                $total3 = parseInt($total3) + parseInt(aData[5]);
            }
            if(aData[5]=='' && cantidad>=3){
                var porciento3 = (($total3/totalfilas)*100).toFixed(2);
                $('td:eq(5)', nRow).html(porciento3+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento3));
            }
            if(aData[6]!='' && cantidad>=4){
                $total4 = parseInt($total4) + parseInt(aData[6]);
            }
            if(aData[6]=='' && cantidad>=4){
                var porciento4 = (($total4/totalfilas)*100).toFixed(2);
                $('td:eq(6)', nRow).html(porciento4+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento4));
            }
            if(aData[7]!='' && cantidad>=5){
                $total5 = parseInt($total5) + parseInt(aData[7]);
            }
            if(aData[7]=='' && cantidad>=5){
                var porciento5 = (($total5/totalfilas)*100).toFixed(2);
                $('td:eq(7)', nRow).html(porciento5+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento5));
            }
            if(aData[8]!='' && cantidad>=6){
                $total6 = parseInt($total6) + parseInt(aData[8]);
            }
            if(aData[8]=='' && cantidad>=6){
                var porciento6 = (($total6/totalfilas)*100).toFixed(2);
                $('td:eq(8)', nRow).html(porciento6+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento6));
            }
            if(aData[9]!='' && cantidad>=7){
                $total7 = parseInt($total7) + parseInt(aData[9]);
            }
            if(aData[9]=='' && cantidad>=7){
                var porciento7 = (($total7/totalfilas)*100).toFixed(2);
                $('td:eq(9)', nRow).html(porciento7+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento7));
            }
            if(aData[10]!='' && cantidad>=8){
                $total8 = parseInt($total8) + parseInt(aData[10]);
            }
            if(aData[10]=='' && cantidad>=8){
                var porciento8 = (($total8/totalfilas)*100).toFixed(2);
                $('td:eq(10)', nRow).html(porciento8+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento8));
            }
            if(aData[11]!='' && cantidad>=9){
                $total9 = parseInt($total9) + parseInt(aData[11]);
            }
            if(aData[11]=='' && cantidad>=9){

                var porciento9 = (($total9/totalfilas)*100).toFixed(2);
                $('td:eq(11)', nRow).html(porciento9+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento9));
            }
            if(aData[12]!='' && cantidad>=10){
                $total10 = parseInt($total10) + parseInt(aData[12]);
            }
            if(aData[12]=='' && cantidad>=10){
                var porciento10 = (($total10/totalfilas)*100).toFixed(2);
                $('td:eq(12)', nRow).html(porciento10+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento10));
            }
            if(aData[13]!='' && cantidad>=11){
                $total11 = parseInt($total11) + parseInt(aData[13]);
            }
            if(aData[13]=='' && cantidad>=11){
                var porciento11 = (($total11/totalfilas)*100).toFixed(2);
                $('td:eq(13)', nRow).html(porciento11+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento11));
            }
            if(aData[14]!='' && cantidad>=12){
                $total12 = parseInt($total12) + parseInt(aData[14]);
            }
            if(aData[14]=='' && cantidad>=12){
                var porciento12 = (($total12/totalfilas)*100).toFixed(2);
                $('td:eq(14)', nRow).html(porciento12+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento12));
            }
            totalfilas++;
            Highcharts.chart('exhibidoreschart_bar', {
                chart: {
                    type: 'bar'
                },

                title: {
                    text: 'Presencia de Exhibidores en el Cliente'
                },
                subtitle: {
                    text: 'Fuente: <a target="_blank" href="https://sellermanager.co">API de Seller Manager</a>'
                },
                xAxis: {
                    categories: arrexhibidores,
                    title: {
                        text: null
                    }
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: 'Presencia (%)',
                        align: 'high'
                    },
                    labels: {
                        overflow: 'justify'
                    }
                },
                tooltip: {
                    valueSuffix: ' %'
                },
                plotOptions: {
                    bar: {
                        dataLabels: {
                            enabled: true
                        },
                        colorByPoint: true
                    },
                },
                colors: colores,
                legend: {
                    layout: 'vertical',
                    align: 'right',
                    verticalAlign: 'top',
                    x: -40,
                    y: 80,
                    floating: true,
                    borderWidth: 1,
                    backgroundColor: ((Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'),
                    shadow: true
                },
                credits: {
                    enabled: false
                },
                series:  [{
                    name: '% de Presencia de Exhibidores',
                    data: arrpresencia
                }]
            });
        },
        "ajax":{
            url : mercadeo_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin
            }
        }

    });
}


function getStock_Presencia(cols, arrproductos){
    $('#reporte_stock_pres').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var cantidad = arrproductos.length;
    var fechainicio = $('#calendar_meta_mercado').val();
    var fechafin = $('#calendar_meta_merfin').val();
    var contact_id = $('#contact_list_stock').val();
    var codprovincia = $("#provzona").val();
    if(codprovincia=='' || codprovincia=='-1'){
        var provincia = '-1';
    }else{
        var provincia = $("#provzona option:selected").text();
    }

    var canton = $('#cantonzona').val();
    $('#presenciachart_bar').html('');
    var action = 'reportePresencia';

    var params = "contact_id="+contact_id;
    params += "&provincia="+provincia;
    params += "&canton="+canton;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&language="+language;
//
    var $total1=0;
    var $total2=0;
    var $total3=0;
    var $total4=0;
    var $total5=0;
    var $total6=0;
    var $total7=0;
    var $total8=0;
    var $total9=0;
    var $total10=0;
    var $total11=0;
    var $total12=0;
    var $total13=0;
    var totalfilas=0;
    var arrpresencia = [];
//
    var tableElement = $('#reporte_stock_pres').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Presencia de Productos',
                filename: 'Seller App - Presencia de Productos',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                message: 'Seller App - Presencia de Productos'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 1000,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {


            if ( aData[2] == '<b style="color: #336699; text-align: right !important;">Presencia:</b>' )
            {
                $(nRow).css('background-color', '#fbf7dc');
                $('td:eq(2)', nRow).css('color', '#007695');
            }

            if(aData[3]!='' && cantidad>=1){
                $total1 = parseInt($total1) + parseInt(aData[3]);
            }
            if(aData[3]=='' && cantidad>=1){
                var porciento1 = (($total1/totalfilas)*100).toFixed(2);
                $('td:eq(3)', nRow).html(porciento1+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento1));

            }
            if(aData[4]!='' && cantidad>=2){
                $total2 = parseInt($total2) + parseInt(aData[4]);
            }
            if(aData[4]=='' && cantidad>=2){
                var porciento2 = (($total2/totalfilas)*100).toFixed(2);
                $('td:eq(4)', nRow).html(porciento2+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento2));
            }
            if(aData[5]!='' && cantidad>=3){
                $total3 = parseInt($total3) + parseInt(aData[5]);
            }
            if(aData[5]=='' && cantidad>=3){
                var porciento3 = (($total3/totalfilas)*100).toFixed(2);
                $('td:eq(5)', nRow).html(porciento3+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento3));
            }
            if(aData[6]!='' && cantidad>=4){
                $total4 = parseInt($total4) + parseInt(aData[6]);
            }
            if(aData[6]=='' && cantidad>=4){
                var porciento4 = (($total4/totalfilas)*100).toFixed(2);
                $('td:eq(6)', nRow).html(porciento4+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento4));
            }
            if(aData[7]!='' && cantidad>=5){
                $total5 = parseInt($total5) + parseInt(aData[7]);
            }
            if(aData[7]=='' && cantidad>=5){
                var porciento5 = (($total5/totalfilas)*100).toFixed(2);
                $('td:eq(7)', nRow).html(porciento5+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento5));
            }
            if(aData[8]!='' && cantidad>=6){
                $total6 = parseInt($total6) + parseInt(aData[8]);
            }
            if(aData[8]=='' && cantidad>=6){
                var porciento6 = (($total6/totalfilas)*100).toFixed(2);
                $('td:eq(8)', nRow).html(porciento6+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento6));
            }
            if(aData[9]!='' && cantidad>=7){
                $total7 = parseInt($total7) + parseInt(aData[9]);
            }
            if(aData[9]=='' && cantidad>=7){
                var porciento7 = (($total7/totalfilas)*100).toFixed(2);
                $('td:eq(9)', nRow).html(porciento7+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento7));
            }
            if(aData[10]!='' && cantidad>=8){
                $total8 = parseInt($total8) + parseInt(aData[10]);
            }
            if(aData[10]=='' && cantidad>=8){
                var porciento8 = (($total8/totalfilas)*100).toFixed(2);
                $('td:eq(10)', nRow).html(porciento8+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento8));
            }
            if(aData[11]!='' && cantidad>=9){
                $total9 = parseInt($total9) + parseInt(aData[11]);
            }
            if(aData[11]=='' && cantidad>=9){

                var porciento9 = (($total9/totalfilas)*100).toFixed(2);
                $('td:eq(11)', nRow).html(porciento9+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento9));
            }
            if(aData[12]!='' && cantidad>=10){
                $total10 = parseInt($total10) + parseInt(aData[12]);
            }
            if(aData[12]=='' && cantidad>=10){
                var porciento10 = (($total10/totalfilas)*100).toFixed(2);
                $('td:eq(12)', nRow).html(porciento10+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento10));
            }
            if(aData[13]!='' && cantidad>=11){
                $total11 = parseInt($total11) + parseInt(aData[13]);
            }
            if(aData[13]=='' && cantidad>=11){
                var porciento11 = (($total11/totalfilas)*100).toFixed(2);
                $('td:eq(13)', nRow).html(porciento11+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento11));
            }
            if(aData[14]!='' && cantidad>=12){
                $total12 = parseInt($total12) + parseInt(aData[14]);
            }
            if(aData[14]=='' && cantidad>=12){
                var porciento12 = (($total12/totalfilas)*100).toFixed(2);
                $('td:eq(14)', nRow).html(porciento12+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento12));
            }
            if(aData[15]!='' && cantidad>=13){
                $total13 = parseInt($total13) + parseInt(aData[15]);
            }
            if(aData[15]=='' && cantidad>=13){
                var porciento13 = (($total13/totalfilas)*100).toFixed(2);
                $('td:eq(15)', nRow).html(porciento13+'%').css('color', '#cd000d');
                arrpresencia.push(parseFloat(porciento13));
            }

            totalfilas++;
            Highcharts.chart('presenciachart_bar', {
                chart: {
                    type: 'bar'
                },
                title: {
                    text: 'Presencia de Productos en el Mercado'
                },
                subtitle: {
                    text: 'Fuente: <a target="_blank" href="https://sellermanager.co">API de Seller Manager</a>'
                },
                xAxis: {
                    categories: arrproductos,
                    title: {
                        text: null
                    }
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: 'Presencia ($)',
                        align: 'high'
                    },
                    labels: {
                        overflow: 'justify'
                    }
                },
                tooltip: {
                    valueSuffix: ' %'
                },
                plotOptions: {
                    bar: {
                        dataLabels: {
                            enabled: true
                        },
                        colorByPoint: true
                    }
                },
                colors: colores,
                credits: {
                    enabled: false
                },
                series:  [{
                    name: '% de Presencia de Productos',
                    data: arrpresencia
                }]
            });
        },
        "ajax":{
            url : mercadeo_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                provincia: provincia,
                canton: canton
            }
        }

    });
}

function getProductosDelivery(){
    var contact_id = $('#contact_list').val();
    if(contact_id=='' || contact_id=='-1' ){
        toastMessage('Por favor seleccione el cliente.','Error al buscar producto');
    }
   var params = "contact_id="+contact_id;
    callMercadeo('getProductosDelivery', params);
}

function editExhibidor(btnedit, idexhibidorcliente, idexhibidor, nuevo, disponible, observaciones, fecha_instalacion, fecha_verificacion){
    $('#fecha_instalacion').val(fecha_instalacion);
    if(fecha_verificacion!=''){
        $('#fecha_verificacion').val(fecha_verificacion);
    }
    $('#idexhibidorcliente').val(idexhibidorcliente);
    $('#idexhibidor').val(idexhibidor);
    $('#observaciones').val(observaciones);
    if(nuevo==1){
        $('#nuevo').prop('checked', true);
    }else{
        $('#nuevo').prop('checked', false);
    }
    if(disponible==1){
        $('#disponible').prop('checked', true);
    }else{
        $('#disponible').prop('checked', false);
    }
    //
    $('#editarExhibidor').modal('show');
}

function guardarExhibidorCliente(){
   var fecha_instalacion = $('#fecha_instalacion').val();
   var fecha_verificacion = $('#fecha_verificacion').val();
   var idexhibidorcliente= $('#idexhibidorcliente').val();
   var idexhibidor=  $('#idexhibidor').val();
   var nuevo =0;
   var disponible =0;
   var observaciones = $('#observaciones').val();
    var status = $('#status').val();
   var contact_id = $('#profile_contact_id').val();
    if($('#nuevo').is(':checked')){
       nuevo = 1;
    }
    if($('#disponible').is(':checked')){
        disponible = 1;
    }
    var params = "fecha_instalacion="+fecha_instalacion;
    params += "&fecha_verificacion="+fecha_verificacion;
    params += "&idexhibidorcliente="+idexhibidorcliente;
    params += "&idexhibidor="+idexhibidor;
    params += "&nuevo="+nuevo;
    params += "&disponible="+disponible;
    params += "&observaciones="+observaciones;
    params += "&status="+status;
    params += "&contact_id="+contact_id;
    if(fecha_instalacion=='' || fecha_verificacion=='' || observaciones==''){
        swal({
            title: "Error",
            text: "Por favor complete los campos reuqeridos.",
            type: "warning",
            confirmButtonClass: "btn-warning"
        });
        return false;
    }
    callMercadeo('updateExhibidorCliente', params);
}


function cargar_exhibidores_resumen(){
    $('#reporte_visitas').DataTable().destroy();
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var fechainicio = $('#calendar_meta_ini').val();
    var fechafin = $('#calendar_meta_fin').val();
    var idexhibidor = $('#idexhibidor').val();
    var contact_id = $('#contact_list_items').val();
    var status = $('#status').val();
    var action = 'reportePresenciaExhibidores';
    var consolidado = 0;
    if($('#consolidado').is(':checked')){
     consolidado = 1;
     }
    var params = "idexhibidor="+idexhibidor;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params += "&contact_id="+contact_id;
    params += "&consolidado="+consolidado;
    params += "&status="+status;
    params+="&language="+language;

    var tableElement = $('#reporte_visitas').dataTable( {
        dom: 'Bfrt',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar',
                className: 'btn btn-outline-primary'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'csvHtml5',
                fieldBoundary: '',
                className: 'btn btn-outline-success',
                charset: 'iso-8859-1',
                fieldSeparator: ',',
                bom: true,
                text: 'Archivo Plano',
                exportOptions: {
                    modifier: {
                        search: 'none'
                    }
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Ventas Resumen',
                filename: 'Seller App - Ventas Resumen',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: 'Seller App - Ventas Resumen'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '12%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-left upper',          // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : mercadeo_url+"/"+action, // json datasource
            type: "post",
            data: {
                idexhibidor: idexhibidor,
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                consolidado: consolidado,
                status: status
            }
        }

    });
}

function callMercadeo(action,params,button) {
    params += "&language=" + language;

    var ajax_request = $.ajax({
        url: mercadeo_url + "/" + action,
        data: params,
        type: 'post',
        //async: false,
        dataType: 'json',
        timeout: 6000,
        beforeSend: function () {
            if (ajax_request !== null) {
            //    ajax_request.abort();
                busy(false, button);
            } else {
                busy(true, button);
            }
        },
        complete: function (data) {
            ajax_request = (function () {
                return;
            })();
            busy(false, button);
        },
        success: function (data) {
            if (data.code == 1) {

                switch (action) {
                    case "getExhibidores":
                        var datos = data.details;
                        var arrexhibidores = [];
                        $('#reporte_exhibidores_pres thead').html('');
                        $('#reporte_exhibidores_pres thead').append('<tr></tr>');
                        $('#reporte_exhibidores_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;" class="upper" width="25%">Cliente</th>');
                        $('#reporte_exhibidores_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;" class="upper" width="5%">Cerr</th>');
                        $('#reporte_exhibidores_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;" class="upper" width="10%">Fecha</th>');
                        for(var i=0;i<datos.length; i++){
                            var exhibidor = datos[i].exhibidor;
                            arrexhibidores.push(exhibidor);
                            $('#reporte_exhibidores_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;" class="upper" width="10%">'+exhibidor+'</th>');
                        }
                        getExhibidor_Presencia(datos.length, arrexhibidores);
                        break;
                    case "updateExhibidorCliente":
                        $('#fecha_instalacion').val('');
                        $('#fecha_verificacion').val('');
                        $('#idexhibidorcliente').val('');
                        $('#idexhibidor').val('');
                        $('#observaciones').val('');
                        $('#nuevo').prop('checked', false);
                        $('#disponible').prop('checked', false);
                        getClienteExhibidores();
                        $('#editarExhibidor').modal('hide');
                        break;
                    case "getColumnsPresencia":
                        var datos = data.details;
                        var arrproductos = [];
                        $('#reporte_stock_pres thead').html('');
                        $('#reporte_stock_pres thead').append('<tr></tr>');
                        $('#reporte_stock_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color: #10c0b0 !important; border-bottom-width: 4px !important;" class="upper" width="25%">Cliente</th>');
                        $('#reporte_stock_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color: #10c0b0 !important; border-bottom-width: 4px !important;" class="upper" width="5%">Cerr</th>');
                        $('#reporte_stock_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color: #10c0b0 !important; border-bottom-width: 4px !important;" class="upper" width="10%">Fecha</th>');
                        for(i=0;i<datos.length; i++){
                            var description = datos[i].description;
                            arrproductos.push(description);
                            var propio = datos[i].propio;
                            if(propio==1){
                                var bcolor = '#0ac700';
                                description = description.substr(0,20);
                            }else{
                                var bcolor = '#fbb505';
                            }
                            $('#reporte_stock_pres thead tr').append('<th style="border-bottom-style: solid !important; border-bottom-color:'+bcolor+' !important; border-bottom-width: 4px !important;" class="upper" width="10%">'+description+'</th>');
                        }
                        getStock_Presencia(datos.length, arrproductos);
                        break;
                    case "getProductosDelivery":
                        var datos = data.details;
                        var opciones = '<option value="">Seleccione el Producto</option>';
                        for(var i=0; i<datos.length; i++){
                            var description = datos[i].description;
                            var cod_prod = datos[i].cod_prod;
                            var with_iva = datos[i].with_iva;
                            var price = datos[i].price;
                            opciones += '<option data-codigo="'+cod_prod+'" data-iva="'+with_iva+'" data-price="'+price+'" value="'+description+'">'+description+'</option>';
                        }
                        $('#productos_delivery').html(opciones).trigger('chosen:updated');
                        break;
                    case "getTaskGestion":
                        $('#task_encuesta_table').html('');
                        var encuesta = data.details.encuesta_presencia;
                        var fila='';
                        var class_switch='';
                        var disponibleck = '';
                        var tipo_prod = '';
                        var clasetr = '';
                        if(encuesta.length>0){
                            $.each( encuesta , function( key, val ) {
                                description = val.description;
                                var disponible = val.disponible;
                                propio = parseInt(val.propio);
                                if(disponible==1){
                                    if(propio==1){
                                         class_switch = 'switch-green';
                                    }else if(propio==0){
                                         class_switch = 'switch-red';
                                    }else{
                                         class_switch = '';
                                    }
                                    disponibleck = '<label class="switch '+class_switch+'">';
                                    disponibleck += '<input disabled checked type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }else{
                                    disponibleck = '<label class="switch">';
                                    disponibleck += '<input disabled type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }
                                switch(propio){
                                    case 1:
                                         tipo_prod = '<label class="label label-success">Propio</label>';
                                         clasetr = 'bg-success';
                                        break;
                                    case 0:
                                         tipo_prod = '<label class="label label-danger">Competencia</label>';
                                         clasetr = 'bg-danger';
                                        break;
                                    case -1:
                                         tipo_prod = '<label class="label label-info">Exhibidor</label>';
                                         clasetr = 'bg-info';
                                        break;
                                }
                                var nuevo = val.nuevo;
                                var esnuevo = '';
                                if(nuevo==1){
                                    esnuevo = '<label class="label label-primary">Propio</label>';
                                }
                                fila +='<tr class="'+clasetr+'">';
                                fila +='<th>'+description+'</th><th>'+disponibleck+'</th>';
                                fila +='</tr>';
                            });
                            $('#task_encuesta_table').html(fila);
                        }
                        getTaskVentas();
                        break;
                    case "getTaskVentas":
                        $('#taskventas').html('');
                        var ventas = data.details.ventas;
                        var meta = ventas[0].meta;
                        if(meta==null){
                            var metap = 'Sin asignar';
                        }else{
                            var metap = meta;
                        }
                        var unid = ventas[0].ventas_driver_cant;
                        var venta = ventas[0].ventas_driver_vol;
                        var pbar='<div style="margin: 5px;"> <h4 class="text-primary">Ventas Impulsador</h4>';
                        pbar += '<div class="os-progress-bar primary">';
                        pbar += '<div class="bar-labels">';
                        pbar += '<div class="bar-label-left">';
                        pbar += '<span>Meta: </span><span class="positive">$ '+metap+'</span>';
                        pbar += '</div>';
                        pbar += '<div class="bar-label-right">';
                        pbar += '<span class="info"></span>';
                        pbar += '</div>';
                        pbar += '</div>';
                        pbar += '<div class="bar-level-1" style="width: 100%">';
                        pbar += '<div class="bar-level-2" style="width: '+meta+'%">';
                        pbar += '<div class="bar-level-3" style="width: '+meta+'%"></div>';
                        pbar += '</div>';
                        pbar += '</div>';
                        pbar += '</div>';
                        //
                        pbar += '<div class="os-progress-bar success">';
                        pbar += '<div class="bar-labels">';
                        pbar += '<div class="bar-label-left">';
                        pbar += '<span>Ventas en esta visita: </span><span class="positive">$ '+venta+'</span>';
                        pbar += '</div>';
                        pbar += '<div class="bar-label-right">';
                        pbar += '<span class="info"></span>';
                        pbar += '</div>';
                        pbar += '</div>';
                        pbar += '<div class="bar-level-1" style="width: 100%">';
                        pbar += '<div class="bar-level-2" style="width: '+venta+'%">';
                        pbar += '<div class="bar-level-3" style="width: '+venta+'%"></div>';
                        pbar += '</div>';
                        pbar += '</div>';
                        pbar += '</div>';
                        pbar += '</div>';
                        $('#taskventas').html(pbar);
                        break;
                    case "getClienteExhibidores":
                        datos = data.details;
                        var filatr = '';
                        var idexhibidorcliente = '';
                        var idexhibidor = '';
                        var exhibidor = '';
                        var fecha_instalacion = '';
                        var fecha_verificacion = '';
                        var nuevo = '';
                        var disponible = 0;
                        var observaciones = '';
                        var btneditar = '';
                        var user_modified='';
                    var chkdisponible='';
                    var chknuevo='';

                        for(i=0; i<datos.length; i++){
                            idexhibidorcliente = datos[i].idexhibidorcliente;
                            idexhibidor = datos[i].idexhibidor;
                            exhibidor = datos[i].exhibidor;
                            fecha_instalacion = datos[i].fecha_instalacion;
                            fecha_verificacion = datos[i].fecha_verificacion;
                            nuevo = datos[i].nuevo;
                            user_modified = datos[i].user_modified;
                            disponible = datos[i].disponible;
                            observaciones = datos[i].observaciones;
                            btneditar = '<a href="javascript:;" onclick="editExhibidor(this, '+idexhibidorcliente+', '+idexhibidor+', '+nuevo+', '+disponible+', \''+observaciones+'\', \''+fecha_instalacion+'\', \''+fecha_verificacion+'\')" class="btn btn-sm btn-info">Editar</a>';
                            if(disponible==1){
                                chkdisponible = '<label class="switch switch-green">';
                                chkdisponible += '<input disabled checked value="1" type="checkbox" class="switch-input">';
                                chkdisponible +=  '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                chkdisponible += '<span class="switch-handle"></span>';
                                chkdisponible += '</label>';
                            }else{
                                chkdisponible = '<label class="switch switch-green">';
                                chkdisponible += '<input disabled value="0" type="checkbox" class="switch-input">';
                                chkdisponible +=  '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                chkdisponible += '<span class="switch-handle"></span>';
                                chkdisponible += '</label>';
                            }
                            if(nuevo==1){
                                chknuevo = '<label class="switch">';
                                chknuevo += '<input disabled checked value="1" type="checkbox" class="switch-input">';
                                chknuevo +=  '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                chknuevo += '<span class="switch-handle"></span>';
                                chknuevo += '</label>';
                            }else{
                                chknuevo = '<label class="switch">';
                                chknuevo += '<input disabled value="0" type="checkbox" class="switch-input">';
                                chknuevo +=  '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                chknuevo += '<span class="switch-handle"></span>';
                                chknuevo += '</label>';
                            }
                            filatr += '<tr >';
                            filatr += '<td width="20%" class="upper">'+exhibidor+'</td>';
                            filatr += ' <td width="10%" class="upper">'+fecha_instalacion+'</td>';
                            filatr += ' <td width="10%" class="upper">'+fecha_verificacion+'</td>';
                            filatr += ' <td width="10%" class="upper">'+chknuevo+'</td>';
                            filatr += ' <td width="10%" class="upper">'+user_modified+'</td>';
                            filatr += ' <td width="10%" class="upper">'+chkdisponible+'</td>';
                            filatr += ' <td width="10%" class="upper">'+observaciones+'</td>';
                            filatr += ' <td width="10%" class="upper">'+btneditar+'</td>';
                            filatr += '<tr >';
                        }
                        $('#contact_exhibidores tbody').html(filatr);

                        break;
                    case "getClienteEncuesta":
                        datos = data.details;
                        if($('#merchandisedashboard').exists()){
                            var total_propios_disp=0;
                            var total_propios_nodisp=0;
                            var total_comp_disp=0;
                            var total_exhib_disp=0;
                            var total_exhib_nodisp=0;
                            var total_enc_propios=0;
                            var total_enc_comp=0;
                            var total_enc_exhib=0;
                            var  fila='';
                            var  fila_comp='';
                            var  fila_exhib='';
                            var posi = 0;
                            var arr_prods=[];
                            var arr_cant = [];
                            var arr_prods_comp=[];
                            var arr_cant_comp = [];
                            var arr_prods_exh=[];
                            var arr_cant_exh = [];
                            for(i=0; i<datos.length; i++){
                                var producto = datos[i].description;
                                var propio = datos[i].propio;
                                if(propio==1){
                                    if(arr_prods.indexOf(producto)==-1){
                                        arr_prods.push(producto);
                                    }
                                }
                                if(propio==0){
                                    if(arr_prods_comp.indexOf(producto)==-1 ){
                                        arr_prods_comp.push(producto);
                                    }
                                }
                                if(propio==-1){
                                    if(arr_prods_exh.indexOf(producto)==-1){
                                        arr_prods_exh.push(producto);
                                    }
                                }
                            }
                            for(i=0; i<arr_prods.length; i++){
                                arr_cant.push(0);
                            }
                            for(i=0; i<arr_prods_comp.length; i++){
                                arr_cant_comp.push(0);
                            }
                            for(i=0; i<arr_prods_exh.length; i++){
                                arr_cant_exh.push(0);
                            }
                            var contador = 0;
                            for(i=0; i<datos.length; i++){
                                contador++;
                               disponible = datos[i].disponible;
                                producto = datos[i].description;
                                propio = datos[i].propio;

                                if(propio==1){
                                    total_enc_propios++;
                                    if(disponible==0){
                                        total_propios_nodisp++;
                                    }else{
                                        total_propios_disp++;
                                        posi = arr_prods.indexOf(datos[i].description);
                                        arr_cant[posi] = arr_cant[posi] + 1;
                                    }
                                }
                                if(propio==0){
                                    total_enc_comp++;
                                    if(disponible!=0){
                                        total_comp_disp++;
                                        posi = arr_prods_comp.indexOf(datos[i].description);
                                        arr_cant_comp[posi] = arr_cant_comp[posi] + 1;
                                    }
                                }
                                if(propio==-1){
                                    total_enc_exhib++;
                                    if(disponible==0){
                                        total_exhib_nodisp++;
                                    }else{
                                        total_exhib_disp++;
                                        posi = arr_prods_exh.indexOf(datos[i].description);
                                        arr_cant_exh[posi] = arr_cant_exh[posi] + 1;
                                    }
                                }

                            }
                            var prod_encuestados = (total_propios_nodisp + total_propios_disp)/arr_prods.length;

                            for(j=0; j<arr_prods.length; j++){
                                var porc_prod = ((parseInt(arr_cant[j])/parseInt(prod_encuestados))*100).toFixed(0);
                                if(arr_cant[j]>0){
                                    disponibleck = '<label class="switch switch-green ">';
                                    disponibleck += '<input disabled checked type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }else{

                                    disponibleck = '<label class="switch">';
                                    disponibleck += '<input disabled type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }
                                fila += '<tr class="bg-success"><td>'+arr_prods[j]+'</td><td>'+disponibleck+'</td><td  >'+arr_cant[j]+'/'+prod_encuestados+' ('+porc_prod+'%)</td></tr>';
                            }

                            for(j=0; j<arr_prods_comp.length; j++){
                                var porc_comp = ((parseInt(arr_cant_comp[j])/parseInt(prod_encuestados))*100).toFixed(0);
                                if(arr_cant_comp[j]>0){
                                    disponibleck = '<label class="switch switch-red ">';
                                    disponibleck += '<input disabled checked type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }else{

                                    disponibleck = '<label class="switch">';
                                    disponibleck += '<input disabled type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }
                                fila_comp += '<tr class="bg-danger"><td>'+arr_prods_comp[j]+'</td><td>'+disponibleck+'</td><td>'+arr_cant_comp[j]+'/'+prod_encuestados+' ('+porc_comp+'%)</td></tr>';
                            }
                            for(j=0; j<arr_prods_exh.length; j++){
                                var porc_exh = ((parseInt(arr_cant_exh[j])/parseInt(prod_encuestados))*100).toFixed(0);
                                if(arr_cant_exh[j]>0){
                                    disponibleck = '<label class="switch ">';
                                    disponibleck += '<input disabled checked type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }else{

                                    disponibleck = '<label class="switch">';
                                    disponibleck += '<input disabled type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }
                                fila_exhib += '<tr class="bg-blue-ll"><td>'+arr_prods_exh[j]+'</td><td>'+disponibleck+'</td><td>'+arr_cant_exh[j]+'/'+prod_encuestados+' ('+porc_exh+'%)</td></tr>';
                            }
                            var suma_prod =  arr_cant.reduce((a, b) => a + b, 0);
                            var suma_comp =  arr_cant_comp.reduce((a, b) => a + b, 0);
                            var suma_exh =  arr_cant_exh.reduce((a, b) => a + b, 0);
                            var porciento_prod_total = ((suma_prod/(suma_prod+suma_comp))*100).toFixed(2);
                            var porciento_comp_total = ((suma_comp/(suma_prod+suma_comp))*100).toFixed(2);
                            var porciento_exh_total = ((suma_exh/(total_exhib_nodisp+total_exhib_disp))*100).toFixed(2);
                            $('.tab-value.propios').text(suma_prod);
                            $('.tab-value.competencia').text(suma_comp);
                            $('.tab-value.exhibidores').text(suma_exh);
                            $('.tabpor.propios').text(porciento_prod_total+'%');
                            $('.tabpor.competencia').text(porciento_comp_total+'%');
                            $('.tabpor.exhibidores').text(porciento_exh_total+'%');

                            $('#cliente_encuesta_table').html(fila);
                            $('#cliente_encuesta_comp').html(fila_comp);
                            $('#cliente_encuesta_exibidores').html(fila_exhib);

                            Highcharts.chart('chart_propios', {
                                chart: {
                                    plotBackgroundColor: null,
                                    plotBorderWidth: null,
                                    plotShadow: false,
                                    type: 'pie'
                                },
                                title: {
                                    text: 'Porciento de Presencia'
                                },
                                tooltip: {
                                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                                },
                                credits: {
                                    enabled: false
                                },
                                plotOptions: {
                                    pie: {
                                        allowPointSelect: true,
                                        cursor: 'pointer',
                                        dataLabels: {
                                            enabled: false
                                        },
                                        showInLegend: true
                                    }
                                },
                                series: [{
                                    name: 'Porciento',
                                    colorByPoint: true,
                                    data: [{
                                        name: 'Disponibles',
                                        y: total_propios_disp,
                                        sliced: true,
                                        selected: true,
                                        color: '#57eea7'
                                    }, {
                                        name: 'No Disponibles',
                                        y: total_propios_nodisp,
                                        color: '#cccccc'
                                    }]
                                }]
                            });
                            Highcharts.chart('chart_competencia', {
                                chart: {
                                    plotBackgroundColor: null,
                                    plotBorderWidth: null,
                                    plotShadow: false,
                                    type: 'pie'
                                },
                                title: {
                                    text: 'Porciento de Presencia'
                                },
                                tooltip: {
                                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                                },
                                credits: {
                                    enabled: false
                                },
                                plotOptions: {
                                    pie: {
                                        allowPointSelect: true,
                                        cursor: 'pointer',
                                        dataLabels: {
                                            enabled: false
                                        },
                                        showInLegend: true
                                    }
                                },
                                series: [{
                                    name: 'Porciento',
                                    colorByPoint: true,
                                    data: [{
                                        name: 'Propios',
                                        y: total_propios_disp,
                                        sliced: true,
                                        selected: true,
                                        color: '#57eea7'
                                    }, {
                                        name: 'Competencia',
                                        y: total_comp_disp,
                                        color: '#FF0000'
                                    }]
                                }]
                            });
                            Highcharts.chart('chart_exhibidores', {
                                chart: {
                                    plotBackgroundColor: null,
                                    plotBorderWidth: null,
                                    plotShadow: false,
                                    type: 'pie'
                                },
                                title: {
                                    text: 'Porciento de Presencia'
                                },
                                tooltip: {
                                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                                },
                                credits: {
                                    enabled: false
                                },
                                plotOptions: {
                                    pie: {
                                        allowPointSelect: true,
                                        cursor: 'pointer',
                                        dataLabels: {
                                            enabled: false
                                        },
                                        showInLegend: true
                                    }
                                },
                                series: [{
                                    name: 'Porciento',
                                    colorByPoint: true,
                                    data: [{
                                        name: 'Disponible',
                                        y: total_exhib_disp,
                                        sliced: true,
                                        selected: true,
                                        color: '#336699'
                                    }, {
                                        name: 'No Disonible',
                                        y: total_exhib_nodisp,
                                        color: '#CCCCCC'
                                    }]
                                }]
                            });
                            //bar chart
                            Highcharts.chart('chart_propios_bar', {
                                chart: {
                                    type: 'bar'
                                },
                                title: {
                                    text: 'Total de Apariciones'
                                },
                                subtitle: {
                                    text: 'Source: <a target="_blank" href="https://sellermanager.co">Seller Manager</a>'
                                },
                                xAxis: {
                                    categories: arr_prods,
                                    title: {
                                        text: null
                                    }
                                },
                                yAxis: {
                                    min: 0,
                                    title: {
                                        text: 'Productos',
                                        align: 'high'
                                    },
                                    labels: {
                                        overflow: 'justify'
                                    }
                                },
                                tooltip: {
                                    valueSuffix: ' Apariciones'
                                },
                                plotOptions: {
                                    bar: {
                                        dataLabels: {
                                            enabled: true
                                        },
                                        colorByPoint: true
                                    }
                                },
                                credits: {
                                    enabled: false
                                },
                                series: [{
                                    data: arr_cant
                                } ]
                            });
                            Highcharts.chart('chart_competencia_bar', {
                                chart: {
                                    type: 'bar'
                                },
                                title: {
                                    text: 'Total de Apariciones'
                                },
                                subtitle: {
                                    text: 'Source: <a target="_blank" href="https://sellermanager.co">Seller Manager</a>'
                                },
                                xAxis: {
                                    categories: arr_prods_comp,
                                    title: {
                                        text: null
                                    }
                                },
                                yAxis: {
                                    min: 0,
                                    title: {
                                        text: 'Productos',
                                        align: 'high'
                                    },
                                    labels: {
                                        overflow: 'justify'
                                    }
                                },
                                tooltip: {
                                    valueSuffix: ' Apariciones'
                                },
                                plotOptions: {
                                    bar: {
                                        dataLabels: {
                                            enabled: true
                                        },
                                        colorByPoint: true
                                    }
                                },
                                credits: {
                                    enabled: false
                                },
                                series: [{
                                    data: arr_cant_comp
                                } ]
                            });
                            Highcharts.chart('chart_exhibidores_bar', {
                                chart: {
                                    type: 'bar'
                                },
                                title: {
                                    text: 'Total de Apariciones'
                                },
                                subtitle: {
                                    text: 'Source: <a target="_blank" href="https://sellermanager.co">Seller Manager</a>'
                                },
                                xAxis: {
                                    categories: arr_prods_exh,
                                    title: {
                                        text: null
                                    }
                                },
                                yAxis: {
                                    min: 0,
                                    title: {
                                        text: 'Exhibidores',
                                        align: 'high'
                                    },
                                    labels: {
                                        overflow: 'justify'
                                    }
                                },
                                tooltip: {
                                    valueSuffix: ' Apariciones'
                                },
                                plotOptions: {
                                    bar: {
                                        dataLabels: {
                                            enabled: true
                                        },
                                        colorByPoint: true
                                    }
                                },
                                credits: {
                                    enabled: false
                                },
                                series: [{
                                    data: arr_cant_exh
                                } ]
                            });

                        }else{
                            var fila = '';
                            var fila_comp ='';
                            var fila_exhib='';
                            var fecha_ini='';
                            var total_propios_disp=0;
                            var total_propios_nodisp=0;
                            var total_comp_disp=0;
                            var total_exhib_disp=0;
                            var total_exhib_nodisp=0;
                            for(i=0; i<datos.length; i++){
                                fecha_ini=datos[0].last_update;
                                propio = datos[i].propio;
                                var producto = datos[i].description;
                                var disponible = datos[i].disponible;
                                var last_update = datos[i].last_update;
                                if(disponible==1){
                                    if(propio==1){

                                        class_switch = 'switch-green';
                                    }else if(propio==0){
                                        class_switch = 'switch-red';
                                    }else{
                                        class_switch = '';
                                    }
                                    disponibleck = '<label class="switch '+class_switch+'">';
                                    disponibleck += '<input disabled checked type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }else{

                                    disponibleck = '<label class="switch">';
                                    disponibleck += '<input disabled type="checkbox" id="route_mode" name="route_mode" class="switch-input" >';
                                    disponibleck += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
                                    disponibleck += '<span class="switch-handle"></span></label>';
                                }
                                if(propio==1 && last_update==fecha_ini){
                                    if(disponible==0){
                                        total_propios_nodisp++;
                                    }else{
                                        total_propios_disp++;
                                    }
                                    fila += '<tr class="bg-success"><td>'+producto+'</td><td>'+disponibleck+'</td><td>'+last_update+'</td></tr>';
                                }
                                if(propio==0 && last_update==fecha_ini){
                                    if(disponible==1){
                                        total_comp_disp++;
                                    }
                                    fila_comp += '<tr class="bg-danger"><td>'+producto+'</td><td>'+disponibleck+'</td><td>'+last_update+'</td></tr>';
                                }
                                if(propio==-1 && last_update==fecha_ini){
                                    if(disponible==1){
                                        total_exhib_disp++;
                                    }else{
                                        total_exhib_nodisp++;
                                    }
                                    fila_exhib += '<tr class="bg-blue-ll"><td>'+producto+'</td><td>'+disponibleck+'</td><td>'+last_update+'</td></tr>';
                                }
                            }
                            $('#cliente_encuesta_table').html(fila);
                            $('#cliente_encuesta_comp').html(fila_comp);
                            $('#cliente_encuesta_exibidores').html(fila_exhib);

                            Highcharts.chart('chart_propios', {
                                chart: {
                                    plotBackgroundColor: null,
                                    plotBorderWidth: null,
                                    plotShadow: false,
                                    type: 'pie'
                                },
                                title: {
                                    text: 'Porciento de Presencia'
                                },
                                tooltip: {
                                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                                },
                                credits: {
                                    enabled: false
                                },
                                plotOptions: {
                                    pie: {
                                        allowPointSelect: true,
                                        cursor: 'pointer',
                                        dataLabels: {
                                            enabled: false
                                        },
                                        showInLegend: true
                                    }
                                },
                                series: [{
                                    name: 'Porciento',
                                    colorByPoint: true,
                                    data: [{
                                        name: 'Disponibles',
                                        y: total_propios_disp,
                                        sliced: true,
                                        selected: true,
                                        color: '#57eea7'
                                    }, {
                                        name: 'No Disponibles',
                                        y: total_propios_nodisp,
                                        color: '#cccccc'
                                    }]
                                }]
                            });
                            Highcharts.chart('chart_competencia', {
                                chart: {
                                    plotBackgroundColor: null,
                                    plotBorderWidth: null,
                                    plotShadow: false,
                                    type: 'pie'
                                },
                                title: {
                                    text: 'Porciento de Presencia'
                                },
                                tooltip: {
                                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                                },
                                credits: {
                                    enabled: false
                                },
                                plotOptions: {
                                    pie: {
                                        allowPointSelect: true,
                                        cursor: 'pointer',
                                        dataLabels: {
                                            enabled: false
                                        },
                                        showInLegend: true
                                    }
                                },
                                series: [{
                                    name: 'Porciento',
                                    colorByPoint: true,
                                    data: [{
                                        name: 'Propios',
                                        y: total_propios_disp,
                                        sliced: true,
                                        selected: true,
                                        color: '#57eea7'
                                    }, {
                                        name: 'Competencia',
                                        y: total_comp_disp,
                                        color: '#FF0000'
                                    }]
                                }]
                            });
                            Highcharts.chart('chart_exhibidores', {
                                chart: {
                                    plotBackgroundColor: null,
                                    plotBorderWidth: null,
                                    plotShadow: false,
                                    type: 'pie'
                                },
                                title: {
                                    text: 'Porciento de Presencia'
                                },
                                tooltip: {
                                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                                },
                                credits: {
                                    enabled: false
                                },
                                plotOptions: {
                                    pie: {
                                        allowPointSelect: true,
                                        cursor: 'pointer',
                                        dataLabels: {
                                            enabled: false
                                        },
                                        showInLegend: true
                                    }
                                },
                                series: [{
                                    name: 'Porciento',
                                    colorByPoint: true,
                                    data: [{
                                        name: 'Disponible',
                                        y: total_exhib_disp,
                                        sliced: true,
                                        selected: true,
                                        color: '#336699'
                                    }, {
                                        name: 'No Disonible',
                                        y: total_exhib_nodisp,
                                        color: '#CCCCCC'
                                    }]
                                }]
                            });
                            loadClienteVentas();
                        }

                        break;
                    case "getclienteVentas":
                        datos = data.details;
                        var fila='';
                        var arrfechas = [];
                        var arrunidades = [];
                        var arrmonto = [];
                        var totalunidades=0;
                        var totalmonto=0;
                        for(i=0; i<datos.length; i++){
                            var ventas_driver_cant = parseInt(datos[i].ventas_driver_cant);
                            var ventas_driver_vol = parseFloat(datos[i].ventas_driver_vol);
                            var fecha = datos[i].date_created;
                            totalunidades = totalunidades + parseInt(ventas_driver_cant);
                            totalmonto = totalmonto + ventas_driver_vol;
                            if(i<10){
                                arrfechas.push(fecha);
                                arrunidades.push(ventas_driver_cant);
                                arrmonto.push(ventas_driver_vol);
                            }
                            fila +='<tr class="bg-concrete-ll"><td>'+ventas_driver_cant+'</td><td>'+ventas_driver_vol+'</td><td>'+fecha+'</td></tr>';
                        }
                        fila +='<tr class="bg-amber-l"><td>'+totalunidades+'</td><td>'+totalmonto+'</td><td> </td></tr>';
                        $('#cliente_encuesta_ventas').html(fila);

                        //
                        Highcharts.chart('chart_ventas', {
                            chart: {
                                zoomType: 'xy'
                            },
                            title: {
                                text: 'Ventas Totales - Ultimas 10'
                            },
                            subtitle: {
                                text: 'Fuente: Seller Manager App'
                            },
                            credits: {
                                enabled: false
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: ['#ff284e', '#ff8610','#48a8c8','#d05bff', '#9dff52', '#48c49f', '#913bff', '#49c9a3', '#fffc85', '#eec3be'],

                            xAxis: [{
                                categories: arrfechas,
                                crosshair: true
                            }],
                            yAxis: [{ // Primary yAxis
                                labels: {
                                    format: '{value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                title: {
                                    text: 'Unidades',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                }
                            }, { // Secondary yAxis
                                title: {
                                    text: 'Monto Total',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                labels: {
                                    format: '$ {value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                opposite: true
                            }],
                            tooltip: {
                                shared: true
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                x: 120,
                                verticalAlign: 'top',
                                y: 100,
                                floating: true,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            series: [{
                                name: 'Monto Total del Pedido',
                                type: 'column',
                                yAxis: 1,
                                data: arrmonto,
                                tooltip: {
                                    valuePrefix: '$ '
                                }

                            }, {
                                name: 'Unidades',
                                type: 'spline',
                                data: arrunidades,
                                tooltip: {
                                    valueSuffix: ' Unidades'
                                },
                                color: '#3c88a4'
                            }]
                        });
                        break;
                    case "getClientesDist":
                        datos = data.details;
                        var tr='';
                        var laclase='';
                        var estadop='';
                        totalmonto=0;
                        for(i=0; i<datos.length; i++){
                            var contact_id = datos[i].contact_id;
                            var fullname = datos[i].fullname;
                            var address = datos[i].address;
                            var email = datos[i].email;
                            var phone = datos[i].phone;
                            ventas = parseFloat(datos[i].ventas);
                            totalmonto = totalmonto + ventas;
                            tr +='<tr>';
                            tr +='<td>'+contact_id+'</td>';
                            tr +='<td>'+fullname+'</td>';
                            tr +='<td>'+phone+'</td>';
                            tr +='<td>'+address+'</td>';
                            tr +='<td class="text-right">'+ventas+'</td>';
                            tr +='</tr>';
                        }
                        $('#clientes_perfil_tab').html(tr);
                        $('.totalmontot').html(totalmonto.toFixed(2));
                        load_clientes_masventas();
                        break;
                    case "clientesMasVentas":
                        datos= data.details;
                        var fila_prod='';
                        var totalcantidad=0;
                        totalmonto=0;
                        for(i=0; i<datos.length; i++){
                            var cliente = datos[i].cliente;
                            var total_unidades = datos[i].cantidad;
                            var total = parseFloat(datos[i].monto);
                             totalcantidad = totalcantidad + parseInt(total_unidades);
                            totalmonto = totalmonto + total;
                            var total = total.toFixed(2);
                            fila_prod +='<tr><td>'+cliente+'</td><td class="text-center">'+total_unidades+'</td><td class="text-right">'+total+'</td></tr>';
                        }
                        $("#clientes_masventas_tab").html(fila_prod);
                        $('.totalcantidad').html(totalcantidad);
                        $('.totalmonto').html(totalmonto.toFixed(2));
                        break;
                    case "addProductClient":
                        if(data.code==1){
                            tableReload();
                            nAlert(data.msg, "success");//data.details.msg
                        }else{
                            nAlert(data.msg, "warning");//data.details.msg
                        }
                        break;
                    case "addExhibidor":
                        if(data.code==1){
                            nAlert(data.msg, "success");
                            exhibidores_reset();
                            tableReload();
                        }else{
                            nAlert(data.msg, "warning");
                        }
                        break;
                    case "addProductClientPres":
                        if(data.code==1){
                            nAlert(data.msg, "success");
                            tableReload();
                        }else{
                            nAlert(data.msg, "warning");
                        }
                        break;
                    case "kanbanpercha":
                        datos= data.details;
                        var bad_list ='';
                        var regular_list ='';
                        var good_list ='';
                        var chkclass='';
                        var total_bad = 0;
                        var total_regular = 0;
                        var total_good = 0;
                        var caliente_total=0;
                        var competencia_total=0;
                        var caducidad_total=0;
                        var stock_total=0;
                        var visibilidad_total=0;
                        //
                        var caliente_mal=0;
                        var caliente_regular=0;
                        var caliente_bien=0;
                        var competencia_mal=0;
                        var competencia_regular=0;
                        var competencia_bien=0;
                        var caducidad_mal=0;
                        var caducidad_regular=0;
                        var caducidad_bien=0;
                        var stock_mal=0;
                        var stock_regular=0;
                        var stock_bien=0;
                        var visibilidad_mal=0;
                        var visibilidad_regular=0;
                        var visibilidad_bien=0;
                        //
                        var arragentes = [];
                        for(var j=0; j<datos.length; j++){
                            agente = datos[j].agente;
                            n = arragentes.indexOf(agente);
                            if(n==-1){
                                arragentes.push(agente);
                            }
                        }
                        var arrmal =[];
                        var arrreg =[];
                        var arrbie =[];
                        for(var k=0; k<arragentes.length; k++){
                            arrmal[k]=0;
                            arrreg[k]=0;
                            arrbie[k]=0;
                        }
                        for(var i=0; i<datos.length; i++){
                            var promedio = parseInt(datos[i].promedio);
                            cliente = datos[i].cliente;
                            agente = datos[i].agente;
                            var driver_id = datos[i].driver_id;
                            //
                            var caliente = datos[i].caliente;
                            var competencia = datos[i].competencia;
                            var caducidad = datos[i].caducidad;
                            var stock = datos[i].stock;
                            var visibilidad =  datos[i].visibilidad;
                            caliente_total = caliente_total + parseInt(caliente);
                            competencia_total = competencia_total + parseInt(competencia);
                            caducidad_total = caducidad_total + parseInt(caducidad);
                            stock_total = stock_total + parseInt(stock);
                            visibilidad_total = visibilidad_total + parseInt(visibilidad);
                            //
                            contact_id = datos[i].contact_id;
                            var task_id = datos[i].task_id;
                            var photo_name = datos[i].photo_name;
                            var photo_before = datos[i].photo_before;
                            description = datos[i].description;
                            last_update = datos[i].last_update;
                            if(description==''){
                                description = 'No se han tomado observaciones ';
                            }
                            if(photo_before=='' || photo_before==null || photo_before=='null' || photo_before==undefined){
                                //thelink = ' <br><a data-fancybox="gallery" style="text-decoration: none !important;" href="'+photo_name_url+'"><img src="'+photo_name_url+'" class=" " style="width: 100px; height: auto; cursor: pointer;"></a>';
                                var photo_percha_before ='<img style="width: 100%; height: auto;" alt="'+cliente+'" src="../assets/images/percha.png">';
                            }else{
                                var photo_percha_before ='<a data-fancybox="gallery" style="text-decoration: none !important;" href="../upload/photo/'+photo_before+'"><img alt="'+cliente+'" style="width: 100%; height: auto; cursor: pointer;" src="../upload/photo/'+photo_before+'"></a>';
                            }
                            if(photo_name=='' || photo_name==null || photo_name=='null' || photo_name==undefined){
                                //thelink = ' <br><a data-fancybox="gallery" style="text-decoration: none !important;" href="'+photo_name_url+'"><img src="'+photo_name_url+'" class=" " style="width: 100px; height: auto; cursor: pointer;"></a>';
                                var photo_percha ='<img style="width: 100%; height: auto;" alt="'+cliente+'" src="../assets/images/percha.png">';
                            }else{
                                var photo_percha ='<a data-fancybox="gallery" style="text-decoration: none !important;" href="../upload/photo/'+photo_name+'"><img alt="'+cliente+'" style="width: 100%; height: auto; cursor: pointer;" src="../upload/photo/'+photo_name+'"></a>';
                            }

                            if(promedio<=50){
                                total_bad++;
                                var n = arragentes.indexOf(agente);
                                arrmal[n]= parseInt(arrmal[n]) + 1;

                                bad_list +='<div class="pipeline-item">';
                                bad_list +='<div class="pi-body">';
                                bad_list +='<div class="pi-info">';
                                bad_list +='<div class="h6 pi-name">';
                                bad_list += '<b class="text-primary">'+cliente+'</b>';
                                bad_list +='</div>';
                                bad_list +='<div class="pi-sub">';
                                bad_list += '<i class="fa fa-user"></i> <b class="text-success">'+agente+'</b>';
                                bad_list +='<hr>';
                                bad_list +='<h6 style="color: #336699; margin: 5px; border-bottom: 1px solid #ccc;">Foto Antes</h6>';
                                bad_list +='<div class="">'+photo_percha_before+'</div>';
                                bad_list +='<hr>';
                                bad_list +='<h6 style="color: #336699; margin: 5px; border-bottom: 1px solid #ccc;">Foto Después</h6>';
                                bad_list +='<div class="">'+photo_percha+'</div>';
                                bad_list +=' <div style="font-size: 18px;" class="alert alert-info  top20">'+description+'</div>';

                                if(caliente<=20){
                                    chkclass = 'barcheck_verybad';
                                    caliente_mal = caliente_mal + 1;
                                }else if(caliente>20 && caliente<=40){
                                    chkclass = 'barcheck_bad';
                                    caliente_regular = caliente_regular + 1;
                                }else if(caliente>40 && caliente<=60){
                                    chkclass = 'barcheck_regular';
                                    caliente_regular = caliente_regular + 1;
                                }else if(caliente>60 && caliente<=80){
                                    chkclass = 'barcheck_good';
                                    caliente_regular = caliente_regular + 1;
                                }else if(caliente>80){
                                    chkclass = 'barcheck_verygood';
                                    caliente_bien = caliente_bien + 1;
                                }
                                bad_list +='<section class="barcontainer">';
                                bad_list +='<input type="radio" class="barradio '+chkclass+'" name="barprogress_p'+i+'" value="onehundred" checked>';
                                bad_list +='<b class="text-primary">Punto Caliente: '+caliente+' </b> ';
                                bad_list +='<div class="barprogress">';
                                bad_list +='<div class="barprogress-bar" style="width: '+caliente+'%"></div>';
                                bad_list +='</div>';
                                bad_list +='</section>';

                                if(competencia<=20){
                                    chkclass = 'barcheck_verybad';
                                    competencia_mal = competencia_mal + 1;
                                }else if(competencia>20 && competencia<=40){
                                    chkclass = 'barcheck_bad';
                                    competencia_mal = competencia_mal + 1;
                                }else if(competencia>40 && competencia<=60){
                                    chkclass = 'barcheck_regular';
                                    competencia_regular = competencia_regular + 1;
                                }else if(competencia>60 && competencia<=80){
                                    chkclass = 'barcheck_good';
                                    competencia_regular = competencia_regular + 1;
                                }else if(competencia>80){
                                    chkclass = 'barcheck_verygood';
                                    competencia_bien = competencia_bien + 1;
                                }

                                bad_list +='<section class="barcontainer">';
                                bad_list +='<input type="radio" class="barradio '+chkclass+'" name="barprogress_o'+i+'" value="onehundred"   checked>';
                                bad_list +='<b class="text-primary">Competencia: '+competencia+'</b>  ';
                                bad_list +='<div class="barprogress">';
                                bad_list +='<div class="barprogress-bar" style="width: '+competencia+'%"></div>';
                                bad_list +='</div>';
                                bad_list +='</section>';
                                if(caducidad<=20){
                                    chkclass = 'barcheck_verybad';
                                    caducidad_mal = caducidad_mal + 1;
                                }else if(caducidad>20 && caducidad<=40){
                                    chkclass = 'barcheck_bad';
                                    caducidad_mal = caducidad_mal + 1;
                                }else if(caducidad>40 && caducidad<=60){
                                    chkclass = 'barcheck_regular';
                                    caducidad_regular = caducidad_regular + 1;
                                }else if(caducidad>60 && caducidad<=80){
                                    chkclass = 'barcheck_good';
                                    caducidad_regular = caducidad_regular + 1;
                                }else if(caducidad>80){
                                    chkclass = 'barcheck_verygood';
                                    caducidad_bien = caducidad_bien + 1;
                                }

                                bad_list +='<section class="barcontainer">';
                                bad_list +='<input type="radio" class="barradio '+chkclass+'"   name="barprogress_c'+i+'" value="onehundred"  checked>';
                                bad_list +='<b class="text-primary">Caducidad: '+caducidad+'</b>  ';
                                bad_list +='<div class="barprogress">';
                                bad_list +='<div class="barprogress-bar" style="width: '+caducidad+'%"></div>';
                                bad_list +='</div>';
                                bad_list +='</section>';

                                if(stock<=20){
                                    chkclass = 'barcheck_verybad';
                                    stock_mal = stock_mal + 1;
                                }else if(stock>20 && stock<=40){
                                    chkclass = 'barcheck_bad';
                                    stock_mal = stock_mal + 1;
                                }else if(stock>40 && stock<=60){
                                    chkclass = 'barcheck_regular';
                                    stock_regular = stock_regular + 1;
                                }else if(stock>60 && stock<=80){
                                    chkclass = 'barcheck_good';
                                    stock_regular = stock_regular + 1;
                                }else if(stock>80){
                                    chkclass = 'barcheck_verygood';
                                    stock_bien = stock_bien + 1;
                                }

                                bad_list +='<section class="barcontainer">';
                                bad_list +='<input type="radio" class="barradio  '+chkclass+'" name="barprogress_s'+i+'" value="onehundred"  checked>';
                                bad_list +='<b class="text-primary">Stock: '+stock+'</b>  ';
                                bad_list +='<div class="barprogress">';
                                bad_list +='<div class="barprogress-bar" style="width: '+stock+'%"></div>';
                                bad_list +='</div>';
                                bad_list +='</section>';

                                if(visibilidad<=20){
                                    chkclass = 'barcheck_verybad';
                                    visibilidad_mal = visibilidad_mal + 1;
                                }else if(visibilidad>20 && visibilidad<=40){
                                    chkclass = 'barcheck_bad';
                                    visibilidad_mal = visibilidad_mal + 1;
                                }else if(visibilidad>40 && visibilidad<=60){
                                    chkclass = 'barcheck_regular';
                                    visibilidad_regular = visibilidad_regular + 1;
                                }else if(visibilidad>60 && visibilidad<=80){
                                    chkclass = 'barcheck_good';
                                    visibilidad_regular =visibilidad_regular + 1;
                                }else if(visibilidad>80){
                                    chkclass = 'barcheck_verygood';
                                    visibilidad_bien = visibilidad_bien + 1;
                                }

                                bad_list +='<section class="barcontainer">';
                                bad_list +='<input type="radio" class="barradio  '+chkclass+'" name="barprogress_v'+i+'" value="onehundred"   checked>';
                                bad_list +='<b class="text-primary">Visibilidad: '+visibilidad+' </b>';
                                bad_list +='<div class="barprogress">';
                                bad_list +='<div class="barprogress-bar" style="width: '+visibilidad+'%"></div>';
                                bad_list +='</div>';
                                bad_list +='</section>';

                                bad_list +='</div>';
                                bad_list +='</div>';
                                bad_list +='</div>';
                                bad_list +='<div class="pi-foot">';
                                bad_list +='<div class="tags">';
                                bad_list += '';
                                bad_list += '';
                                bad_list +='</div>';

                                bad_list +='<section class="barcontainer">';
                                bad_list +='<input type="radio" class="barradio  barcheck_bad" name="barprogress_t'+i+'" value="onehundred"  checked>';
                                bad_list +='<b class="text-primary">Calificación Promedio: '+promedio+'</b>  ';
                                bad_list +='<div class="barprogress">';
                                bad_list +='<div class="barprogress-bar" style="width: '+promedio+'%"></div>';
                                bad_list +='</div>';
                                bad_list +='</section>';

                                bad_list +='</div>';
                                bad_list +='</div>';
                            }else if(promedio>50 && promedio<=75){
                                total_regular++;
                                var n = arragentes.indexOf(agente);
                                arrreg[n]= parseInt(arrreg[n]) + 1;
                                regular_list +='<div class="pipeline-item">';
                                regular_list +='<div class="pi-body">';
                                regular_list +='<div class="pi-info">';
                                regular_list +='<div class="h6 pi-name">';
                                regular_list += '<b class="text-primary">'+cliente+'</b>';
                                regular_list +='</div>';
                                regular_list +='<div class="pi-sub">';
                                regular_list += '<i class="fa fa-user"></i> <b class="text-success">'+agente+'</b>';
                                regular_list +='<hr>';
                                regular_list +='<h6 style="color: #336699; margin: 5px; border-bottom: 1px solid #ccc;">Foto Antes</h6>';
                                regular_list +='<div class="">'+photo_percha_before+'</div>';
                                regular_list +='<hr>';
                                regular_list +='<h6 style="color: #336699; margin: 5px; border-bottom: 1px solid #ccc;">Foto Después</h6>';
                                regular_list +='<div class="">'+photo_percha+'</div>';
                                regular_list +=' <div style="font-size: 18px;" class="alert alert-info top20">'+description+'</div>';

                                if(caliente<=20){
                                    chkclass = 'barcheck_verybad';
                                    caliente_mal = caliente_mal + 1;
                                }else if(caliente>20 && caliente<=40){
                                    chkclass = 'barcheck_bad';
                                    caliente_mal = caliente_mal + 1;
                                }else if(caliente>40 && caliente<=60){
                                    chkclass = 'barcheck_regular';
                                    caliente_regular = caliente_regular + 1;
                                }else if(caliente>60 && caliente<=80){
                                    chkclass = 'barcheck_good';
                                    caliente_regular =caliente_regular + 1;
                                }else if(caliente>80){
                                    chkclass = 'barcheck_verygood';
                                    caliente_bien = caliente_bien + 1;
                                }

                                regular_list +='<section class="barcontainer">';
                                regular_list +='<input type="radio" class="barradio '+chkclass+'" name="barprogress_p'+i+'" value="onehundred" checked>';
                                regular_list +='<b class="text-primary">Punto Caliente: '+caliente+' </b> ';
                                regular_list  +='<div class="barprogress">';
                                regular_list  +='<div class="barprogress-bar" style="width: '+caliente+'%"></div>';
                                regular_list  +='</div>';
                                regular_list  +='</section>';

                                if(competencia<=20){
                                    chkclass = 'barcheck_verybad';
                                    competencia_mal = competencia_mal + 1;
                                }else if(competencia>20 && competencia<=40){
                                    chkclass = 'barcheck_bad';
                                    competencia_mal = competencia_mal + 1;
                                }else if(competencia>40 && competencia<=60){
                                    chkclass = 'barcheck_regular';
                                    competencia_regular = competencia_regular + 1;
                                }else if(competencia>60 && competencia<=80){
                                    chkclass = 'barcheck_good';
                                    competencia_regular = competencia_regular + 1;
                                }else if(competencia>80){
                                    chkclass = 'barcheck_verygood';
                                    competencia_bien = competencia_bien + 1;
                                }

                                regular_list +='<section class="barcontainer">';
                                regular_list +='<input type="radio" class="barradio '+chkclass+'" name="barprogress_o'+i+'" value="onehundred"   checked>';
                                regular_list +='<b class="text-primary">Competencia: '+competencia+'</b>  ';
                                regular_list +='<div class="barprogress">';
                                regular_list +='<div class="barprogress-bar" style="width: '+competencia+'%"></div>';
                                regular_list +='</div>';
                                regular_list +='</section>';
                                if(caducidad<=20){
                                    chkclass = 'barcheck_verybad';
                                    caducidad_mal = caducidad_mal + 1;
                                }else if(caducidad>20 && caducidad<=40){
                                    chkclass = 'barcheck_bad';
                                    caducidad_mal = caducidad_mal + 1;
                                }else if(caducidad>40 && caducidad<=60){
                                    chkclass = 'barcheck_regular';
                                    caducidad_regular = caducidad_regular + 1;
                                }else if(caducidad>60 && caducidad<=80){
                                    chkclass = 'barcheck_good';
                                    caducidad_regular = caducidad_regular + 1;
                                }else if(caducidad>80){
                                    chkclass = 'barcheck_verygood';
                                    caducidad_bien = caducidad_bien + 1;
                                }

                                regular_list +='<section class="barcontainer">';
                                regular_list +='<input type="radio" class="barradio '+chkclass+'"   name="barprogress_c'+i+'" value="onehundred"  checked>';
                                regular_list +='<b class="text-primary">Caducidad: '+caducidad+'</b>  ';
                                regular_list +='<div class="barprogress">';
                                regular_list +='<div class="barprogress-bar" style="width: '+caducidad+'%"></div>';
                                regular_list +='</div>';
                                regular_list +='</section>';

                                if(stock<=20){
                                    chkclass = 'barcheck_verybad';
                                    stock_mal = stock_mal + 1;
                                }else if(stock>20 && stock<=40){
                                    chkclass = 'barcheck_bad';
                                    stock_mal = stock_mal + 1;
                                }else if(stock>40 && stock<=60){
                                    chkclass = 'barcheck_regular';
                                    stock_regular = stock_regular + 1;
                                }else if(stock>60 && stock<=80){
                                    chkclass = 'barcheck_good';
                                    stock_regular = stock_regular + 1;
                                }else if(stock>80){
                                    chkclass = 'barcheck_verygood';
                                    stock_bien = stock_bien + 1;
                                }


                                regular_list +='<section class="barcontainer">';
                                regular_list +='<input type="radio" class="barradio  '+chkclass+'" name="barprogress_s'+i+'" value="onehundred"  checked>';
                                regular_list +='<b class="text-primary">Stock: '+stock+'</b>  ';
                                regular_list +='<div class="barprogress">';
                                regular_list +='<div class="barprogress-bar" style="width: '+stock+'%"></div>';
                                regular_list +='</div>';
                                regular_list +='</section>';

                                if(visibilidad<=20){
                                    chkclass = 'barcheck_verybad';
                                    visibilidad_mal = visibilidad_mal + 1;
                                }else if(visibilidad>20 && visibilidad<=40){
                                    chkclass = 'barcheck_bad';
                                    visibilidad_mal = visibilidad_mal + 1;
                                }else if(visibilidad>40 && visibilidad<=60){
                                    chkclass = 'barcheck_regular';
                                    visibilidad_regular = visibilidad_regular + 1;
                                }else if(visibilidad>60 && visibilidad<=80){
                                    chkclass = 'barcheck_good';
                                    visibilidad_regular = visibilidad_regular + 1;
                                }else if(visibilidad>80){
                                    chkclass = 'barcheck_verygood';
                                    visibilidad_bien = visibilidad_bien + 1;
                                }

                                regular_list +='<section class="barcontainer">';
                                regular_list +='<input type="radio" class="barradio  '+chkclass+'" name="barprogress_v'+i+'" value="onehundred"   checked>';
                                regular_list +='<b class="text-primary">Visibilidad: '+visibilidad+' </b>';
                                regular_list +='<div class="barprogress">';
                                regular_list +='<div class="barprogress-bar" style="width: '+visibilidad+'%"></div>';
                                regular_list +='</div>';
                                regular_list +='</section>';

                                regular_list +='</div>';
                                regular_list +='</div>';
                                regular_list +='</div>';
                                regular_list +='<div class="pi-foot">';
                                regular_list +='<div class="tags">';
                                regular_list += '';
                                regular_list += '';
                                regular_list +='</div>';

                                regular_list +='<section class="barcontainer">';
                                regular_list +='<input type="radio" class="barradio barcheck_regular" name="barprogress_t'+i+'" value="onehundred"  checked>';
                                regular_list +='<b class="text-primary">Calificación Promedio: '+promedio+'</b>  ';
                                regular_list +='<div class="barprogress">';
                                regular_list +='<div class="barprogress-bar" style="width: '+promedio+'%"></div>';
                                regular_list +='</div>';
                                regular_list +='</section>';

                                regular_list +='</div>';
                                regular_list +='</div>';

                            }else if(promedio>75){
                                total_bad++;
                                var n = arragentes.indexOf(agente);
                                arrbie[n]= parseInt(arrbie[n]) + 1;

                                good_list +='<div class="pipeline-item">';
                                good_list +='<div class="pi-body">';
                                good_list +='<div class="pi-info">';
                                good_list +='<div class="h6 pi-name">';
                                good_list += '<b class="text-primary">'+cliente+'</b>';
                                good_list +='</div>';
                                good_list +='<div class="pi-sub">';
                                good_list += '<i class="fa fa-user"></i> <b class="text-success">'+agente+'</b>';
                                good_list +='<hr>';
                                good_list +='<h6 style="color: #336699; margin: 5px; border-bottom: 1px solid #ccc;">Foto Antes</h6>';
                                good_list +='<div class="">'+photo_percha_before+'</div>';
                                good_list +='<hr>';
                                good_list +='<h6 style="color: #336699; margin: 5px; border-bottom: 1px solid #ccc;">Foto Después</h6>';
                                good_list +='<div class="">'+photo_percha+'</div>';
                                good_list +=' <div style="font-size: 18px;" class="alert alert-info top20">'+description+'</div>';
                                if(caliente<=20){
                                    var chkclass = 'barcheck_verybad';
                                    caliente_mal = caliente_mal + 1;
                                }else if(caliente>20 && caliente<=40){
                                    var chkclass = 'barcheck_bad';
                                    caliente_mal = caliente_mal + 1;
                                }else if(caliente>40 && caliente<=60){
                                    var chkclass = 'barcheck_regular';
                                    caliente_regular = caliente_regular + 1;
                                }else if(caliente>60 && caliente<=80){
                                    var chkclass = 'barcheck_good';
                                    caliente_regular = caliente_regular + 1;
                                }else if(caliente>80){
                                    var chkclass = 'barcheck_verygood';
                                    caliente_bien = caliente_bien + 1;
                                }

                                good_list +='<section class="barcontainer">';
                                good_list +='<input type="radio" class="barradio '+chkclass+'" name="barprogress_p'+i+'" value="onehundred"   checked>';
                                good_list +='<b class="text-primary">Punto Caliente: '+caliente+' </b> ';
                                good_list +='<div class="barprogress">';
                                good_list +='<div class="barprogress-bar" style="width: '+caliente+'%"></div>';
                                good_list +='</div>';
                                good_list +='</section>';

                                if(competencia<=20){
                                    var chkclass = 'barcheck_verybad';
                                    competencia_mal = competencia_mal + 1;
                                }else if(competencia>20 && competencia<=40){
                                    var chkclass = 'barcheck_bad';
                                    competencia_mal = competencia_mal + 1;
                                }else if(competencia>40 && competencia<=60){
                                    var chkclass = 'barcheck_regular';
                                    competencia_regular = competencia_regular + 1;
                                }else if(competencia>60 && competencia<=80){
                                    var chkclass = 'barcheck_good';
                                    competencia_regular = competencia_regular + 1;
                                }else if(competencia>80){
                                    var chkclass = 'barcheck_verygood';
                                    competencia_bien = competencia_bien + 1;
                                }

                                good_list +='<section class="barcontainer">';
                                good_list +='<input type="radio" class="barradio '+chkclass+'" name="barprogress_o'+i+'" value="onehundred"   checked>';
                                good_list +='<b class="text-primary">Competencia: '+competencia+'</b>  ';
                                good_list +='<div class="barprogress">';
                                good_list +='<div class="barprogress-bar" style="width: '+competencia+'%"></div>';
                                good_list +='</div>';
                                good_list +='</section>';

                                if(caducidad<=20){
                                    var chkclass = 'barcheck_verybad';
                                    caducidad_mal = caducidad_mal + 1;
                                }else if(caducidad>20 && caducidad<=40){
                                    var chkclass = 'barcheck_bad';
                                    caducidad_mal = caducidad_mal + 1;
                                }else if(caducidad>40 && caducidad<=60){
                                    var chkclass = 'barcheck_regular';
                                    caducidad_regular = caducidad_regular + 1;
                                }else if(caducidad>60 && caducidad<=80){
                                    var chkclass = 'barcheck_good';
                                    caducidad_regular = caducidad_regular + 1;
                                }else if(caducidad>80){
                                    var chkclass = 'barcheck_verygood';
                                    caducidad_bien = caducidad_bien + 1;
                                }

                                good_list +='<section class="barcontainer">';
                                good_list +='<input type="radio" class="barradio '+chkclass+'"   name="barprogress_c'+i+'" value="onehundred"  checked>';
                                good_list +='<b class="text-primary">Caducidad: '+caducidad+'</b>  ';
                                good_list +='<div class="barprogress">';
                                good_list +='<div class="barprogress-bar" style="width: '+caducidad+'%"></div>';
                                good_list +='</div>';
                                good_list +='</section>';

                                if(stock<=20){
                                    var chkclass = 'barcheck_verybad';
                                    stock_mal = stock_mal + 1;
                                }else if(stock>20 && stock<=40){
                                    var chkclass = 'barcheck_bad';
                                    stock_mal = stock_mal + 1;
                                }else if(stock>40 && stock<=60){
                                    var chkclass = 'barcheck_regular';
                                    stock_regular = stock_regular + 1;
                                }else if(stock>60 && stock<=80){
                                    var chkclass = 'barcheck_good';
                                    stock_regular = stock_regular + 1;
                                }else if(stock>80){
                                    var chkclass = 'barcheck_verygood';
                                    stock_bien = stock_bien + 1;
                                }

                                good_list +='<section class="barcontainer">';
                                good_list +='<input type="radio" class="barradio  '+chkclass+'" name="barprogress_s'+i+'" value="onehundred"  checked>';
                                good_list +='<b class="text-primary">Stock: '+stock+'</b>  ';
                                good_list +='<div class="barprogress">';
                                good_list +='<div class="barprogress-bar" style="width: '+stock+'%"></div>';
                                good_list +='</div>';
                                good_list +='</section>';

                                if(visibilidad<=20){
                                    var chkclass = 'barcheck_verybad';
                                    visibilidad_mal = visibilidad_mal + 1;
                                }else if(visibilidad>20 && visibilidad<=40){
                                    var chkclass = 'barcheck_bad';
                                    visibilidad_mal = visibilidad_mal + 1;
                                }else if(visibilidad>40 && visibilidad<=60){
                                    var chkclass = 'barcheck_regular';
                                    visibilidad_regular = visibilidad_regular + 1;
                                }else if(visibilidad>60 && visibilidad<=80){
                                    var chkclass = 'barcheck_good';
                                    visibilidad_regular = visibilidad_regular + 1;
                                }else if(visibilidad>80){
                                    var chkclass = 'barcheck_verygood';
                                    visibilidad_bien = visibilidad_bien + 1;
                                }

                                good_list +='<section class="barcontainer">';
                                good_list +='<input type="radio" class="barradio  '+chkclass+'" name="barprogress_v'+i+'" value="onehundred"   checked>';
                                good_list +='<b class="text-primary">Visibilidad: '+visibilidad+' </b>';
                                good_list +='<div class="barprogress">';
                                good_list +='<div class="barprogress-bar" style="width: '+visibilidad+'%"></div>';
                                good_list +='</div>';
                                good_list +='</section>';

                                good_list +='</div>';
                                good_list +='</div>';
                                good_list +='</div>';
                                good_list +='<div class="pi-foot">';
                                good_list +='<div class="tags">';
                                good_list += '';
                                good_list += '';
                                good_list +='</div>';

                                good_list +='<section class="barcontainer">';
                                good_list +='<input type="radio" class="barradio  barcheck_good" name="barprogress_t'+i+'" value="onehundred"  checked>';
                                good_list +='<b class="text-primary">Calificación Promedio: '+promedio+'</b>  ';
                                good_list +='<div class="barprogress">';
                                good_list +='<div class="barprogress-bar" style="width: '+promedio+'%"></div>';
                                good_list +='</div>';
                                good_list +='</section>';

                                good_list +='</div>';
                                good_list +='</div>';
                            }

                        }
                        var len = datos.length;
                        var caliente_prom = parseInt(caliente_total/len);
                        var competencia_prom = parseInt(competencia_total/len);
                        var caducidad_prom = parseInt(caducidad_total/len);
                        var stock_prom = parseInt(stock_total/len);
                        var visibilidad_prom = parseInt(visibilidad_total/len);
                        var arrcal = [caliente_prom, competencia_prom, caducidad_prom, stock_prom, visibilidad_prom];
                        $('.pipeline-body.pending').html(bad_list);
                        $('.pipeline-body.process').html(regular_list);
                        $('.pipeline-body.completed').html(good_list);
                        $('#total_completed').html(total_bad);
                        $('#total_process').html(total_regular);
                        $('#total_pending').html(total_good);
                        Highcharts.chart('promedio_bar', {
                            chart: {
                                type: 'bar'
                            },
                            credits: {
                                enabled: false
                            },
                            title: {
                                text: 'Calificación Promedio Total'
                            },
                            subtitle: {
                                text: 'Fuente: Seller Manager'
                            },
                            xAxis: {
                                categories: ['Punto Caliente', 'Competencia', 'Caducidad', 'Stock', 'Visibilidad'],
                                crosshair: true
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: ''
                                }
                            },
                            tooltip: {
                                headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                                pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                                    '<td style="padding:0"><b>{point.y:.1f} </b></td></tr>',
                                footerFormat: '</table>',
                                shared: true,
                                useHTML: true
                            },
                            plotOptions: {
                                column: {
                                    pointPadding: 0.2,
                                    borderWidth: 0
                                },
                                series: {
                                    colorByPoint: true,
                                    colors: ['#369', '#FFF70F', '#7B1ABF', '#fe9f16', '#1FCCAC']
                                }
                            },
                            series: [{
                                name: 'Calificación Promedio',
                                data: arrcal
                            } ]
                        });
                        //
                        Highcharts.chart('total_col', {
                            chart: {
                                type: 'column'
                            },
                            title: {
                                text: 'Calificaciones Totales'
                            },
                            subtitle: {
                                text: 'Seller Manager'
                            },
                            xAxis: {
                                categories: ['Punto Caliente', 'Competencia', 'Caducidad', 'Stock', 'Visibilidad'],
                                title: {
                                    text: null
                                }
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Puntos',
                                    align: 'high'
                                },
                                labels: {
                                    overflow: 'justify'
                                }
                            },
                            tooltip: {
                                valueSuffix: ' perchas'
                            },
                            plotOptions: {
                                bar: {
                                    dataLabels: {
                                        enabled: true
                                    }
                                }
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'right',
                                verticalAlign: 'top',
                                x: -40,
                                y: 80,
                                floating: true,
                                borderWidth: 1,
                                backgroundColor:
                                    Highcharts.defaultOptions.legend.backgroundColor || '#FFFFFF',
                                shadow: true
                            },
                            credits: {
                                enabled: false
                            },
                            series: [{
                                name: 'Mal',
                                data: [caliente_mal, competencia_mal, caducidad_mal, stock_mal, visibilidad_mal],
                                color: '#FF0000'
                            }, {
                                name: 'Regular',
                                data: [caliente_regular, competencia_regular, caducidad_regular, stock_regular, visibilidad_regular],
                                color: '#fe9f16'
                            }, {
                                name: 'Bien',
                                data: [caliente_bien, competencia_bien, caducidad_bien, stock_bien, visibilidad_bien],
                                color: '#1FCCAC'
                            }]
                        });
                        Highcharts.chart('total_pie', {
                            chart: {
                                plotBackgroundColor: null,
                                plotBorderWidth: null,
                                plotShadow: false,
                                type: 'pie'
                            },
                            title: {
                                text: 'Total de Calificaciones'
                            },
                            credits: {
                                enabled: false
                            },
                            tooltip: {
                                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                            },
                            plotOptions: {
                                pie: {
                                    allowPointSelect: true,
                                    cursor: 'pointer',
                                    dataLabels: {
                                        enabled: false
                                    },
                                    showInLegend: true,
                                    colors: ["#6aa84f","#e69138","#c00"]
                                }
                            },
                            series: [{
                                name: 'Calificaciones',
                                colorByPoint: true,
                                data: [{
                                    name: 'Bien',
                                    y: caliente_bien + competencia_bien + caducidad_bien + stock_bien + visibilidad_bien,
                                    sliced: true,
                                    selected: true
                                }, {
                                    name: 'Regular',
                                    y: caliente_regular + competencia_regular + caducidad_regular + stock_regular + visibilidad_regular
                                }, {
                                    name: 'Mal',
                                    y: caliente_mal + competencia_mal + caducidad_mal + stock_mal + visibilidad_mal
                                }]
                            }]
                        });
                        Highcharts.chart('agentes_bar', {

                            chart: {
                                type: 'area'
                            },

                            title: {
                                text: 'Calificación Promedio por Agente'
                            },

                            xAxis: {
                                categories: arragentes
                            },

                            yAxis: {
                                allowDecimals: false,
                                min: 0,
                                title: {
                                    text: 'Calificaciones'
                                }
                            },

                            tooltip: {
                                formatter: function () {
                                    return '<b>' + this.x + '</b><br/>' +
                                        this.series.name + ': ' + this.y + '<br/>' +
                                        'Total: ' + this.point.stackTotal;
                                }
                            },
                            plotOptions: {
                                area: {
                                    stacking: 'normal',
                                    lineColor: '#ffffff',
                                    lineWidth: 2,
                                    marker: {
                                        lineWidth: 1,
                                        lineColor: '#ffffff'
                                    }
                                },
                                series: {
                                    fillOpacity: 0.4
                                }
                            },
                            series: [ {
                                name: 'Bien',
                                data: arrbie,
                                color: "#6aa84f"
                            },{
                                name: 'Regular',
                                data: arrreg,
                                color: "#e69138"
                            }, {
                                name: 'Mal',
                                data: arrmal,
                                color: "#c00"
                            }]
                        });
                        break;
                }
            } else {
                //failed mycon
                switch (action) {
                    case "getTaskGestion":
                        fila =' <div class="alert alert-warning"><p>No se han registrado encuestas para esta visita.</p></div>';
                        $('#task_encuesta_table').html(fila);
                        break;
                    case "getClienteEncuesta":
                        alert(data.msg);
                        loadClienteVentas();
                        break;
                    case "getclienteVentas":
                        alert(data.msg);
                        break;
                    case "getClientesDist":
                        alert(data.msg);
                        break;
                    case "kanbanpercha":
                        $('.pipeline-body.pending').html('');
                        $('.pipeline-body.process').html('');
                        $('.pipeline-body.completed').html('');
                        $('#total_completed').html(0);
                        $('#total_process').html(0);
                        $('#total_pending').html(0);
                        break;
                    default :
                        nAlert(data.msg, "warning");
                        if (data.msg == 'Error al ingresar') {
                            location.reload();
                        }

                        break;
                }

            }
        },
        error: function (request, error) {

        }
    });
}

function getExhibidores(){
    callMercadeo('getExhibidores', '');
}

function getColumnsDynamic(){
    //get items para crear columnas dinamicas
    callMercadeo('getColumnsPresencia', '');
}

function getTaskGestion(){
    //la gestion será encuesta (mercaderistas) , pedido (vendedor) u hoja de ruta conductor
    var task_id = $(".task_id_details").val();
    var params="id="+task_id+"&date="+ $(".calendar_formated").val();
    callMercadeo("getTaskGestion", params );
}

function exhibidores_reset(){
    $('#idexhibidor').val('');
    $('#exhibidor').val('');
    $('#exhibidor_desc').val('');
    $('#ex_activo').prop('checked', false);
}

function getTaskVentas(){
    //la gestion será encuesta (mercaderistas) , pedido (vendedor) u hoja de ruta conductor
    var task_id = $(".task_id_details").val();
    var params="id="+task_id+"&date="+ $(".calendar_formated").val();
    callMercadeo("getTaskVentas", params );
}

function loadClienteEncuesta(){

    if($('#merchandisedashboard').exists()){
        var contact_id = '';
        var params ="contact_id="+contact_id;
        var fecha_info = $('#fecha_info').val();

        var fecha_inicio = moment();
        var fecha_fin = moment();
        switch(fecha_info){
            case "yesterday":
                fecha_inicio = moment().subtract(1, 'days');
                fecha_fin = moment().subtract(1, 'days');
                break;
            case "last7":
                fecha_inicio = moment().subtract(6, 'days');
                fecha_fin = moment();
                break;
            case "last30":
                fecha_inicio = moment().subtract(29, 'days');
                fecha_fin = moment();
                break;
            case "thismonth":
                fecha_inicio = moment().startOf('month');
                fecha_fin =  moment().endOf('month');
                break;
            case "lastmonth":
                fecha_inicio = moment().subtract(1, 'month').startOf('month');
                fecha_fin =  moment().subtract(1, 'month').endOf('month');
                break;
        }

        fecha_inicio = fecha_inicio.format('YYYY-M-D');
        fecha_fin  = fecha_fin.format('YYYY-M-D');
        params += "&fechainicio="+fecha_inicio;
        params += "&fechafin="+fecha_fin;
        callMercadeo('getClienteEncuesta', params);
    }else{
        if($('#chart_propios').html()!=''){
            return;
        }
        var contact_id = $('#profile_contact_id').val();
        var params ="contact_id="+contact_id;
        var fecha_inicio = '';
        var fecha_fin  = '';
        params += "&fechainicio="+fecha_inicio;
        params += "&fechafin="+fecha_fin;
        callMercadeo('getClienteEncuesta', params);
    }
}

function getClienteExhibidores(){

        var contact_id = $('#profile_contact_id').val();
        var params ="contact_id="+contact_id;

        callMercadeo('getClienteExhibidores', params);

}

function loadClienteVentas(){
    var contact_id = $('#profile_contact_id').val();
    var params ="contact_id="+contact_id;
    callMercadeo('getclienteVentas', params);
}

function getClientesDist(){
    var distribuidor_id = $('#profile_contact_id').val();
    var params ="contact_id="+distribuidor_id;
    callMercadeo('getClientesDist', params);
}

function load_clientes_masventas(){
    var contact_id = $('#profile_contact_id').val();
    var orden = $('input[name=orden]:checked').val();
    var params ="contact_id="+contact_id;
    params +="&orden="+orden;
    callMercadeo('clientesMasVentas', params);
}

function addProduct_Client(){
    var idproduct = $('#idproduct').val();
    var contact_id = $('#contact_list').val();
    if(contact_id=='' || contact_id=='-1'){
        contact_id=0;
    }
    if(idproduct=='' || idproduct=='-1'){
        nAlert('Por favor seleccione un producto.','warning');
        return false;
    }
    var params = "idproduct="+idproduct;
    params += "&contact_id="+contact_id;
    callMercadeo('addProductClient', params);
}

function addExhibidor(){
    var idexhibidor= $('#idexhibidor').val();
    var exhibidor= $('#exhibidor').val();
    var exhibidor_desc = $('#exhibidor_desc').val();
    if(exhibidor==''){
        nAlert('Por favor ingrese el nombre del exhibidor.','warning');
        return false;
    }
    if($('#ex_activo').is(':checked')){
        var activo=1;
    }else{
        var activo=0;
    }
    var params = "idexhibidor="+idexhibidor;
    params += "&exhibidor="+exhibidor;
    params += "&exhibidor_desc="+exhibidor_desc;
    params += "&activo="+activo;
    callMercadeo('addExhibidor', params);
}

function addProduct_Client_Pres(){
    var idproduct = $('#idproduct').val();
    if(idproduct=='' || idproduct==-1){
        nAlert('Por favor seleccione el item.','warning');
        return false;
    }
    var params = "idproduct="+idproduct;
    callMercadeo('addProductClientPres', params);
}

function initPercha()
{
    var params=$("#frm_kanbanpercha").serialize();
    var action= $("#frm_kanbanpercha #action").val();

    params+="&language="+language;
    $('.pipeline-body.pending').html('');
    $('.pipeline-body.process').html('');
    $('.pipeline-body.completed').html('');
    callMercadeo(action, params);
}

