"use strict";
jQuery.fn.exists = function(){return this.length>0;};


function callNotification(action,params,button) {
    params += "&language=" + language;

    var Ajax_Request = $.ajax({
        url: notification_url + "/" + action,
        data: params,
        type: 'post',
        //async: false,
        dataType: 'json',
        timeout: 6000,
        beforeSend: function () {
            if (Ajax_Request !== null) {
            //    Ajax_Request.abort();
                busy(false, button);
            } else {
                busy(true, button);
            }
        },
        complete: function (data) {
            Ajax_Request = (function () {
                return;
            })();
            busy(false, button);
        },
        success: function (data) {
            if (data.code === 1) {

                switch (action) {
                    case "sendPush":
                        moment.locale('es');
                        var mensaje = $.trim($(".message-input").val());
                        $(".chat-messages").append('<div class="message self"><div class="message-content">' + mensaje + "</div></div>");
                        $(".message-input").val("");
                        var t = $(".floated-chat-w .chat-messages");
                        t.scrollTop(t.prop("scrollHeight"));

                        t.perfectScrollbar("update");

                      /*  if($('#x_push_message').length){

                            var newmsg = '<div class="chat-message self"><div class="chat-message-content-w ">';
                            newmsg += '<div class="chat-message-content">'+mensaje+'</div></div>';
                            newmsg += '<div class="chat-message-date">'+moment().startOf('second').fromNow()+'</div>';
                            newmsg += '<div class="chat-message-avatar"><img alt="" src="../assets/images/admin.png"></div>';
                            newmsg += '</div>';
                            $('.chat-content').append(newmsg);
                            $('#x_push_message').val('');
                            var newmsgs = document.querySelectorAll(".chat-message");
                            var elmnt = newmsgs[newmsgs.length -1];
                            if(elmnt!==undefined){
                                elmnt.scrollIntoView();
                            }

                        }else{
                            toastMessage('Mensaje enviado con éxito', 'Push Notification');
                            $('#x_push_message').val('');
                        }*/
                        break;
                    case "getChatPush":
                        if(data.code==1){
                            var datos = data.details;
                            moment.locale('es');
                            var newmsg = '';
                            var driver_id =  $("#driver_id_push").val();
                            var agente= $('.agenteto').text();

                            for(var i=datos.length - 1; i >=0; i--){
                                //device = datos[i].device_platform;
                                var chat_id = datos[i].chat_id;
                                var chat_title = datos[i].chat_title;
                                var chat_text = datos[i].chat_text;
                                var status = datos[i].status;
                                var date_created = datos[i].date_created;
                                var date_process = datos[i].date_process;
                                var agent_lat = datos[i].agent_lat;
                                var agent_lng = datos[i].agent_lng;
                                var sender_type = datos[i].sender_type;
                                if(agent_lat){

                                }
                                var status_error='';
                                var profile_photo = datos[i].profile_photo;
                                var avatarimg = '<img alt="" src="../assets/images/noavatar.png">';
                                if(profile_photo!=''){
                                    avatarimg = '<img alt="" src="../upload/photo/'+profile_photo+'">';
                                }
                                var creado = moment(date_created, "YYYY-MM-DD H:m:s").fromNow();
                                var icon_process='<i class="ion-android-time"></i>';

                                if(sender_type==0){
                                    var msg_type='self';
                                    status_error = 'chat-message-content';
                                }else{
                                    var msg_type='';
                                    status_error = 'chat-message-contentagent';
                                }
                                var icon_process='<i class="ion-android-time"></i>';
                                if(msg_type=='self'){
                                    newmsg += '<div class="message '+msg_type+'">';
                                    newmsg += '<div class="message-content" >'+chat_text+'</div>';
                                    newmsg += '</div>';
                                    newmsg +=  '<div class="date-break text-right">'+icon_process+' '+creado+'</div>';

                                   /* newmsg += '<div class="chat-message '+msg_type+' "><div class="chat-message-content-w">';
                                    newmsg += '<div class=" '+status_error+'">'+chat_text+'</div></div>';
                                    newmsg += '<div class="chat-message-date">'+icon_process+' '+creado+'</div>';
                                    newmsg += '<div class="chat-message-avatar"><img alt="" src="../assets/images/admin.png"></div>';
                                    newmsg += '</div>';*/
                                }else{
                                    newmsg += '<div class="message">';
                                    newmsg += '<div class="message-content" >'+chat_text+'</div>';
                                    newmsg += '</div>';
                                    newmsg +=  '<div class="date-break text-left">'+icon_process+' '+creado+'</div>';

                                /*    newmsg += '<div class="chat-message '+msg_type+' "><div class="chat-message-content-w">';
                                    newmsg += '<div class=" '+status_error+'">'+chat_text+'</div></div>';
                                    newmsg += '<div class="chat-message-avatar">'+avatarimg+'</div>';
                                    newmsg += '<div class="chat-message-date">'+icon_process+' '+creado+'</div>';
                                    newmsg += '<div style="cursor: pointer; color: #009abb;" onclick="ubicar_chat(\''+agente+'\','+driver_id+', '+agent_lat+', '+agent_lng+');" class="chat-message-date">Ubicar Agente</div>';
                                    newmsg += '</div>';*/
                                }

                            }
                            //$('.chat-content').append(newmsg);
                            $('.chat-messages').append(newmsg);
                            var newmsgs = document.querySelectorAll(".message");
                            var elmnt = newmsgs[newmsgs.length -1];
                            elmnt.scrollIntoView();
                        }else{
                            nAlert(data.msg, "error");
                        }

                        break;
                    case "GetNotificationTPL":
                        $.each( data.details , function( key, value ) {
                            $("#"+key).val( value );
                        });
                        break;
                    case "SaveNotificationTemplate":
                        $(".notification-pop").modal('hide');
                        break;

                }
            } else {

                //failed mycon
                switch (action) {
                    case "":
                        break;
                    default :
                        nAlert(data.msg, "warning");
                        if (data.msg == 'Error al ingresar') {
                            location.reload();
                        }

                        break;
                }

            }
        },
        error: function (request, error) {

        }
    });
}

function toastMessage(message,title)
{
    if (empty(title)){
        title='';
    }
    if (empty(message)){
        return;
    }
    toastr.options = {
        "positionClass": "toast-bottom-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": "500",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    };
    toastr.info(message,title);
}

function fillPopUpNotification(message,title , task_id  , status )
{
    var link='<a data-id="'+task_id+'" class="task-details" href="javascript:;">'+task_id+'</a>';
    var new_title = status + " "+ jslang.task_id + ":"+ link ;
    var html='';
    html+='<li>';
    html+='<i class="ion-ios-circle-filled"></i> '+message +" <br/>"+new_title;
    html+='</li>';
    $("#notification_list").prepend(html);
}

function playNotification()
{
    var drv_sound_on = Cookies.get('drv_sound_on');
    if (drv_sound_on==2){
        // do nothing
        dump('sound is off');
    } else {
        dump('sound is on');
        $("#jplayer").jPlayer("play");
    }
}

function getNotifications()
{
    var action="GetNotifications";
    var params='';
    params+="&language="+language;

    notification_handle = $.ajax({
        url: notification_url+"/"+action,
        data: params,
        type: 'post',
        dataType: 'json',
        timeout: 6000,
        beforeSend: function() {
            window.clearInterval(notification_handle);
        },
        complete: function(data) {
            notification_handle = setInterval(function(){getNotifications()}, 60000);
        },
        success: function (data) {
            if (data.code==1){
                $(".no-noti").remove();
                playNotification();
                $.each( data.details , function( key, val ) {
                    toastMessage( val.message, val.title );
                    fillPopUpNotification( val.message, val.title , val.task_id , val.status );
                });
            } else {
                //playNotification();
            }
        },
        error: function (request,error) {
            window.clearInterval(notification_handle);
        }
    });
}

function getInitialNotifications()
{
    var action="getInitialNotifications";
    var params='';
    params+="&language="+language;

    var notification_handle2;

    notification_handle2 = $.ajax({
        url: notification_url+"/"+action,
        data: params,
        type: 'post',
        dataType: 'json',
        timeout: 6000,
        beforeSend: function() {
            if(notification_handle2 != null) {
                notification_handle2.abort();
                dump("ajax abort");
            }
        },
        complete: function(data) {
            notification_handle2 = (function () { return; })();
        },
        success: function (data) {
            if (data.code==1){
                $.each( data.details , function( key, val ) {
                    fillPopUpNotification( val.message, val.title , val.task_id , val.status );
                });
            } else {
                $("#notification_list").prepend('<p class="no-noti text-info">'+jslang.no_notification+'</p>');
            }
        },
        error: function (request,error) {
        }
    });
}

function open_chat(driver_id, first_name, last_name){
    $('#chat_btn').text(0);
   if(driver_id==''){
       driver_id = $("#driver_id_push").val();

       if(driver_id!=''){
           first_name = $("#driver_first_push").val();
           last_name = $("#driver_last_push").val();
           $('.user-title').text(first_name+' '+last_name);
           $('.chat-messages').html('');
           var params = 'driver_id='+driver_id;
           callNotification('getChatPush',params);
       }else{
           var agentlisted='<div>';
            $('.agentlisted').each(function(index, obj){
                driver_id = $(this).attr('data-driverid');
                var agente = $(this).attr('data-drivername');
                first_name = agente.split(' ')[0];
                last_name = agente.split(' ')[1];
                agentlisted += '<div onclick="open_chat('+driver_id+', \''+first_name+'\',  \''+last_name+'\')"  class="message isagent">';
                agentlisted += '<div class="message-content" >'+agente+'</div>';
                agentlisted += '</div>';
              //  agentlisted +='<li onclick="open_chat('+driver_id+', \''+first_name+'\',  \''+last_name+'\')" data-driverid="'+driver_id+'" data-drivername="'+agente+'"> '+agente+'</li>';
            });
            agentlisted +='</div>';
           $('.chat-messages').append(agentlisted);
       }

   }else{
       $("#driver_id_push").val(driver_id);
       $("#driver_first_push").val(first_name);
       $("#driver_last_push").val(last_name);
       $('.floated-chat-w').addClass('active');
       $('.user-title').text(first_name+' '+last_name);
       $('.chat-messages').html('');
       var params = 'driver_id='+driver_id;
       callNotification('getChatPush',params);
   }

}

function close_chat(){
    $('.agent-active').css("visibility","visible");
    $('.agent-offline').css("visibility","visible");
    $('.agent-total').css("visibility","visible");
    $('.agent-chat').hide('Slide');
}

function ubicar_chat(agente, driver_id, lat, lng){
    //get address
    if (mapbox_marker[driver_id] != undefined) {
        var newLatLng = new L.LatLng(lat, lng);
        mapbox_marker[driver_id].setLatLng(newLatLng).openPopup();
        mapbox_setMapCenter(lat, lng);
    }else{
        ajax_request_6 = $.ajax({
            url: "https://nominatim.openstreetmap.org/reverse?format=jsonv2&lat="+lat+"&lon="+lng+"",
            type: 'get',
            //async: false,
            dataType: 'json',
            success: function (result) {
                var nombre = result.name;
                var direccion = result.display_name;

                var content = '<h5 class="text-info">'+agente+'</h5>';
                content += '<h5 class="text-primary">Ultima Ubicación:</h5>';
                content += '<p class="text-success">'+direccion+'</p>';
                icon = mapbox_getDriverIcon(1 );
                mapbox_marker[driver_id] = L.marker(
                    [lat,lng],
                    {
                        icon : icon
                    }).addTo(mapbox);
                mapbox_marker[driver_id].bindPopup(content).openPopup();
                mapbox_setMapCenter(lat, lng);
            }
        });

    }
}

$(document).ready(function(){
    $('.notification-pop').on('show.bs.modal', function (e) {
        callNotification("GetNotificationTPL", "option_name=" + $("#option_name").val() );
    });

    if ( $("#layout_1").exists() ){
        getInitialNotifications();
    }

    playNotification();

    $(".message-input").on("keypress", function (e) {
        if (13 == e.which) {
            var mensaje = $.trim($(this).val());
            var driver_id_push = $('#driver_id_push').val();
            var chat_title = 'Mensaje del Administrador';
            params = "x_push_message="+mensaje;
            params += "&x_push_title="+chat_title;
            params += "&driver_id_push="+driver_id_push;
            if(mensaje){
                callNotification('sendPush', params);
            }
        }
    });

    $( document ).on( "click", ".menu-pop", function() {
        $(".popup_menu.nav").toggle();
        $(".popup_menu.notification").hide();
    });

    $( document ).on( "click", ".menu-notification", function() {
        $(".popup_menu.notification").toggle();
        $(".popup_menu.nav").hide();
    });

    $('body').click(function(e) {
        if ($(e.target).closest('.popup_menu,.menu-pop,.menu-notification').length === 0) {
            $(".popup_menu.nav").hide();
            $(".popup_menu.notification").hide();
        }
    });

    $( document ).on( "click", ".notification_tpl", function() {
        $("#option_name").val( $(this).data("id") );
        $(".option-name").html( $(this).data("id") );
        $(".notification-pop").modal('show');
    });

    $.validate({
        language : jsLanguageValidator,
        form : '#frm_notification_tpl',
        onError : function() {
        },
        onSuccess : function() {
            var params= $("#frm_notification_tpl").serialize();
            var action = $("#frm_notification_tpl #action").val();
            var button = $('#frm_notification_tpl button[type="submit"]');

            callNotification(action,params,button);
            return false;
        }
    });

    $( document ).on( "click", ".open-modal-push", function() {
        var driver_id =  $(this).data("id");
        $(".push-form-modal").modal('show');
        setTimeout(function(){
            $("#driver_id_push_a").val(driver_id);
        }, 1000);

    });

    $('.push-form-modal').on('shown.bs.modal', function (e) {
        $("#x_push_title").val('');
        $("#x_push_message").val('');
    });

    $.validate({
        language : jsLanguageValidator,
        form : '#frm-send-push',
        onError : function() {
        },
        onSuccess : function() {
            var params= $("#frm-send-push").serialize();
            var action = $("#frm-send-push #action").val();
            var button = $('#frm-send-push button[type="submit"]');
            dump(button);
            callNotification(action,params,button);
            return false;
        }
    });

        if(!$('#loginboxapp').exists()){
            var pusher_key= $('#pusher_key').val();
            var pusher_cluster= $('#pusher_cluster').val();
            var main_channel = $('#pusher_main_channel').val();
            var chat_channel = $('#pusher_chat_channel').val();
            var pusher = new Pusher(pusher_key, {
                cluster: pusher_cluster,
                forceTLS: true
            });

            var channelchat = pusher.subscribe(chat_channel);
            channelchat.bind('Chat', function(data){
                if(data.receiver_id==0 && data.receiver_type==0){
                    playNotification();
                    if(!$('.floated-chat-w').hasClass("active"))
                    {
                        var noticant = parseInt($('#chat_btn').text());
                        noticant = noticant + 1;
                        $('#chat_btn').text(noticant);
                        var driver_id = data.sender_id;

                        $('#driver_id_push').val(driver_id);
                        agente = data.chat_title;
                        var first_name = agente.split(' ')[0];
                        var last_name = agente.split(' ')[1];
                        $('#driver_first_push').val(first_name);
                        $('#driver_last_push').val(last_name);
                        //  toastMessage( '<span onclick="open_chat('+data.sender_id+', \''+data.chat_title+'\', \'\');">'+data.chat_text+'</span>', data.chat_title );
                    }else{
                        agente= $('.user-title').text();
                        var first_name = agente.split(' ')[0];
                        var last_name = agente.split(' ')[1];
                        var driver_id = data.sender_id;
                        $('#driver_id_push').val(driver_id);
                        $('#driver_first_push').val(first_name);
                        $('#driver_last_push').val(last_name);
                        if($.trim(agente)==$.trim(data.chat_title)){
                            var avatarimg = $('.pipeline#driverid_'+data.sender_id).find('.avatar').html();
                            switch(data.status){
                                case 0:
                                    var icon_process = '<img width="16" height="auto" src="../assets/images/status-0.png">';
                                    break;
                                case 1:
                                    var icon_process = '<img width="16" height="auto" src="../assets/images/status-1.png">';
                                    break;
                                case 2:
                                    var icon_process = '<img width="16" height="auto" src="../assets/images/status-1.png">';
                                    break;
                                default:
                                    var icon_process = '<img width="16" height="auto" src="../assets/images/status-0.png">';
                            }
                            //chat flotante
                            var hacev = moment(data.date_created, "YYYY-MM-DD H:m:s").fromNow();
                            var newmsg  = '';
                            newmsg += '<div class="message">';
                            newmsg += '<div class="message-content" >'+data.chat_text+'</div>';
                            newmsg += '</div>';
                            newmsg +=  '<div class="date-break">'+hacev+'</div>';

                            $('.chat-messages').append(newmsg);
                            var newmsgs = document.querySelectorAll(".message");
                            var elmnt = newmsgs[newmsgs.length -1];
                            elmnt.scrollIntoView();
                        }else{
                            // close_chat();
                            var noticant = parseInt($('#chat_btn').text());
                            noticant = noticant + 1;
                            $('#chat_btn').text(noticant);
                            toastMessage( '<span onclick="open_chat('+data.sender_id+', \''+data.chat_title+'\', \'\');">'+data.chat_text+'</span>', data.chat_title );
                        }
                    }

                }

            });

            var channel = pusher.subscribe(main_channel);
            channel.bind('Notifications', function(data){
                var driver_id = data.driver_id;
                var team_id_user = $("#team_id_user").val();
                var driver_found = false;
                $('#driver_selectionmap .team_opion').each(function(i, obj) {
                    var driver_id_list = $(this).val();
                    if(driver_id==driver_id_list){
                        driver_found = true;
                    }
                });
                if(driver_found || team_id_user==0){
                    $(".no-noti").remove();
                    playNotification();
                    if($('.primary_map').exists()){
                        var t_lat=data.driver_location_lat;
                        var t_lng=data.driver_location_lng;
                        switch (map_provider){
                            case "google":
                                map.setCenter(t_lat,t_lng);
                                map.setZoom(16);
                                break;

                            case "mapbox":
                                mapbox_setMapCenter(t_lat,t_lng);
                                break;
                        }
                    }
                    toastMessage( data.remarks, 'Actualizacion de Tarea' );
                    var estado = data.status;
                    fillPopUpNotification( data.remarks, 'Actualizacion de Tarea' , data.task_id , data.status );
                }

            });
        }

    if($('.dashboard-work-area').exists()) {
        channel.bind('taskUpdate', function (data) {
            var driver_id = data.driver_id;
            var team_id_user = $("#team_id_user").val();

            var driver_found = false;
            $('#driver_selectionmap .team_opion').each(function (i, obj) {
                var driver_id_list = $(this).val();
                if (driver_id == driver_id_list) {
                    driver_found = true;
                }
            });

            if (driver_found || team_id_user == 0) {
                var task_id = data.task_id;
                var status_raw = data.status;
                var trans_type = data.trans_type;
                if (trans_type == 'delivery') {
                    var trans_type_p = '<span class=\"badge badge-success-inverted\">Visita</span>';
                } else {
                    var trans_type_p = '<span class=\"badge badge-info-inverted\">Entrega</span>';
                }
                var estado = data.estado;
                switch (status_raw) {
                    case "acknowledged":
                        var statusclass = 'badge-primary-inverted';
                        break;
                    case "started":
                        var statusclass = 'badge-info-inverted';
                        break;
                    case "inprogress":
                        var statusclass = 'badge-danger-inverted';
                        break;
                    case "successful":
                        var statusclass = 'badge-success-inverted';
                        break;
                    case "failed":
                        var statusclass = 'badge-danger-inverted';
                        break;
                    case "canceled":
                        var statusclass = 'badge-danger-inverted';
                        break;
                    case "cancelled":
                        var statusclass = 'badge-danger-inverted';
                        break;
                    default:
                        var statusclass = 'badge-primary-inverted';
                        break;
                }
                var customer_name = data.customer_name;
                var address = data.address;

                mapbox_marker[task_id].options.status = status_raw;
                //update popup
                var info_html = "<div class=\"map-info-window\">";
                info_html += "<h4>" + jslang.task_id + ": " + task_id + "</h4>";
                info_html += "<h5>" + jslang.name + ": " + customer_name + "</h5>";
                info_html += "<p>" + address + "</p>";
                info_html += trans_type_p;
                info_html += "<span class=\"" + statusclass + "\">" + estado + "</span>";
                info_html += "<a href=\"javascript:;\"  class=\"top10 task-details\" data-id=\"" + task_id + "\"  >" + jslang.details + "</a>";
                info_html += "</div>";
                mapbox_marker[task_id].getPopup().setContent(info_html);
                mapbox_marker[task_id].getPopup().update();
                //end popup
                switch (status_raw) {
                    case "assigned":
                        var contenido = $(".task-map[data-id='" + task_id + "']").wrap('<p/>').parent().html();
                        $(".task-map[data-id='" + task_id + "']").unwrap();
                        $(".task-map[data-id='" + task_id + "']").remove();
                        $('.task_assigned').prepend(contenido);
                        //update totals
                        var asignado = parseInt($(".task-total-assigned").text());
                        asignado = asignado + 1;
                        $(".task-total-assigned").html(asignado);
                        //update noasignados
                        var noasignado = parseInt($(".task-total-unassigned").html());
                        noasignado = noasignado - 1;
                        if (noasignado < 0) {
                            noasignado = 0;
                        }
                        $(".task-total-unassigned").html(noasignado);
                        break;
                    case "started":
                        //update left panel
                        var tagobj = $(".task-map[data-id='" + task_id + "']").find('.taskStatusbadge');
                        tagobj.removeClass('badge-primary-inverted').addClass('badge-info-inverted').text(estado);
                        break;
                    case "inprogress":
                        //update left panel
                        var tagobj = $(".task-map[data-id='" + task_id + "']").find('.taskStatusbadge');
                        tagobj.removeClass('badge-info-inverted').addClass('badge-danger-inverted').text(estado);
                        break;
                    case "successful":
                        var contenido = $(".task-map[data-id='" + task_id + "']").wrap('<p/>').parent().html();
                        $(".task-map[data-id='" + task_id + "']").unwrap();
                        $(".task-map[data-id='" + task_id + "']").remove();
                        $('.task_completed').prepend(contenido);
                        //update totals
                        var completado = parseInt($(".task-total-completed").text());
                        completado = completado + 1;
                        $(".task-total-completed").html(completado);
                        //update noasignados
                        asignado = parseInt($(".task-total-assigned").html());
                        asignado = asignado - 1;
                        if (asignado < 0) {
                            asignado = 0;
                        }
                        $(".task-total-assigned").html(asignado);
                        //change icon
                        if (trans_type == 'delivery') {
                            icon = 'user-check';
                        } else {
                            icon = 'box-open ';
                        }
                        //update left panel
                        var tagobj = $(".task-map[data-id='" + task_id + "']").find('.taskStatusbadge');
                        tagobj.removeClass('badge-danger-inverted').addClass('badge-success-inverted').text(estado);

                        var optionss = {
                            icon: icon
                            , prefix: 'fa'
                            , iconShape: 'marker'
                            , borderColor: '#00a802'
                            , textColor: '#00a802'
                            , backgroundColor: '#cbffdc'
                        };

                        mapbox_marker[task_id].setIcon(L.BeautifyIcon.icon(optionss));

                        break;
                    case "declined":
                    case "failed":
                    case "cancelled":
                        var contenido = $(".task-map[data-id='" + task_id + "']").wrap('<p/>').parent().html();
                        $(".task-map[data-id='" + task_id + "']").unwrap();
                        $(".task-map[data-id='" + task_id + "']").remove();
                        $('.task_completed').prepend(contenido);
                        //update totals
                        var completado = parseInt($(".task-total-completed").text());
                        completado = completado + 1;
                        $(".task-total-completed").html(completado);
                        //update noasignados
                        asignado = parseInt($(".task-total-assigned").html());
                        asignado = asignado - 1;
                        $(".task-total-assigned").html(asignado);
                        //change icon
                        if (trans_type == 'delivery') {
                            icon = 'user-times';
                        } else {
                            icon = 'box';
                        }
                        //update left panel
                        var tagobj = $(".task-map[data-id='" + task_id + "']").find('.taskStatusbadge');
                        tagobj.removeClass('badge-danger-inverted').addClass('badge-danger').text(estado);
                        var optionss = {
                            icon: icon
                            , prefix: 'fa'
                            , iconShape: 'marker'
                            , borderColor: '#bb0005'
                            , textColor: '#bb0005'
                            , backgroundColor: '#fff3f1'
                        };

                        mapbox_marker[task_id].setIcon(L.BeautifyIcon.icon(optionss));
                        break;
                }
            }


        });
    }
    if($('.dashboard-work-area').exists()) {
        channel.bind('newTask', function (data) {
            var driver_id = data.driver_id;
            var driver_found = false;
            var team_id_user = $("#team_id_user").val();
            $('#driver_selectionmap .team_opion').each(function (i, obj) {
                var driver_id_list = $(this).val();
                if (driver_id == driver_id_list) {
                    driver_found = true;
                }
            });
            if (driver_found || team_id_user == 0) {
                var task_id = data.task_id;
                var status_raw = data.status;
                var estado = data.estado;
                var task_lat = data.task_lat;
                var task_lng = data.task_lng;
                var trans_type = data.trans_type;
                var calcolor = data.calcolor;
                var customer_name = data.customer_name;
                var delivery_address = data.delivery_address;
                var delivery_date = data.delivery_date;
                var driver_name = data.driver_name;
                var team_id = data.team_id;
                if (trans_type == 'delivery') {
                    var Tletter = 'V';
                } else {
                    var Tletter = 'E';
                }
                var backgroundcolor = 'badge-info-inverted';
                var trasladoClass = "T";
                //////////////////////////////////////////////////////////////////////////////////////////////
                if (trans_type == "pickup") {
                    if (data.traslado == 0) {
                        trans_type = "Entrega";
                        backgroundcolor = 'badge-info-inverted';
                    } else {
                        trans_type = "Traslados";
                        trasladoClass = "T";
                        backgroundcolor = 'badge-warning-inverted';
                    }
                } else {
                    trans_type = "Visita";
                    backgroundcolor = 'badge-success-inverted';
                }
                var task_html2 = '<div style="background-color: ' + backgroundcolor + '" class="row box task-map ' + status_raw + ' ' + trans_type + ' "';
                task_html2 += 'data-lat="' + task_lat + '"';
                task_html2 += 'data-lng="' + task_lng + '"';
                task_html2 += 'data-id="' + task_id + '"';
                task_html2 += 'data-teamid="' + team_id + '"';
                task_html2 += 'data-contact="' + customer_name + '"';
                task_html2 += 'data-driverid="' + driver_id + '" style="background-color: #FBFCFD; border-bottom: 2px solid #DCE3FB; ">';

                task_html2 += '<div class="colssss-sm-12 el-tablo" style=" width: 95%;  background-color: ' + backgroundcolor + '; border-bottom: 1px dashed #467671; padding: 10px;">';
                task_html2 += '<div class="row ">';
                if (task_id > 0) {
                    task_html2 += '<div class="col-sm-5 small">';
                    task_html2 += '<div class="badge  ' + backgroundcolor + '">' + trans_type + ' </div> &nbsp; Sec. <b>0</b>';
                    task_html2 += '</div>';
                }

                task_html2 += '<div class="col-sm-7 text-center">';
                if (status_raw == "unassigned") {
                    task_html2 += '<a href="javascript:;" class="assign-agent inline badge badge-warning-inverted "';
                    task_html2 += 'data-id="' + task_id + '" >';
                    task_html2 += 'Asignar';
                    task_html2 += '</a>';
                } else {
                    switch (status_raw) {
                        case "acknowledged":
                            var statusclass = 'badge-primary-inverted';
                            break;
                        case "started":
                            var statusclass = 'badge-info-inverted';
                            break;
                        case "inprogress":
                            var statusclass = 'badge-danger-inverted';
                            break;
                        case "successful":
                            var statusclass = 'badge-success-inverted';
                            break;
                        case "failed":
                            var statusclass = 'badge-danger-inverted';
                            break;
                        case "canceled":
                            var statusclass = 'badge-danger-inverted';
                            break;
                        case "cancelled":
                            var statusclass = 'badge-danger-inverted';
                            break;
                        default:
                            var statusclass = 'badge-primary-inverted';
                            break;
                    }

                    task_html2 += '<div class="taskStatusbadge badge ' + statusclass + '">';
                    task_html2 += estado
                    task_html2 += '</div>';
                }
                task_html2 += '</div>';
                task_html2 += '</div>';

                task_html2 += '<div class="row top10">';
                task_html2 += '<div class="col-sm-12"><i style="color: #8FA9E9; width: 24px; height: 24px; padding: 3px; border: 1px solid #ccc;" class="fa fa-users"></i> ' + customer_name + '</div>';
                task_html2 += '</div> <!--row-->';
                task_html2 += '<div class="row ">';
                task_html2 += '<div class="col-sm-12">';
                task_html2 += '<p class="task_address  concat-text"><i style="color: #3ee0a8; width: 24px; height: 24px; padding: 3px; border: 1px solid #ccc;" class="fa fa-map-marker"></i> ' + delivery_address + '</p>';
                task_html2 += '<p style="margin-top: -13px;" class="task_time">';
                task_html2 += '<i style="color: #fd9429; width: 24px; height: 24px; padding: 3px; border: 1px solid #ccc;" class="fa fa-calendar"></i> <span class="bold" style="color: #fd9429;">' + delivery_date + '</span>';
                task_html2 += '</p>';
                task_html2 += '</div>';
                task_html2 += '</div>';
                if (driver_id > 0) {
                    task_html2 += '<p class="concat-text" style="margin-top: -13px;">';
                    task_html2 += '<i style="color: ' + calcolor + '; width: 24px; height: 24px; padding: 3px; border: 1px solid #ccc;" class="fa fa-user"></i> <span class="task_driver_name" style="color: ' + calcolor + '; font-weight: bold;">' + driver_name + '</span>';
                    task_html2 += '</p>';
                }

                task_html2 += '<div class="row ">';
                task_html2 += '<div class="col-sm-12 text-right">';
                task_html2 += '<a href="javascript:;" class="task-details btn btn-primary" data-id="' + task_id + '" >';
                task_html2 += 'Detalles';
                task_html2 += '</a>';
                task_html2 += '</div>';
                task_html2 += '</div>';
                task_html2 += '</div></div>';

                var task_html = '<div  class="row box task-map ' + status_raw + ' ' + trans_type + '" data-lat="' + task_lat + '" data-lng="' + task_lng + '" data-id="' + task_id + '" data-teamid="' + team_id + '" data-driverid="' + driver_id + '" style="background-color: #FBFCFD; border-bottom: 2px solid #DCE3FB; ">';
                task_html += '<div class="col-xs-2 center" style="padding: 5px;">';
                task_html += '<div class="tag rounded ' + trans_type + '">' + Tletter + '</div>';
                task_html += '<div class="top10"><i style="color: #8FA9E9;" class="ion-ios-people"></i></div>';
                task_html += '<div class="top10"><i style="color: #3ee0a8;" class="ion-ios-location"></i></div>';
                task_html += '<div class="top10"><i style="color: #fd9429;" class="fa fa-calendar"></i></div>';
                task_html += '<div class="top10"><i style="color: ' + calcolor + '" class="fa fa-user"></i></div>';
                task_html += '</div>';

                task_html += '<div class="col-xs-10" style="background-color: #F9FAFF; border-left: 2px dashed #DCE3FB; padding: 5px;">';

                task_html += '<div class="row ">';
                if (task_id > 0) {
                    task_html += '<div class="col-md-4 small">';
                    task_html += 'Sec: <b>0</b></div>';
                }

                task_html += '<div class="col-md-8 text-right">';
                task_html += '<p class="rounded tag ' + status_raw + '">';
                task_html += estado;
                task_html += '</p>';
                task_html += '</div>';
                task_html += '</div>';

                task_html += '<div class="row top10">';
                task_html += '<div class="col-md-12">' + customer_name + '</div>';
                task_html += '</div>';

                task_html += '<div class="row top5">';
                task_html += '<div class="col-md-12">';
                task_html += '<p class="task_address top10 concat-text">' + delivery_address + '</p>';
                task_html += '<p class="task_time">';
                task_html += '<span class="bold" style="color: #fd9429;">' + delivery_date + '</span>';
                task_html += '</p>';
                task_html += '</div>';

                task_html += '</div>';

                task_html += '<p class="concat-text" >';
                task_html += '<span class="task_driver_name" style="color: ' + calcolor + '; font-weight: bold;">' + driver_name + '</span>';
                task_html += '</p>';
                task_html += '<div class="row top5">';
                task_html += '<div class="col-md-12 text-right">';
                task_html += '<a href="javascript:;" class="task-details btn btn-primary" data-id="' + task_id + '" >';
                task_html += 'Detalles';
                task_html += '</a>';
                task_html += '</div>';
                task_html += '</div>';
                task_html += '</div>';
                task_html += '</div>';
                //add to list
                if (status_raw == 'successful' || status_raw == 'failed' || status_raw == 'cancelled') {
                    $('.task_completed').prepend(task_html2);
                    //update totals
                    var completado = parseInt($(".task-total-completed").text());
                    completado = completado + 1;
                    $(".task-total-completed").html(completado);
                } else {
                    $('.task_assigned').prepend(task_html2);
                    //update totals
                    var asignado = parseInt($(".task-total-assigned").text());
                    asignado = asignado + 1;
                    $(".task-total-assigned").html(asignado);
                }
                mapbox_newtaskAPI(data, true);
            }

        });
    }
    if($('.dashboard-work-area').exists()){
         channel.bind('Geolocation', function(data){

                var driver_found = false;
                var driver_id = data.driver_id;
                var track_type = data.track_type;
                var battery_level = parseInt(data.battery);
                var clase_battery;
                var color_battery;
                var icon_battery;
                if(battery_level>=75){
                    clase_battery = 'success';
                    color_battery = '#62c002';
                    icon_battery = 'fa-battery-full';
                }else if(battery_level<75 && battery_level>=50){
                    clase_battery = 'primary';
                    color_battery = '#048ebb';
                    icon_battery = 'fa-battery-three-quarters';
                }else if(battery_level<50 && battery_level>=25){
                    clase_battery = 'warning';
                    color_battery = '#FF9B0E';
                    icon_battery = 'fa-battery-half';
                }else{
                    clase_battery = 'red';
                    color_battery = '#D90B00';
                    icon_battery = 'fa-battery-quarter';
                }
                var batteryOptimization = parseInt(data.batteryOptimization);
                if(batteryOptimization==1){
                    var iconOtimization = '<i title="Modo Background Desactivado!!!" style="color: #00de00; font-size: 18px;" class="far fa-lightbulb"></i>';
                }else{
                    var iconOtimization = '<i title="Modo Background Activado" style="color: #00de00; font-size: 18px;" class="fas fa-lightbulb"></i>';
                }
                var team_id_user = $("#team_id_user").val();
                $('#driver_selectionmap .team_opion').each(function(i, obj) {
                    var driver_id_list = $(this).val();
                    if(driver_id==driver_id_list){
                        driver_found = true;
                    }
                });
                if( driver_found == true || team_id_user==0){
                    if($('.primary_map').exists()){
                        var t_lat=data.location_lat;
                        var t_lng=data.location_lng;
                        var last_login = data.last_login;
                        var last_online = data.last_online;
                        var is_online = data.is_online;

                        switch (map_provider){
                            case "google":
                                ///map.setCenter(t_lat,t_lng);
                                //map.setZoom(16);
                                break;

                            case "mapbox":
                                //mapbox_setMapCenter(t_lat,t_lng);
                                mapbox_moveDriverMarker(t_lat, t_lng, driver_id);
                                var fecha_relativa = '<i style="font-size: 1.8rem;" class="ion-android-time"></i> <a class="tag success" href="#"> '+ moment(last_login, "YYYY-MM-DD H:m:s").fromNow() +'</a>';
                                $('#driverid_'+driver_id).find('.fecharelativa').html(fecha_relativa);
                                $('#driverid_'+driver_id).find('.fecharelativa').attr('data-lastupdate', last_login);
                                $('#driverid_'+driver_id).find('.fecharelativa').attr('data-driverid', driver_id);
                                //battery
                                $('#driverid_'+driver_id).find('.bar-level-3').css('width', battery_level+'%');
                                $('#driverid_'+driver_id).find('.bar-label-right span').text(battery_level+'%');
                                $('#driverid_'+driver_id).find('span.positive').html(iconOtimization);
                                $('#driverid_'+driver_id).find('.os-progress-bar').removeClass('success').removeClass('warning').removeClass('red').removeClass('primary').addClass(clase_battery);
                                $('#driverid_'+driver_id).find('.os-progress-bar .iconbattery i').css('color', color_battery);
                                $('#driverid_'+driver_id).find('.os-progress-bar .iconbattery i').removeClass('fa-battery-full').removeClass('fa-battery-three-quarters').removeClass('fa-battery-half').removeClass('fa-battery-quarter').addClass(icon_battery);
                                //fin battery
                                //modo corre app
                                if(track_type=='active'){
                                    $('#driverid_'+driver_id).find('.app_status i').attr('title', 'La App está abierta');
                                    $('#driverid_'+driver_id).find('.app_status i').removeClass('text-success').removeClass('text-warning').removeClass('text-danger').addClass('text-success');
                                }else{
                                    $('#driverid_'+driver_id).find('.app_status i').attr('title', 'La App está corriendo en segundo plano');
                                    $('#driverid_'+driver_id).find('.app_status i').removeClass('text-success').removeClass('text-warning').removeClass('text-danger').addClass('text-warning');
                                }

                                //fin modo
                                var agentclass = $('#driverid_'+driver_id).closest('li').find('span').attr('class');
                                if(agentclass=='agent-offline'){
                                    $('#driverid_'+driver_id).addClass('online');
                                    var activos = parseInt($(".agent-active-total").html());
                                    activos = activos + 1;
                                    $(".agent-active-total").html(activos);
                                    //update inactivos
                                    var inactivos = parseInt($(".agent-offline-total").html());
                                    inactivos = inactivos - 1;
                                    if(inactivos<0){
                                        inactivos=0;
                                    }
                                    $(".agent-offline-total").html(inactivos);
                                    //
                                    var contenido = $('#driverid_'+driver_id).wrap('<p/>').parent().html();
                                    $('#driverid_'+driver_id).unwrap();
                                    $('#driverid_'+driver_id).remove();
                                    $('.agent-active').prepend(contenido);
                                }
                                break;
                        }
                    }

                }
        });
        }
    if($('.dashboard-work-area').exists()){
        channel.bind('ChangeDutyStatus', function(data){
            var driver_found = false;
            var driver_id = data.driver_id;
            var team_id_user = $("#team_id_user").val();
            $('#driver_selectionmap .team_opion').each(function(i, obj) {
                var driver_id_list = $(this).val();
                if(driver_id==driver_id_list){
                    driver_found = true;
                }
            });
            if( driver_found == true || team_id_user==0){
                if($('.primary_map').exists()){
                    var lat = data.lat;
                    var lng = data.lng;
                    var last_onduty = data.last_onduty;
                    var last_online = data.last_online;
                    var is_online = data.is_online;
                    var on_duty = data.on_duty;
                    var logout = parseInt(data.logout);
                    var nombre = $('#driverid_'+driver_id).find('.pi-name').html();
                    playNotification();
                    if(on_duty==1){
                        $('#driverid_'+driver_id).find('.modoonline').removeClass('status-green').removeClass('status-red');
                        $('#driverid_'+driver_id).find('.modoonline').addClass('status-green');
                        //

                        if(logout==-1){
                            var mensaje = 'El agente '+nombre+' ha iniciado sesión en la app.';
                            icon = mapbox_getDriverIcon( 1 );
                            if (mapbox_marker[driver_id] != undefined) {
                                var newLatLng = new L.LatLng(lat, lng);
                                mapbox_marker[driver_id].setLatLng(newLatLng);
                            }else{
                                var info_html ="<div class=\"map-info-window\">";
                                info_html+="<h5>"+ jslang.name + ": " + nombre+"</h5>";
                                info_html+="<p>Ubicacion: "+lat+","+lng+"</p>";
                                info_html+="<button onclick=\"$('div.view-driver-details[data-id="+driver_id+"]').click();\" class=\"inline green-button small rounded driver-details\" data-id=\""+driver_id+"\"  >"+jslang.details+"</button>";
                                info_html+="</div>";
                                mapbox_marker[driver_id] = L.marker([lat,lng], { icon : icon } ).addTo(mapbox);
                                mapbox_marker[driver_id].bindPopup(info_html);
                            }
                            //mover de tab
                            var contenido = $('#driverid_'+driver_id).wrap('<p/>').parent().html();
                            $('#driverid_'+driver_id).unwrap();
                            $('#driverid_'+driver_id).remove();

                            $('.agent-active').prepend(contenido);
                            var isactive = $('#driverid_'+driver_id).hasClass('online');
                            var tabactual='active';
                            if($('#driverid_'+driver_id).closest('li').hasClass('agent-desconected')){
                                tabactual='desconected';
                            }else if($('#driverid_'+driver_id).closest('li').hasClass('agent-offline')){
                                tabactual='offline';
                            }
                            if(!isactive){

                                $('#driverid_'+driver_id).addClass('online');
                                var activos = parseInt($(".agent-active-total").html());
                                activos = activos + 1;
                                $(".agent-active-total").html(activos);
                                var inactivos;
                                if(tabactual=='offline'){
                                     inactivos = parseInt($(".agent-offline-total").html());
                                    inactivos = inactivos - 1;
                                    if(inactivos<0){
                                        inactivos=0;
                                    }
                                    $(".agent-offline-total").html(inactivos);
                                }else{
                                    inactivos = parseInt($(".agent-desconected-total").html());
                                    inactivos = inactivos - 1;
                                    if(inactivos<0){
                                        inactivos=0;
                                    }
                                    $(".agent-desconected-total").html(inactivos);
                                }
                            }
                        }else{
                            mensaje = 'El agente '+nombre+' se ha cambiado al modo <span class="label label-success">Online</span>.';
                        }
                        toastMessage( mensaje, 'Actualizacion de Estado' );
                        //change icon
                        icon=driver_icon_online;
                        var default_icon = L.icon({
                            iconUrl: icon,
                            iconSize:     [32, 32], // size of the icon
                            iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                            popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                        });
                        mapbox_marker[driver_id].setIcon(default_icon);

                    }else{
                        $('#driverid_'+driver_id).find('.modoonline').removeClass('status-green').removeClass('status-red');
                        $('#driverid_'+driver_id).find('.modoonline').addClass('status-red');

                        if(logout==1){
                            mensaje = 'El agente '+nombre+' ha cerrado sesión en la App.';
                            //mover de tab
                            var contenido = $('#driverid_'+driver_id).wrap('<p/>').parent().html();
                            $('#driverid_'+driver_id).unwrap();
                            $('#driverid_'+driver_id).remove();

                            $('.agent-offline').prepend(contenido);
                            $('#driverid_'+driver_id).removeClass('online');
                            inactivos = parseInt($(".agent-offline-total").html());
                            inactivos = inactivos + 1;
                            $(".agent-offline-total").html(inactivos);
                            //update activos
                            activos = parseInt($(".agent-active-total").html());
                            activos = activos - 1;
                            if(activos<0){
                                activos=0;
                            }
                            $(".agent-active-total").html(activos);
                            $('#driverid_'+driver_id).find('.pi-sub').find('.tag').removeClass('success').addClass('danger').text('Fuera de Servicio');

                            if (mapbox_marker[driver_id] != undefined) {
                                if(driver_include_offline_driver_map==1){
                                    //change icon
                                    icon=driver_icon_offline;
                                    default_icon = L.icon({
                                        iconUrl: icon,
                                        iconSize:     [32, 32], // size of the icon
                                        iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                                        popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                                    });
                                    mapbox_marker[driver_id].setIcon(default_icon);
                                }else{
                                    mapbox_marker[driver_id].remove();
                                    mapbox_marker[driver_id] = undefined;
                                }
                            }
                        }else{
                            mensaje = 'El agente '+nombre+' se ha cambiado al modo <span class="label label-danger">Offline</span>';
                            //change icon
                            icon=driver_icon_offline;
                            default_icon = L.icon({
                                iconUrl: icon,
                                iconSize:     [32, 32], // size of the icon
                                iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                                popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                            });
                            mapbox_marker[driver_id].setIcon(default_icon);
                        }

                        toastMessage( mensaje, 'Actualizacion de Estado' );

                    }
                    fillPopUpNotification( mensaje, 'Actualizacion de Estado' , 0 , 'Servicio' );
                }

            }

        });

    }

    if($('#conversation').exists()) {
        var phone = $('.heading-online').text();
        var params = "phone=" + phone;
        var instance_api = 'instance65568';
        var token_api = 'yxqaii9436ag95gg';
        var api_url = 'https://api.chat-api.com/'+instance_api+'/messages?token='+token_api+'&lastMessageNumber=10&last=10&chatId='+phone+'%40c.us';

        $.ajax({
            url: api_url,
            data: params,
            type: 'get',
            //async: false,
            dataType: 'json',
            timeout: 6000,
            beforeSend: function () {

            },
            complete: function (data) {

            },
            success: function (data) {
                console.log(data.messages[0].body);
                var datos = data.messages;
                var chat_body='';
                for(var i=0; i<datos.length; i++){
                    /*
                    "id": "true_5492914734126@c.us_3EB07A9A815DD9511CB7",
                      "body": "pero se quita y ya no da problemas",
                      "fromMe": true,
                      "self": 0,
                      "isForwarded": 0,
                      "author": "593962708379@c.us",
                      "time": 1562960845,
                      "chatId": "5492914734126@c.us",
                      "messageNumber": 11,
                      "type": "chat",
                      "senderName": "Creativos Online SA",
                      "chatName": "Pablo Argentina"
                     */
                    var mensaje = datos[i].body;
                    var fromMe = datos[i].fromMe;
                    var time = datos[i].time;
                    var author = datos[i].author;
                    var messageNumber = datos[i].messageNumber;
                    var type = datos[i].type;
                    var senderName = datos[i].senderName;
                    var chatName = datos[i].chatName;

                    if(fromMe){
                        chat_body +='<div class="row message-body">';
                        chat_body +='<div class="col-sm-12 message-main-sender">';
                        chat_body +='<div class="sender">';
                        chat_body +='<div class="message-text">';
                        if(type=='document' || type=='image'){
                            chat_body += '<a target="_blank" href="'+mensaje+'">'+mensaje+'</a>';
                        }else{
                            chat_body += mensaje;
                        }
                        var myDate = new Date(1000*time);
                        var timep = myDate.toLocaleString();
                        chat_body +='</div>';
                        chat_body +='<span class="message-time pull-right">'+timep+'</span>';
                        chat_body +='</div>';
                        chat_body +='</div>';
                        chat_body +='</div>';
                    }else{
                        chat_body +='<div class="row message-body">';
                        chat_body +='<div class="col-sm-12 message-main-receiver">';
                        chat_body +='<div class="receiver">';
                        chat_body +='<div class="message-text">';
                        if(type=='document' || type=='image'){
                            chat_body += '<a target="_blank" href="'+mensaje+'">'+mensaje+'</a>';
                        }else{
                            chat_body += mensaje;
                        }
                        myDate = new Date(1000*time);
                        timep = myDate.toLocaleString();
                        chat_body +='</div>';
                        chat_body +='<span class="message-time pull-right">'+timep+'</span>';
                        chat_body +='</div>';
                        chat_body +='</div>';
                        chat_body +='</div>';
                    }
                }
                $('#conversation').html(chat_body);
                var elmnt = document.getElementsByClassName("message-body");
                var cant = elmnt.length;
                elmnt[cant-1].scrollIntoView();
            }
        });
    }
});